<?php
if (basename($_SERVER['PHP_SELF']) === 'index.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    include 'config.php';
    echo '<div class="page_top"><h1>Addons</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div>
    <div class="page_frame"><div class="centerdiv"><h3>Geinstalleerde Addons</h3></div><br>';
    $addons = menuAddons();
    if ($addons !== null) {
        foreach ($addons as $addon) {
            $directory = $addon['directory'];
            $icon = $addon['icon'];
            $menutitle = $addon['menutitle'];
            $addonversion = $addon['addonversion'];
            $description = $addon['description'];
            echo '<div class="box-20">
            <div class="box-20-head">'.$menutitle.'</div>
            <div class="box-20-foot" style="text-align: center;">
            <i class="'.$icon.'" style="font-size: 36px;"></i><br>
            '.$description.'<br>
            <a href="?p=addons/' . $directory . '/index"><button class="tijdknop">Ga naar de Addon</button></a></div>
            </div>';
        }
    } else {
        echo 'Geen addons geinstalleerd.'; 
    }
    echo '<div class="centerdiv"><h3>Addons Downloaden</h3></div><br>
    Ga naar faqturo.nl om meer addons te downloaden.
    </div>';
}
?>