<script type="text/javascript">
    document.addEventListener('click', function(event) {
    var popUp = document.getElementById('popupbox');
    var form = document.getElementById('popupform');
    var plusBut = document.getElementById('popbutton');
    var inBut = document.getElementById('popbuttonin');
    // Controleer of de klik zich buiten het pop-up element bevindt en niet binnen het formulier
    if (event.target !== popUp && !popUp.contains(event.target) && (form && !form.contains(event.target))) {
        hideDiv();
    }
    if (event.target ==  plusBut || event.target ==  inBut) {
        showDiv();
    }

})
function showDiv() {
   document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
   document.getElementById('inviswrap').style.display = "none";
}		
</script>
<?php
$submenu = 'persoonlijk';
if (basename($_SERVER['PHP_SELF']) === 'agenda.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    if (isset($_POST['toevoegen'])) {
        if (empty($_POST['naam'])){
            melding('warning','Incompleet','Vul een naam in.');
        } else if (empty($_POST['datum'])){
            melding('warning','Incompleet','Kies een datum.');
        } else if (($_POST['starttijd'] == $_POST['eindtijd']) || ($_POST['starttijd'] > $_POST['eindtijd'])) {
            melding('warning','Incompleet','Starttijd moet eerder zijn dan de eindtijd.');
        } else {
            agendaToevoegen($_POST['naam'], $_POST['omschrijving'], $_POST['locatie'], $_POST['datum'], $_POST['starttijd'], $_POST['eindtijd']);
        }
    }
    if (isset($_POST['naam'])) {$naam = $_POST['naam'];}else{$naam='';}
    if (isset($_POST['datum'])) {$velddatum = $_POST['datum'];}else{$velddatum=date('Y-m-d');}
    if (isset($_POST['locatie'])) {$locatie = $_POST['locatie'];}else{$locatie='';}
    if (isset($_POST['omschrijving'])) {$omschrijving = $_POST['omschrijving'];}else{$omschrijving='';}
    if (empty($_GET['maand'])) {
        $maand = date('m');
    } else {
        $maand = $_GET['maand'];
    }
    if (empty($_GET['jaar'])) {
        $jaar = date('Y');
    } else {
        $jaar = $_GET['jaar'];
    }
    $jaarverder = $jaar + 1;
    $jaarterug = $jaar - 1;
    $eersteDag = new DateTime("$jaar-$maand-01");
    $aantalDagen = $eersteDag->format('t');
    $huidigeDag = 1;
    echo '<div class="page_top"><h1>Agenda</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div>
    <div class="page_frame">
    <div align="center" width="100%">
    <a href="?p=agenda&jaar='.$jaarterug.'&maand=12"><button class="tab-button-agenda"><< </button></a>
    <button class="tab-button-agenda">'.$jaar.'</button>
    <a href="?p=agenda&jaar='.$jaarverder.'&maand=01"><button class="tab-button-agenda"> >></button></a>
    </div>
    <div align="center" width="100%">
    <a href="?p=agenda&jaar='.$jaar.'&maand=01"><button class="tab-button-agenda';if(isset($maand) && $maand == '01'){echo'-active';} echo'">jan</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=02"><button class="tab-button-agenda';if(isset($maand) && $maand == '02'){echo'-active';} echo'">feb</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=03"><button class="tab-button-agenda';if(isset($maand) && $maand == '03'){echo'-active';} echo'">maa</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=04"><button class="tab-button-agenda';if(isset($maand) && $maand == '04'){echo'-active';} echo'">apr</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=05"><button class="tab-button-agenda';if(isset($maand) && $maand == '05'){echo'-active';} echo'">mei</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=06"><button class="tab-button-agenda';if(isset($maand) && $maand == '06'){echo'-active';} echo'">jun</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=07"><button class="tab-button-agenda';if(isset($maand) && $maand == '07'){echo'-active';} echo'">jul</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=08"><button class="tab-button-agenda';if(isset($maand) && $maand == '08'){echo'-active';} echo'">aug</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=09"><button class="tab-button-agenda';if(isset($maand) && $maand == '09'){echo'-active';} echo'">sep</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=10"><button class="tab-button-agenda';if(isset($maand) && $maand == '10'){echo'-active';} echo'">okt</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=11"><button class="tab-button-agenda';if(isset($maand) && $maand == '11'){echo'-active';} echo'">nov</button></a>
    <a href="?p=agenda&jaar='.$jaar.'&maand=12"><button class="tab-button-agenda';if(isset($maand) && $maand == '12'){echo'-active';} echo'">dec</button></a>
    </div><br>
    ';
    echo '<div class="tablebox"><div class="kalender-wrap" style="width:850px;">';
    echo '<table cellpadding="0" cellspacing="0" class="kalender-bg">
        <tr>
            <td>
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td class="td-bg" width="10%" style="min-width: 75px;">Dag</td>
                        <td width="90%" style="min-width: 90%;">
                            <table cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td class="td-bg" width="5.5%">06u</td>
                                    <td class="td-bg" width="5.5%">07u</td>
                                    <td class="td-bg" width="5.5%">08u</td>
                                    <td class="td-bg" width="5.5%">09u</td>
                                    <td class="td-bg" width="5.5%">10u</td>
                                    <td class="td-bg" width="5.5%">11u</td>
                                    <td class="td-bg" width="5.5%">12u</td>
                                    <td class="td-bg" width="5.5%">13u</td>
                                    <td class="td-bg" width="5.5%">14u</td>
                                    <td class="td-bg" width="5.5%">15u</td>
                                    <td class="td-bg" width="5.5%">16u</td>
                                    <td class="td-bg" width="5.5%">17u</td>
                                    <td class="td-bg" width="5.5%">18u</td>
                                    <td class="td-bg" width="5.5%">19u</td>
                                    <td class="td-bg" width="5.5%">20u</td>
                                    <td class="td-bg" width="5.5%">21u</td>
                                    <td class="td-bg" width="5.5%">22u</td>
                                    <td class="td-bg" width="5.5%">23u</td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    ';

    // Lus voor het genereren van de tabel
    while ($huidigeDag <= $aantalDagen) {
        $datum = new DateTime("$jaar-$maand-$huidigeDag");
        $dag = date('d');
        if ($huidigeDag == $dag){
            $bgcolor = 'var(--kleur-2)';
        } else {
            $bgcolor = 'var(--kleur-1)';  
        }
        echo '<tr><td>';
        echo '<table cellpadding="0" cellspacing="0" width="100%"><tr><td class="td-bg" width="10%" style="min-width: 75px; background-color: '.$bgcolor.';">'.vertaalDag($datum->format('D')).'<br>
        <span style="text-align: center; font-size: 18px;"><b>'.$datum->format('d').'</b></span></td>';

        $agendaItems = agendaItems($datum);
        $agendaAfspraken = agendaAfspraken($datum);
        if (!empty($agendaItems) || !empty($agendaAfspraken)) {     
            echo '<td class="td-bg" width="90%" style="background-color: '.$bgcolor.';"><div style="position:relative; top:0; width: 100%; height: 20;">';
            foreach ($agendaItems as $ietom) {
                $starttijd1 = new DateTime($ietom['start_tijd']);
                $eindtijd1 = new DateTime($ietom['eind_tijd']);
                $verschil1 = $starttijd1->diff($eindtijd1);
                $aantalSeconden1 = $verschil1->days * 24 * 60 * 60 + $verschil1->h * 60 * 60 + $verschil1->i * 60 + $verschil1->s;
                $referentieTijd1 = new DateTime($starttijd1->format('Y-m-d') . ' 06:00:00');
                $verschilSeconden1 = $starttijd1->getTimestamp() - $referentieTijd1->getTimestamp();
                $teller1 = 0;
                if ($aantalSeconden1 >= 640) {
                    $teller1 = floor($aantalSeconden1 / 640);
                }
                $secondenProcent1 = $teller1;

                $teller3 = 0;
                if ($verschilSeconden1 >= 640) {
                    $teller3 = floor($verschilSeconden1 / 640);
                }
                $secondenProcent3 = $teller3;
                echo '<style>
                .tekst-bij-hover'.$ietom['id'].' {
                    display: none;
                    width: 200px;
                    height: auto;
                    padding: 10px;
                    left: '.$secondenProcent3.'%;
                    background-color: var(--kleur-2);
                    color: var(--kleur-4);
                    top: 20;
                    position: relative;
                    z-index: 950;
                }
                .item'.$ietom['id'].' {
                    position: absolute;
                    background-color: var(--kleur-4); 
                    color: var(--kleur-2);
                    border: 0;  
                    box-sizing: border-box;
                    margin: 0;
                }
                .item'.$ietom['id'].':hover + .tekst-bij-hover'.$ietom['id'].' {
                    display: inline-block;
                }
                </style>
                <button class="item'.$ietom['id'].'" style="left: '.$secondenProcent3.'%; width: '.$secondenProcent1.'%; min-width: 50px;">'.$ietom['start_tijd'].'</button>
                <div class="tekst-bij-hover'.$ietom['id'].'">
                    <b>'.$ietom['naam'].'</b><br> 
                    '.$ietom['start_tijd'].' - '.$ietom['eind_tijd'].'<br><br>
                    <b>Locatie:</b><br>'.$ietom['locatie'].'<br><br>
                    <b>Omschrijving:</b><br>
                    '.$ietom['omschrijving'].'
                </div>
                ';
            }
            foreach ($agendaAfspraken as $item) {
                $starttijd = new DateTime($item['start_tijd']);
                $eindtijd = new DateTime($item['eind_tijd']);
                $verschil = $starttijd->diff($eindtijd);
                $aantalSeconden = $verschil->days * 24 * 60 * 60 + $verschil->h * 60 * 60 + $verschil->i * 60 + $verschil->s;
                $referentieTijd = new DateTime($starttijd->format('Y-m-d') . ' 06:00:00');
                $verschilSeconden = $starttijd->getTimestamp() - $referentieTijd->getTimestamp();
                $teller = 0;
                if ($aantalSeconden >= 640) {
                    $teller = floor($aantalSeconden / 640);
                }
                $secondenProcent = $teller;
                $klantje = getKlant($item['klantid']);
                $teller2 = 0;
                if ($verschilSeconden >= 640) {
                    $teller2 = floor($verschilSeconden / 640);
                }
                $secondenProcent2 = $teller2;
                echo '<style>
                .tekst-bij-hover'.$item['id'].' {
                    display: none;
                    width: 200px;
                    height: auto;
                    padding: 10px;
                    left: '.$secondenProcent2.'%;
                    background-color: var(--kleur-2);
                    color: var(--kleur-4);
                    top: 20;
                    position: relative;
                    z-index: 950;
                }
                .item'.$item['id'].' {
                    position: absolute;
                    background-color: var(--kleur-3); 
                    color: var(--kleur-2);
                    border: 0;  
                    box-sizing: border-box;
                    margin: 0;
                }
                .item'.$item['id'].':hover + .tekst-bij-hover'.$item['id'].' {
                    display: inline-block;
                }
                </style>
                <button class="item'.$item['id'].'" style="left: '.$secondenProcent2.'%; width: '.$secondenProcent.'%; min-width: 50px;">'.$item['start_tijd'].'</button>
                <div class="tekst-bij-hover'.$item['id'].'">
                    <b>'.$klantje['naam'].' '.$klantje['achternaam'].'</b><br> 
                    '.$item['start_tijd'].' - '.$item['eind_tijd'].'<br><br>
                    <b>Locatie:</b><br>'.$klantje['straat'].' '.$klantje['woonplaats'].'<br><br>
                    <b>Omschrijving:</b><br>
                    '.base64_decode($item['omschrijving']).'
                </div>
                ';
            }
            echo '</div></td></tr></table></td>';
        } else {
            echo '<td class="td-bg" width="90%" style="background-color: '.$bgcolor.';>"';
            echo '</td></tr></table></td>';
        }
        echo '</tr>';
        $huidigeDag++;
    }
    // Einde van de tabel
    echo '</table>';
    echo '</div>
    </div><br><br><div class="centerdiv"><a href="?p=agenda-text"><button class="form-button-2">Textuele weergave (bewerker)</button></a></div><br>';
    echo '<div id="inviswrap" class="pop-up-wrap"><div class="pop-up-box" id="popupbox">
    <button class="pop-up-box-kruis" onclick="hideDiv()" id="popupkruis"><i class="fas fa-times"></i></button>
    <h3 style="margin-top:0px;">Afspraak Toevoegen</h3>
    <form action="" method="post" autocomplete="off" id="popupform">
        <h4>Titel: *</h4><br>
        <input type="text" class="form-veld-s" name="naam" id="naam" value="'.$naam.'">
        <h4>Omschrijving:</h4><br>
        <input type="text" class="form-veld-s" name="omschrijving" id="omschrijving" value="'.$omschrijving.'">
        <h4>Locatie:</h4><br>
        <input type="text" class="form-veld-s" name="locatie" id="locatie" value="'.$locatie.'">
        <h4>Datum, Starttijd & Eindtijd</h4><br>
        <input type="date" class="form-veld-s" name="datum" id="datum" value="'.$velddatum.'">
        <select id="starttijd" name="starttijd" class="form-veld-s" style="width: 49%;">
        </select>
        <select id="eindtijd" name="eindtijd" class="form-veld-s" style="width: 49%;">
        </select>
        <input type="submit" class="form-button" style="margin-left:0px;" name="toevoegen" value="Toevoegen">
    </form>
    </div></div>
    </div>
    <div class="rightdiv"><button class="add_button" id="popbutton"><i class="fa-solid fa-plus" id="popbuttonin"></i></button></div>';
    echo "
    <script>
        function populateTimeOptions(selectId) {
            var selectElement = document.getElementById(selectId);
            for (var hours = 6; hours <= 23; hours++) {
                for (var minutes = 0; minutes < 60; minutes += 15) {
                    var formattedTime = ('0' + hours).slice(-2) + ':' + ('0' + minutes).slice(-2);
                    var optionElement = document.createElement('option');
                    optionElement.value = formattedTime;
                    optionElement.text = formattedTime;
                    selectElement.appendChild(optionElement);
                }
            }
        }
        populateTimeOptions('starttijd');
        populateTimeOptions('eindtijd');
    </script>";
}
?>