<?php
$submenu = 'planner';
if (basename($_SERVER['PHP_SELF']) === 'alle-afspraken.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_plannen') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    echo '<div class="page_top"><h1>Afspraken</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">';
    $query = "SELECT COUNT(*) AS total FROM afspraken WHERE plannerid=$user_id or userid=$user_id and status not in ('0')";
    $result = $connect->query($query);
    $row = $result->fetch_assoc();
    $total_rows = $row['total'];
    // Aantal resultaten per pagina
    $perPage = 25;
    $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
    $startFrom = ($sub - 1) * $perPage;
    $afspraken = alleAfspraken('', $startFrom, $perPage);
    if ($afspraken) {
        foreach ($afspraken as $afspraak) {
            if ($afspraak['status'] == '1'){$text = 'Ingepland, wacht op akkoord.'; $kleur='#3F72AF';}
            if ($afspraak['status'] == '2'){$text = 'Geaccepteerd, wacht op uitvoering.'; $kleur='#b69323';}
            if ($afspraak['status'] == '3'){$text = 'Succesvol afgerond.'; $kleur='#418d1e';}
            if ($afspraak['status'] == '4'){$text = 'Geannuleerd.'; $kleur='#731e8d';}
            if ($afspraak['status'] == '5'){$text = 'Afgewezen.'; $kleur='#8d1e1e';}
            $datum = date('d-m-Y', strtotime($afspraak['datum']));
            $dagVanDeWeek = date("D", strtotime($datum));
            $dag = vertaalDag($dagVanDeWeek);
            echo '<div class="row"><i class="row-icon fa-solid fa-calendar-check" style="background-color:'.$kleur.';"></i><a href="?p=bekijk-afspraak&id='.$afspraak['id'].'"><span class="row-inner-wrap"><strong>'.$dag.' '.$datum.' - '.$afspraak['start_tijd'].' - '.$afspraak['eind_tijd'].'</strong>
            <br><span class="subtext-row">'; 
            echo $text;
            echo'</span></span></a>'; 
            echo '</div>';
        }
    } else {
        echo '<div align="center" width="100%"><img src="afbeeldingen/geen-afspraken.png" class="empty-page-img"></div>';
    }
    if ($total_rows > $perPage) {
        echo '<br><br><div class="centerdiv" style="display: inline-block;">';
        for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
            if ($sub == $i) {
                echo '<a href="?p=alle-afspraken&sub=' . $i . '"><button class="pagina-button-active">' . $i . '</button></a>';
            } else if ($sub != $i) {
                echo '<a href="?p=alle-afspraken&sub=' . $i . '"><button class="pagina-button">' . $i . '</button></a>';
            }
        }
        echo '</div>';
    }
    echo '</div><div class="rightdiv"><a href=?p=plan-afspraak><button class="add_button"><i class="fa-solid fa-plus"></i></button></a></div>';
}
?>