<script type="text/javascript">
function showDiv() {
   document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
   document.getElementById('inviswrap').style.display = "none";
}		
</script>
<?php
require ('includes/google_api.php');
$submenu = 'planner';
if (basename($_SERVER['PHP_SELF']) === 'bekijk-afspraak.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_plannen') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['datum'])) {$datum = $_POST['datum'];}else{$datum=date('Y-m-d');}
    if (isset($_POST['startlocatie'])) {$startlocatie = $_POST['startlocatie'];}else{$startlocatie='';}
    if (isset($_POST['startpostcode'])) {$startpostcode = $_POST['startpostcode'];}else{$startpostcode='';}
    if (isset($_POST['startstand'])) {$startstand = $_POST['startstand'];}else{$startstand='';}
    if (isset($_POST['eindlocatie'])) {$eindlocatie = $_POST['eindlocatie'];}else{$eindlocatie='';}
    if (isset($_POST['eindpostcode'])) {$eindpostcode = $_POST['eindpostcode'];}else{$eindpostcode='';}
    if (isset($_POST['eindstand'])) {$eindstand = $_POST['eindstand'];}else{$eindstand='';}
    if (isset($_POST['privekm'])) {$privekm = $_POST['privekm'];}else{$privekm='';}
    if (isset($_POST['route'])) {$route = $_POST['route'];}else{$route='';}
    
    if (isset($_POST['toevoegen'])) {
        if (empty($_POST['datum'])) {
            melding('warning','Incompleet','Kies een datum.');
        } else if (empty($_POST['startlocatie'])) {
            melding('warning','Incompleet','Geef vertreklocatie op.');
        } else if (empty($_POST['startpostcode'])) {
            melding('warning','Incompleet','Vul de postcode in van de vertreklocatie.');
        } else if (empty($_POST['startstand'])) {
            melding('warning','Incompleet','Vul de k/m-stand bij vertrek in.');
        } else {
            ritToevoegen($datum, $privekm, $route, $startstand, $startlocatie, $startpostcode, $eindstand, $eindlocatie, $eindpostcode);
        }
    }
    if (isset($_POST['startAfspraak'])) {
        $slotid = $_GET['id'];
        $tijdnu = date('H:i');
        $query = "UPDATE afspraken SET begintijd='$tijdnu' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            melding('global','Update:','Opdracht gestart');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['vertrekAfspraak'])) {
        $slotid = $_GET['id'];
        $tijdnu = date('H:i');
        $query = "UPDATE afspraken SET vertrektijd='$tijdnu' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            $afspraak = getAfspraak($slotid);
            $klant = getKlant($afspraak['klantid']);
            $klanttel = $klant['mobiel'];
            if (substr($klanttel, 0, 2 ) === "06" && kiesOptie('sms_ingeschakeld') == 1) {
                $berichtid = kiesOptie('template_vertreksms');
                $berichtladen = getTemplate($berichtid);
                $bericht = base64_decode($berichtladen['template']);
                $gefilterdBericht = strip_tags($bericht);
                $bedrijfsnaam = kiesOptie('sms_afzender_naam');

				$telf = ltrim($klanttel, "0");
				$url = "https://gatewayapi.com/rest/mtsms";
				$api_token = kiesOptie('sms_token');	
				$recipients = ['0031'.$telf];
				$json = [
					'sender' => $bedrijfsnaam,
					'message' => $gefilterdBericht,
					'recipients' => [],
				];
				foreach ($recipients as $msisdn) {
					$json['recipients'][] = ['msisdn' => $msisdn];
				}
				$ch = curl_init();
				curl_setopt($ch,CURLOPT_URL, $url);
				curl_setopt($ch,CURLOPT_HTTPHEADER, array("Content-Type: application/json"));
				curl_setopt($ch,CURLOPT_USERPWD, $api_token.":");
				curl_setopt($ch,CURLOPT_POSTFIELDS, json_encode($json));
				curl_setopt($ch,CURLOPT_RETURNTRANSFER, true);
				$result = curl_exec($ch);
				curl_close($ch);
                melding('global','Update:','Onderweg en SMS verzonden.');
			} else {
                melding('global','Update:','Onderweg.');
			}
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['aankomstAfspraak'])) {
        $slotid = $_GET['id'];
        $tijdnu = date('H:i');
        $query = "UPDATE afspraken SET starttijd='$tijdnu' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            melding('global','Update:','Aangekomen op locatie.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['eindeAfspraak'])) {
        $slotid = $_GET['id'];
        $tijdnu = date('H:i');
        $query = "UPDATE afspraken SET stoptijd='$tijdnu' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            melding('global','Update:','Afspraak afgerond.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['stopAfspraak'])) {
        $slotid = $_GET['id'];
        $tijdnu = date('H:i');
        $query = "UPDATE afspraken SET eindtijd='$tijdnu' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            melding('global','Update:','Tijd gestopt.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['afsluitenAfspraak'])) {
        $slotid = $_GET['id'];
        $query = "UPDATE afspraken SET status='3' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            $slot = getAfspraak($slotid);
            $mailid = getUser($slot['plannerid']);
            $ontvangerEmail = $mailid['email'];
            $templateid = kiesOptie('template_afsluiten');
            mailAfspraak($slotid, $templateid, $ontvangerEmail);
            melding('notice','Succesvol','Afspraak succesvol afgesloten.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['annulerenAfspraak'])) {
        $slotid = $_GET['id'];
        $query = "UPDATE afspraken SET status='4' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            $slot = getAfspraak($slotid);
            $mailid = getUser($slot['plannerid']);
            $ontvangerEmail = $mailid['email'];
            $templateid = kiesOptie('template_annuleren');
            mailAfspraak($slotid, $templateid, $ontvangerEmail);
            melding('global','Update:','Afspraak geannuleerd.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['heropenAfspraak'])) {
        $slotid = $_GET['id'];
        $query = "UPDATE afspraken SET status='2' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            melding('notice','Heropend','Afspraak heropend.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['afwijzenAfspraak'])) {
        $slotid = $_GET['id'];
        $query = "UPDATE afspraken SET status='5' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            $slot = getAfspraak($slotid);
            $mailid = getUser($slot['plannerid']);
            $ontvangerEmail = $mailid['email'];
            $templateid = kiesOptie('template_afgewezen');
            mailAfspraak($slotid, $templateid, $ontvangerEmail);
            melding('global','Update:','Afspraak afgewezen.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['accepterenAfspraak'])) {
        $slotid = $_GET['id'];
        $query = "UPDATE afspraken SET status='2' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            $slot = getAfspraak($slotid);
            $mailid = getUser($slot['plannerid']);
            $ontvangerEmail = $mailid['email'];
            $templateid = kiesOptie('template_geaccepteerd');
            mailAfspraak($slotid, $templateid, $ontvangerEmail);
            $ontvanger1 = getKlant($slot['klantid']);
            $ontvanger = $ontvanger1['email'];
            $templateid = kiesOptie('template_klantbevestiging');
            mailAfspraak($slotid, $templateid, $ontvanger);
            if (gebruikerOptie('agendaan') == 1){
                $event_time = array(
                    'start' => gmdate('Y-m-d\TH:i:s\Z', strtotime($slot['datum'] . ' ' . $slot['start_tijd'])),
                    'end'   => gmdate('Y-m-d\TH:i:s\Z', strtotime($slot['datum'] . ' ' . $slot['eind_tijd'])),
                    'timeZone' => 'UTC'
                );
				try {
					$capi = new GoogleCalendarApi();
					$data = $capi->GetAccessToken2();
					$_SESSION['access_token'] = $data['access_token'];
					$user_timezone = $capi->GetUserCalendarTimezone($_SESSION['access_token']);
					$event_id = $capi->CreateCalendarEvent('primary', ''.$ontvanger1['achternaam'].'/'.$ontvanger1['woonplaats'].'', 0, $event_time, $user_timezone, $_SESSION['access_token']);
                    melding('notice','Geaccepteerd','Geaccepteerd en toegevoegd aan Google Agenda.');
				}
				catch(Exception $e) {
                    melding('warning','Geaccepteerd','Geaccepteerd maar fout met Google.');
				}
			} else {
                melding('notice','Geaccepteerd','Afspraak geaccepteerd.');
			}
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['opslaan_om'])) {
        $slotid = $_GET['id'];
        $omschrijving = base64_encode($_POST['omschrijving']);
        $query = "UPDATE afspraken SET omschrijving='$omschrijving' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            melding('notice','Opgeslagen','Omschrijving aangepast.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['opslaan_fb'])) {
        $slotid = $_GET['id'];
        $feedback = base64_encode($_POST['feedback']);
        $query = "UPDATE afspraken SET feedback='$feedback' WHERE id='$slotid'";
        if ($connect->query($query) === TRUE) {
            melding('notice','Opgeslagen','Eindverslag aangepast.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    $afspraak = getAfspraak($_GET['id']);
    if ($afspraak) {
        if ($afspraak['status'] == '1'){$stat = 'Ingepland, wacht op akkoord.';}
        if ($afspraak['status'] == '2'){$stat = 'Geaccepteerd, wacht op uitvoering.';}
        if ($afspraak['status'] == '3'){$stat = 'Succesvol afgerond.';}
        if ($afspraak['status'] == '4'){$stat = 'Geannuleerd.';}
        if ($afspraak['status'] == '5'){$stat = 'Afgewezen.';}
        if ($afspraak['type'] == '1'){$type = kiesOptie('afspraken_text_thuis');}
        if ($afspraak['type'] == '2'){$type = kiesOptie('afspraken_text_uit');}
        $omschrijving = base64_decode($afspraak['omschrijving']);
        $feedback = base64_decode($afspraak['feedback']);
        $datum = strtotime($afspraak['datum']);
        $leesbareDatum = date('d-m-Y', $datum);
        $klant = getKlant($afspraak['klantid']);
        $laatsterit = getLaatsterit();
        if ($laatsterit) {
            $lastlocation = $laatsterit['eindlocatie'];
            $lastpc = $laatsterit['eindpostcode'];
            $laststand = $laatsterit['eindstand'];
        } else {
            $lastlocation = '';
            $lastpc = '';
            $laststand = '';
        }
        $datum2=date('Y-m-d');
        $startlocatie=$lastlocation;
        $startpostcode=$lastpc;
        $startstand=$laststand;
        $eindlocatie=$klant['straat'];
        $eindpostcode=$klant['postcode'];
        $eindstand='';
        $privekm='';
        $route='';
        echo '<div class="page_top"><h1>'.$leesbareDatum.'<br>'.$afspraak['start_tijd'].' - '.$afspraak['eind_tijd'].'</h1><br>
        <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">
        ';
        if ($afspraak['userid'] == $user_id) {
            echo '<div class="horizontale-box">
            <div class="inhoud">
            <form method="post">
            <input type="hidden" name="afspraakid" value="'.$afspraak['id'].'">';
            if ($afspraak['status'] == '1') {
                echo '
                <button name="accepterenAfspraak" class="big_button"><i class="fa-solid fa-circle-check" style="font-size: 18px"></i> Accepteren</button>
                <button name="afwijzenAfspraak" class="big_button"><i class="fa-solid fa-circle-xmark" style="font-size: 18px"></i> Afwijzen</button>
                ';
            } else if ($afspraak['status'] == '2') {
                if (empty ($afspraak['begintijd'])){
                    echo '<button name="startAfspraak" class="big_button"><i class="fa-solid fa-circle-play" style="font-size: 18px"></i> Start</button>';
                } else { 
                    echo '<button name="startAfspraak" class="big_button2" disabled><i class="fa-solid fa-circle-play" style="font-size: 18px"></i> '.$afspraak['begintijd'].'</button>';
                    if (empty ($afspraak['vertrektijd']) && ($afspraak['type'] == '2')){
                        echo '<button name="vertrekAfspraak" class="big_button"><i class="fa-solid fa-car-side" style="font-size: 18px"></i> Vertrek</button>';
                    } else {
                        echo '<button name="vertrekAfspraak" class="big_button2" disabled><i class="fa-solid fa-car-side" style="font-size: 18px"></i> '.$afspraak['vertrektijd'].'</button>';
                        if (empty ($afspraak['starttijd']) && ($afspraak['type'] == '2')){
                            echo '<button name="aankomstAfspraak" class="big_button"><i class="fa-solid fa-house-circle-check" style="font-size: 18px"></i> Aankomst</button>';
                        } else {
                            echo '<button name="aankomstAfspraak" class="big_button2" disabled><i class="fa-solid fa-house-circle-check" style="font-size: 18px"></i> '.$afspraak['starttijd'].'</button>';
                            if (empty ($afspraak['stoptijd']) && ($afspraak['type'] == '2')){
                                echo '<button name="eindeAfspraak" class="big_button"><i class="fa-solid fa-check-to-slot" style="font-size: 18px"></i> Klaar!</button>';
                            } else {
                                echo '<button name="eindeAfspraak" class="big_button2" disabled><i class="fa-solid fa-check-to-slot" style="font-size: 18px"></i> '.$afspraak['stoptijd'].'</button>';
                                if (empty ($afspraak['eindtijd'])){
                                    echo '<button name="stopAfspraak" class="big_button"><i class="fa-solid fa-circle-stop" style="font-size: 18px"></i> Stop</button>';
                                } else {
                                    echo '<button name="stopAfspraak" class="big_button2" disabled><i class="fa-solid fa-circle-stop" style="font-size: 18px"></i> '.$afspraak['eindtijd'].'</button>';
                                    if (!empty ($afspraak['feedback'])){
                                    echo '<button name="annulerenAfspraak" class="big_button"><i class="fa-solid fa-circle-xmark" style="font-size: 18px"></i> Annuleren</button>';
                                    echo '<button name="afsluitenAfspraak" class="big_button"><i class="fa-solid fa-circle-check" style="font-size: 18px"></i> Afsluiten</button>';
                                    } else {
                                        echo '<button name="afsluitenAfspraak" class="big_button"><i class="fa-solid fa-circle-check" style="font-size: 18px"></i> Afsluiten</button>';
                                    }
                                }
                            }
                        }
                    }
                }
            } else if ($afspraak['status'] == ('3' || '4')) {
                echo '<button name="startAfspraak" class="big_button2" disabled><i class="fa-solid fa-circle-play" style="font-size: 18px"></i> '.$afspraak['begintijd'].'</button>';
                echo '<button name="vertrekAfspraak" class="big_button2" disabled><i class="fa-solid fa-car-side" style="font-size: 18px"></i> '.$afspraak['vertrektijd'].'</button>';
                echo '<button name="aankomstAfspraak" class="big_button2" disabled><i class="fa-solid fa-house-circle-check" style="font-size: 18px"></i> '.$afspraak['starttijd'].'</button>';
                echo '<button name="eindeAfspraak" class="big_button2" disabled><i class="fa-solid fa-check-to-slot" style="font-size: 18px"></i> '.$afspraak['stoptijd'].'</button>';
                echo '<button name="stopAfspraak" class="big_button2" disabled><i class="fa-solid fa-circle-stop" style="font-size: 18px"></i> '.$afspraak['eindtijd'].'</button>';
                echo '<button name="heropenAfspraak" class="big_button"><i class="fa-solid fa-arrow-rotate-left" style="font-size: 18px"></i> Heropen</button>';  
            } else if ($afspraak['status'] == '5') {
                echo '<h4>Afspraak Afgewezen!</h4>';
            }
            echo '</form>';
            echo '</div>
            </div>';
            if (!empty(gebruikerOptie('kenteken')) && (gebruikerOptie('optie_ritten') == '1')) {
                echo '<div id="inviswrap" class="pop-up-wrap"><div class="pop-up-box">
                <button class="pop-up-box-kruis" onclick="hideDiv()"><i class="fas fa-times"></i></button>
                <h3 style="margin-top: 0px;">Registreer Rit</h3>
                <form action="" method="post" autocomplete="off">
                    <input type="date" class="form-veld-s" style="width:49%" name="datum" id="datum" value="'.$datum2.'">
                    <input type="text" class="form-veld-s" style="width:49%" placeholder="Vertreklocatie *" name="startlocatie" id="startlocatie" value="'.$startlocatie.'">
                    <input type="text" class="form-veld-s" style="width:49%" placeholder="Vertrek Postcode *" name="startpostcode" id="startpostcode" value="'.$startpostcode.'">
                    <input type="text" class="form-veld-s" style="width:49%" placeholder="Vertrek Stand *" name="startstand" id="startstand" value="'.$startstand.'">
                    <input type="text" class="form-veld-s" style="width:49%" placeholder="Bestemming *" name="eindlocatie" id="eindlocatie" value="'.$eindlocatie.'">
                    <input type="text" class="form-veld-s" style="width:49%" placeholder="Postcode Bestemming *" name="eindpostcode" id="eindpostcode" value="'.$eindpostcode.'">
                    <input type="text" class="form-veld-s" style="width:49%" placeholder="Aankomst Stand *" name="eindstand" id="eindstand" value="'.$eindstand.'">
                    <input type="text" class="form-veld-s" style="width:49%" placeholder="Aantal prive k/m *" name="privekm" id="privekm" value="'.$privekm.'">
                    <input type="text" class="form-veld-s" style="width:49%" placeholder="Afwijkende Route? *" name="route" id="route" value="'.$route.'">
                    <input type="submit" class="form-button" name="toevoegen" value="Toevoegen">
                </form>
                </div></div>';
            }
        }
        echo '<div class="centerdiv" id="tabs"><h3>'.$stat.'</h3></div>
        <div class="box-inkoop-bijlage">
            <div class="tab-wrap">
                <div class="tab-bg">
                <a href="?p=bekijk-afspraak&tab=opdracht&id='.$_GET['id'].'#tabs"><button style="border-top-left-radius:10px;" class="tab-button';if(!isset($_GET['tab']) || (isset($_GET['tab']) && $_GET['tab'] == 'opdracht')){echo'-active';} echo'">Opdracht</button></a><a href="?p=bekijk-afspraak&tab=afronding&id='.$_GET['id'].'#tabs"><button style="border-top-right-radius:10px;" class="tab-button';if(isset($_GET['tab']) && $_GET['tab'] == 'afronding'){echo'-active';} echo'">Afmelding</button></a>
                </div>
                <div class="tab-content">
            ';
            if (!empty(gebruikerOptie('kenteken')) && (gebruikerOptie('optie_ritten') == '1')) {
                echo '<button class="big_button" style="margin:0px; margin-right: 10px;" onclick="showDiv()"><i class="fa-solid fa-car-side" style="font-size: 18px"></i> Registreer</button>';
            }
            echo '<a href="https://www.google.com/maps/place/'.$klant['straat'].','.$klant['woonplaats'].'" target="_blank"><button class="big_button" style="margin:0px; margin-right: 10px;"><i class="fa-solid fa-location-arrow" style="font-size: 18px"></i> Navigeer</button></a>';
            if(!isset($_GET['tab']) || ($_GET['tab'] == 'opdracht')) {
                if ((($afspraak['plannerid'] == $user_id) && ($afspraak['status'] == '1' || $afspraak['status'] == '2'))) {
                    echo '<div class="centerdiv"><h3>'.$type.'</h3></div>';
                    echo "<script type=\"text/javascript\">
                    bkLib.onDomLoaded(function() {
                        new nicEditor().panelInstance('omschrijving');
                    });
                    </script>";
                    echo '<form method="post" action=""><div style="background-color: #ffffff;">
                    <textarea name="omschrijving" id="omschrijving" rows="15" class="textarea">'.$omschrijving.'</textarea></div><br>
                    <button type="submit" class="form-button" name="opslaan_om">Opslaan</button>
                    </form>
                    ';
                } else {
                    echo '<div class="centerdiv"><h3>'.$type.'</h3></div>';
                    echo '<div class="box-100-wit">'.$omschrijving.'</div>';
                }
            } else if($_GET['tab'] == 'afronding') {
                if ((($afspraak['userid'] == $user_id) && ($afspraak['status'] == '1' || $afspraak['status'] == '2'))) {
                    echo '<div class="centerdiv"><h3>'.$type.'</h3></div>';
                    echo "<script type=\"text/javascript\">
                    bkLib.onDomLoaded(function() {
                        new nicEditor().panelInstance('feedback');
                    });
                    </script>";
                    echo '<form method="post" action=""><div style="background-color: #ffffff;">
                    <textarea name="feedback" id="feedback" rows="15" class="textarea">'.$feedback.'</textarea></div><br>
                    <button type="submit" class="form-button" name="opslaan_fb">Opslaan</button>
                    </form>
                    ';
                } else {
                    echo '<div class="centerdiv"><h3>'.$type.'</h3></div>';
                    echo '<div class="box-100-wit">'.$feedback.'</div>';
                }
            }  
        echo'
        </div></div>
        </div>
        <a href="?p=bekijk-klant&id='.$klant['id'].'"><div class="box-inkoop-sidebar">
        <h4>Klant: </h4><br>';if (!empty($klant['bedrijfsnaam'])){echo $klant['bedrijfsnaam'];}echo'
            '.$klant['naam'].' '.$klant['achternaam'].'<br><br>
            <h4>Adres: </h4><br>'.$klant['straat'].'<br>
            '.$klant['postcode'].' '.$klant['woonplaats'].'<br>
            '.$klant['land'].'<br>
        </div></a>
        ';
        echo '</div>';
    } else {
        header("Location: ?p=alle-afspraken");
        exit;
    }
}
?>