<?php
$submenu = 'facturatie';
if (basename($_SERVER['PHP_SELF']) === 'bekijk-inkoopfactuur.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_crediteuren') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['credid'])) {
        $factuurid = nieuweInkoopfactuur($_POST['credid']);
    } else if (!empty($_GET['id'])){
        $factuurid = $_GET['id'];
    } else {
        $factuurid = $_POST['factuurid'];
    }
    if (isset($_POST['verwijder'])) {
        verwijderBijlage($_POST['bijlage'] ,$factuurid);
    }
    if (isset($_POST['uploadfile'])) {
        $currentYear = date('Y');
        $currentMonth = date('m');
        $savePath2 = 'data/invoices/in/';
        $yearlyDir = $savePath2 . $currentYear . '/';
        if (!is_dir($yearlyDir)) {
            mkdir($yearlyDir, 0755, true);
        }
        $monthlyDir = $yearlyDir . $currentMonth . '/';
        if (!is_dir($monthlyDir)) {
            mkdir($monthlyDir, 0755, true);
        }
        $target_dir = $monthlyDir;
        $random = bin2hex(random_bytes(10));
        $file_extension = pathinfo($_FILES["upload"]["name"], PATHINFO_EXTENSION);
        $unique_filename = $random . "." . $file_extension;
        $target_file = $target_dir . $unique_filename;
        $isok = '1';
        $allowed_extensions = array("pdf", "jpg", "jpeg");
        if (!in_array($file_extension, $allowed_extensions)) {
            $isok = '0';
            melding('warning','Ongeldig','Alleen PDF, JPG en JPEG bestanden zijn toegestaan.');
        }
        if (file_exists($target_file)) {
            $isok = '0';
            melding('error','Fout','Bestand bestaat al.');
        }
        if (!move_uploaded_file($_FILES["upload"]["tmp_name"], $target_file)) {
            $isok = '0';
            melding('error','Fout','Fout bij het uploaden van bestand.');
        }
        if ($isok == '1') {
            $sql3 = "UPDATE inkoopfacturen SET bijlage='$target_file' WHERE id='$factuurid'";
            if ($connect->query($sql3) === TRUE) {
                melding('global','Gelukt','Bijlage geupload.');
            } else {
                melding('error','Mislukt','Database fout.');
            }
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['opslaan'])){
        if (empty($_POST['verlegd'])) {
            $verlegd = 0;
        } else {
            $verlegd = $_POST['verlegd'];
        }
        updateInkoopfactuur($_POST['factuurid'], $_POST['factuurdatum'], $_POST['factuurnummer'], $_POST['ref'], $_POST['totaalincl'], $_POST['totaalexcl'], $_POST['belastinglaag'], $_POST['belastinghoog'], $verlegd, $_POST['catid']);
    }
    if (isset($_POST['inkoopInboeken'])){
        factuurInboeken($factuurid);
    }
    
    if (isset($_POST['factuurVerwerkt'])){
        $datum = date('Y-m-d');
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Op welke datum is de factuur voldaan?
        <br><br><form method="post" action="">
            <input type="hidden" name="factuurid" value="'.$factuurid.'">
            <input type="date" class="form-veld-s" name="datum" id="datum" value="'.$datum.'">
            <button class="form-button" style="font-size:12px;" type="submit" name="registreerBetaling">Opslaan</button>
            <button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button>
        </form>
        </div></div>';
    }
    if (isset($_POST['registreerBetaling'])){
        factuurVerwerkt($factuurid, $_POST['datum']);
    }
    $factuur = openInkoopfactuur($factuurid);
    $credid = $factuur['credid'];
    $crediteur = getCrediteur($credid);
    echo '<div class="page_top"><h1>Inkoopfactuur</h1><br>
        <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">
        <div class="horizontale-box">
        <div class="inhoud">       
        <form method="post">
        <input type="hidden" name="factuurid" value="'.$factuurid.'">';
    if ($factuur['status'] == '10') {
        echo '
        <button name="inkoopInboeken" class="big_button"><i class="fa-solid fa-file-circle-check" style="font-size: 18px;"></i> Inboeken</button>';
    } else {
        echo '
        <button class="big_button2" disabled><i class="fa-solid fa-file-circle-check" style="font-size: 18px;"></i> Ingeboekt</button>';
        if ($factuur['status'] == '11') {
            echo '<button name="factuurVerwerkt" class="big_button" ><i class="fa-solid fa-money-bill-wave" style="font-size: 18px;"></i> Betaling Registreren</button>';
        } else {
            if ($factuur['status'] == '12') {
                $betaaldatum = date('d-m-Y', strtotime($factuur['betaaldatum']));
                echo '<button class="big_button2" disabled><i class="fa-solid fa-money-bill-wave" style="font-size: 18px;"></i> Voldaan: '.$betaaldatum.'</button>';
            }
        }
    }
    echo '</form></div></div>';
    if ($crediteur) {
        echo '<div class="box-inkoop-bijlage">';
            if (!empty($factuur['bijlage'])) {
                echo '
                <iframe src="'.$factuur['bijlage'].'" width="100%" height="600"></iframe>
                <br><br>';
                echo '<form action="" method="post">
                <input type="hidden" name="factuurid" value="'.$factuurid.'">
                <input type="hidden" name="bijlage" value="'.$factuur['bijlage'].'">
                <div align="center">';
                if ($factuur['status'] == '10') {
                    echo '<input type="submit" name="verwijder" value="Verwijder Bijlage" class="form-button-2">';
                }
                echo '
                </div>
                </form>';
            } else if ($factuur['status'] == '10'){
                echo '<form action="" method="post" autocomplete="off" enctype="multipart/form-data">
                <div class="centerdiv">
                <input type="hidden" name="factuurid" value="'.$factuurid.'">
                <label for="upload" class="form-button-2" style="cursor: pointer;">Kies Bestand...</label>
                <input type="file" name="upload" id="upload" hidden/>
                <input type="submit" class="form-button" name="uploadfile" value="Uploaden">
                </div>
                </form>
                ';
            }
        echo '</div>';
        echo '<div class="box-inkoop-sidebar">
            <h4 style="width:100%; text-align:center;">'.$crediteur['bedrijfsnaam'].'</h4><br>
            <span style="display: inline-block; width: 100px;">t.a.v.: </span>'.$crediteur['afdeling'].'<br>
            <span style="display: inline-block; width: 100px;">Adres: </span>'.$crediteur['adres'].'<br>
            <span style="display: inline-block; width: 100px;">Postcode: </span>'.$crediteur['postcode'].'<br>
            <span style="display: inline-block; width: 100px;">Plaats: </span>'.$crediteur['plaats'].'<br>
            <span style="display: inline-block; width: 100px;">Land: </span>'.$crediteur['land'].'<br>
            <span style="display: inline-block; width: 100px;">E-mail: </span>'.$crediteur['email'].'<br>
            <span style="display: inline-block; width: 100px;">Telefoon: </span>'.$crediteur['telefoon'].'<br>
            <br>
            <form action="" method="post">
            <input type="hidden" name="factuurid" value="'.$factuur['id'].'">
            Categorie:<br>
            <select name="catid" class="form-veld-s">
            <option value="">Geen Categorie</option>';
            $categorieen = lijstCategorie('cred');
            foreach ($categorieen as $categorie) {
                echo '<option value="'.$categorie['id'].'" ';if($categorie['id'] == $factuur['catid']){echo'selected';} echo'>'.$categorie['naam'].'</option>'; 
            }
            echo '</select>
            Referentie:<br>
            <input type="text" class="form-veld-s" name="ref" value="'.$factuur['ref'].'">
            Factuurnummer:<br>
            <input type="text" class="form-veld-s" name="factuurnummer" value="'.$factuur['factuurnummer'].'">
            Factuurdatum:<br>
            <input type="date" class="form-veld-s" name="factuurdatum" value="'.$factuur['factuurdatum'].'">
            Totaalbedrag excl:<br>
            <input type="text" class="form-veld-s" name="totaalexcl" value="'.$factuur['totaalexcl'].'">
            Totaalbedrag incl:<br>
            <input type="text" class="form-veld-s" name="totaalincl" value="'.$factuur['totaalincl'].'">
            Totaal BTW (laag: 9%):<br>
            <input type="text" class="form-veld-s" name="belastinglaag" value="'.$factuur['belastinglaag'].'">
            Totaal BTW (hoog: 21%):<br>
            <input type="text" class="form-veld-s" name="belastinghoog" value="'.$factuur['belastinghoog'].'">';
            if (($factuur['status'] == '11') || ($factuur['status'] == '10')) {
                echo '<input type="checkbox" name="verlegd" id="verlegd" value="1" ';if($factuur['verlegd']==1){echo'checked';}echo'> btw naar mij verlegd.<br><br>';
            } else {
                if($factuur['verlegd']==1){
                    echo'<input type="hidden" name="verlegd" value="1">btw naar mij verlegd.<br><br>';
                } else {
                    echo'<input type="hidden" name="verlegd" value="0">Niet verlegd.<br><br>';
                }
            }
            echo '<input type="submit" name="opslaan" value="Opslaan" class="form-button">
            </form>
            ';
        echo '</div></div>';
    } else {
        header("Location: ?p=alle-inkoopfacturen");
        exit;
    }
}
?>