<script type="text/javascript">
function showDiv() {
   document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
   document.getElementById('inviswrap').style.display = "none";
}		
</script>
<?php
$submenu = 'reparaties';
if (basename($_SERVER['PHP_SELF']) === 'bekijk-reparatie.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_reparatie') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['downloadInnamebewijs'])) {
        $pdf = $_POST['pdf'];
        echo '<div class="verwijder-wrap">
        <div class="verwijder" style="background: #fff; padding: 20px; border-radius: 5px;">
        Innamebewijs Downloaden
        <br><br><form method="post" action="includes/downloadpdf.php">
            <input type="hidden" name="factuurnummer" value="innamebewijs-">
            <input type="hidden" name="pdf" value="'.$pdf.'">
            <button class="form-button" style="font-size:12px;" type="submit" name="factuurDownloaden">Downloaden</button>
            <button class="form-button-2" style="font-size:12px;" type="button" name="annuleren" onclick="closePopup()">Sluiten</button>
        </form>
        </div></div>
        <script>
            function closePopup() {
                document.querySelector(".verwijder-wrap").style.display = "none";
            }
        </script>';
    }
    // Interne notitie opslaan
    if (isset($_POST['opslaan_intern'])) {
        $repid = $_GET['id'];
        $note = $_POST['note_intern'];
        $query = $connect->prepare("UPDATE reparaties SET note_intern=? WHERE id=?");
        $query->bind_param('si', $note, $repid);
        if ($query->execute()) {
            melding('notice','Opgeslagen','Notitie opgeslagen.');
        } else {
            melding('error','Mislukt','Database Fout.');
        }
        $query->close();
    }

    // Externe notitie opslaan
    if (isset($_POST['opslaan_extern'])) {
        $repid = $_GET['id'];
        $note = $_POST['note_extern'];
        $query = $connect->prepare("UPDATE reparaties SET note_extern=? WHERE id=?");
        $query->bind_param('si', $note, $repid);
        if ($query->execute()) {
            melding('notice','Opgeslagen','Notitie opgeslagen.');
        } else {
            melding('error','Mislukt','Database Fout.');
        }
        $query->close();
    }

    // Opdracht/omschrijving opslaan
    if (isset($_POST['opslaan_om'])) {
        $repid = $_GET['id'];
        $klacht1 = base64_encode($_POST['klacht']);
        $belangrijke_data = base64_encode($_POST['verborgen_data']);
        $query = $connect->prepare("UPDATE reparaties SET klacht=?, verborgen_data=? WHERE id=?");
        $query->bind_param('ssi', $klacht1, $belangrijke_data, $repid);
        if ($query->execute()) {
            melding('notice','Opgeslagen','Notitie opgeslagen.');
        } else {
            melding('error','Mislukt','Database Fout.');
        }
        $query->close();
    }

    // Oplossing/arbeid opslaan
    if (isset($_POST['opslaan_fb'])) {
        $repid = $_GET['id'];
        $oplossing1 = base64_encode($_POST['oplossing']);
        $arbeid1 = $_POST['arbeid'];
        $query = $connect->prepare("UPDATE reparaties SET oplossing=?, arbeid=? WHERE id=?");
        $query->bind_param('ssi', $oplossing1, $arbeid1, $repid);
        if ($query->execute()) {
            melding('notice','Opgeslagen','Notitie opgeslagen.');
        } else {
            melding('error','Mislukt','Database Fout.');
        }
        $query->close();
    }
    if (isset($_POST['verstuurSms'])) {
        $reparatie = getReparatie($_GET['id']);
        $klant = getKlant($reparatie['klantid']);
        $klanttel = $klant['mobiel'];
        if (substr($klanttel, 0, 2 ) === "06") {
            $berichtid = kiesOptie('template_smsrep');
            $berichtladen = getTemplate($berichtid);
            $bericht = base64_decode($berichtladen['template']);
            $gefilterdBericht = strip_tags($bericht);
            $bedrijfsnaam = kiesOptie('sms_afzender_naam');

            $telf = ltrim($klanttel, "0");
            $url = "https://gatewayapi.com/rest/mtsms";
            $api_token = kiesOptie('sms_token');	
            $recipients = ['0031'.$telf];
            $json = [
                'sender' => $bedrijfsnaam,
                'message' => $gefilterdBericht,
                'recipients' => [],
            ];
            foreach ($recipients as $msisdn) {
                $json['recipients'][] = ['msisdn' => $msisdn];
            }
            $ch = curl_init();
            curl_setopt($ch,CURLOPT_URL, $url);
            curl_setopt($ch,CURLOPT_HTTPHEADER, array("Content-Type: application/json"));
            curl_setopt($ch,CURLOPT_USERPWD, $api_token.":");
            curl_setopt($ch,CURLOPT_POSTFIELDS, json_encode($json));
            curl_setopt($ch,CURLOPT_RETURNTRANSFER, true);
            $result = curl_exec($ch);
            curl_close($ch);
            melding('notice','Verzonden','Gereedmelding verzonden via SMS.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
    }
    if (isset($_POST['maakInnamebewijs'])) {
        maakInnamebewijs($_GET['id']);
    }
     // Status Aanpassen
     if (isset($_POST['statusOpslaan'])) {
        $repid = $_GET['id'];
        $note = $_POST['zoekterm'];
        $query = $connect->prepare("UPDATE reparaties SET status=? WHERE id=?");
        $query->bind_param('si', $note, $repid);
        if ($query->execute()) {
            melding('notice','Opgeslagen','Status aangepast.');
        } else {
            melding('error','Mislukt','Database fout.');
        }
        $query->close();
    }
    if (isset($_POST['innamebewijsSturen'])) {
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Innamebewijs (nogmaals) e-mailen?
        <br><br><form method="post" action="">
            <input type="hidden" name="repid" value="'.$_POST['repid'].'">
            <input type="hidden" name="klantmail" value="'.$_POST['klantmail'].'">
            <button class="form-button" style="font-size:12px;" type="submit" name="innamebewijsSturen2">Verstuur</button>
            <button class="form-button-2" style="font-size:12px;" type="submit" name="niks">Annuleren</button>
        </form>
        </div></div>';
    }
    if (isset($_POST['innamebewijsSturen2'])) {
        $result = mailReparatie($_POST['repid'], kiesOptie('template_ingenomen'), $_POST['klantmail']);
        if ($result == '1') {
            melding('notice','Verzonden','Innamebewijs verzonden via mail.');
        } else {
            melding('error','Mislukt','Innamebewijs verzenden mislukt');
        }
    }
    if (isset($_POST['reparatieKlaar'])) {
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Eindverslag (nogmaals) e-mailen?
        <br><br><form method="post" action="">
            <input type="hidden" name="repid" value="'.$_POST['repid'].'">
            <input type="hidden" name="klantmail" value="'.$_POST['klantmail'].'">
            <button class="form-button" style="font-size:12px;" type="submit" name="reparatieKlaar2">Verstuur</button>
            <button class="form-button-2" style="font-size:12px;" type="submit" name="niks">Annuleren</button>
        </form>
        </div></div>';
    }
    if (isset($_POST['reparatieKlaar2'])) {
        $result = mailReparatie($_POST['repid'], kiesOptie('template_afgerond'), $_POST['klantmail']);
        if ($result == '1') {
            melding('notice','Verzonden','Eindverslag verzonden via mail.');
        } else {
            melding('notice','Mislukt','Eindverslag verzenden mislukt.');
        }
    }
    // data opvragen en layout opmaken
    $reparatie = getReparatie($_GET['id']);
    if ($reparatie) {
        $klacht = base64_decode($reparatie['klacht']);
        $oplossing = base64_decode($reparatie['oplossing']);
        $verborgen_data = base64_decode($reparatie['verborgen_data']);
        $note_intern = $reparatie['note_intern'];
        $note_extern = $reparatie['note_extern'];
        $arbeid = $reparatie['arbeid'];
        $status = $reparatie['status'];
        $pdf = $reparatie['pdf'];
        $datum = strtotime($reparatie['datum']);
        $leesbareDatum = date('d-m-Y', $datum);
        $klant = getKlant($reparatie['klantid']);
        $datum2=date('Y-m-d');

        echo '<div class="page_top"><h1>'.$reparatie['titel'].'</h1><br>
        <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">
        ';
        if ($reparatie['userid'] == $user_id) {
            echo '<div class="centerdiv" id="tabs"><div class="zoekdiv">
            <form method="post" action="" autocomplete="off" name="pageform">
                <button type="submit" name="statusOpslaan" class="zoekknop"><i class="fas fa-check"></i></button>
                <select name="zoekterm" class="zoekveld">';
                    $cats = lijstCategorie('rep');
                    foreach ($cats as $cat){
                        echo' <option value="'.$cat['naam'].'" '; if($status==$cat['naam']){echo'selected';} echo'>'.$cat['naam'].'</option>';
                    }
                echo '</select>
            </form></div></div>';
            echo '<div class="horizontale-box">
            <div class="inhoud">';
            echo '<form method="post">';
            if (empty($pdf)){
                echo '<button name="maakInnamebewijs" class="big_button"><i class="fa-solid fa-file-circle-plus" style="font-size: 18px"></i> Maak Innamebewijs</button>';
            } else {
                echo '<input type="hidden" name="pdf" value="'.$pdf.'"><button name="downloadInnamebewijs" class="big_button"><i class="fa-solid fa-file-arrow-down" style="font-size: 18px"></i> Download Innamebewijs</button>';
            }
            if (kiesOptie('sms_ingeschakeld') == 1 && !empty($klant['mobiel'])){
                echo '<button name="verstuurSms" class="big_button"><i class="fa-solid fa-sms" style="font-size: 18px"></i> Verstuur SMS (gereedmelding)</button>';
            }
            if (!empty($klant['email'])) {
                echo '
                <input type="hidden" name="repid" value="'.$reparatie['id'].'">
                <input type="hidden" name="klantmail" value="'.$klant['email'].'">
                <button name="innamebewijsSturen" class="big_button"><i class="fa-solid fa-envelope" style="font-size: 18px;"></i> Mail Innamebewijs</button>
                <button name="reparatieKlaar" class="big_button"><i class="fa-solid fa-envelope" style="font-size: 18px;"></i> Mail Eindverslag</button>';
            }
            echo '</form>';
            echo '</div></div>';
            echo '<div class="box-inkoop-bijlage">
                <div class="tab-wrap">
                    <div class="tab-bg">
                    <a href="?p=bekijk-reparatie&tab=opdracht&id='.$_GET['id'].'#tabs"><button style="border-top-left-radius:10px;" class="tab-button';if(!isset($_GET['tab']) || (isset($_GET['tab']) && $_GET['tab'] == 'opdracht')){echo'-active';} echo'">Opdracht</button></a><a href="?p=bekijk-reparatie&tab=afronding&id='.$_GET['id'].'#tabs"><button style="border-top-right-radius:10px;" class="tab-button';if(isset($_GET['tab']) && $_GET['tab'] == 'afronding'){echo'-active';} echo'">Afmelding</button></a>
                    </div>
                    <div class="tab-content">
                ';
                // eerste tab-> omschrijving
                if(!isset($_GET['tab']) || ($_GET['tab'] == 'opdracht')) {
                    echo '<div class="centerdiv"><h3>Probleem/Klachtomschrijving</h3></div>';
                    echo "<script type=\"text/javascript\">
                    bkLib.onDomLoaded(function() {
                        new nicEditor().panelInstance('klacht');
                    });
                    </script>";
                    echo '<form method="post" action=""><div style="background-color: #ffffff;">
                    <textarea name="klacht" id="klacht" rows="15" class="textarea">'.$klacht.'</textarea></div><br>
                    ';
                    echo '<div class="centerdiv"><h3>Belangrijke Data</h3></div>';
                    echo "<script type=\"text/javascript\">
                    bkLib.onDomLoaded(function() {
                        new nicEditor().panelInstance('verborgen_data');
                    });
                    </script>";
                    echo '<div style="background-color: #ffffff;">
                    <textarea name="verborgen_data" id="verborgen_data" rows="15" class="textarea">'.$verborgen_data.'</textarea></div><br>
                    <button type="submit" class="form-button" name="opslaan_om">Opslaan</button>
                    </form>
                    ';

                    
                } else if($_GET['tab'] == 'afronding') {
                    echo "<script type=\"text/javascript\">
                    bkLib.onDomLoaded(function() {
                        new nicEditor().panelInstance('oplossing');
                    });
                    </script>";
                    echo '<form method="post" action="">
                    <div class="centerdiv"><h3>Aantal gewerkte minuten.</h3><br>
                    <input type="tel" maxlength="4" name="arbeid" id="arbeid" value="'.$arbeid.'" class="form-veld" style="width: 65px"> minuten<br>
                    </div>
                    <div class="centerdiv"><h3>Oplossing/Afronding</h3></div>
                    <div style="background-color: #ffffff;">
                    <textarea name="oplossing" id="oplossing" rows="15" class="textarea">'.$oplossing.'</textarea></div><br>
                    <button type="submit" class="form-button" name="opslaan_fb">Opslaan</button>
                    </form>
                    ';
                }  
            echo'
            </div></div>
            </div>
            <div class="box-inkoop-sidebar"><a href="?p=bekijk-klant&id='.$klant['id'].'">
            <h4>Klant: </h4><br>';if (!empty($klant['bedrijfsnaam'])){echo $klant['bedrijfsnaam'];}echo'
                '.$klant['naam'].' '.$klant['achternaam'].'<br><br>
                <h4>Adres: </h4><br>'.$klant['straat'].'<br>
                '.$klant['postcode'].' '.$klant['woonplaats'].'<br>
                '.$klant['land'].'<br>
            </a><br><br>
            <h4>Interne Notitie</h4>
            <form method="post" action="">
            <textarea name="note_intern" id="note_intern" rows="5" class="textarea">'.$note_intern.'</textarea><br>
            <button type="submit" class="form-button-s" name="opslaan_intern">Opslaan</button>
            </form><br><br>
            <h4>Externe Notitie<br>(zichtbaar voor klant)</h4>
            <form method="post" action="">
            <textarea name="note_extern" id="note_extern" rows="5" class="textarea">'.$note_extern.'</textarea><br>
            <button type="submit" class="form-button-s" name="opslaan_extern">Opslaan</button>
            </form>
            </div>
            ';
        }
        echo '</div>';
    } else {
        header("Location: ?p=alle-reparaties");
        exit;
    }
}
?>