<?php
if (basename($_SERVER['PHP_SELF']) === 'afspraken.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    $klant = getKlant($_SESSION['klantid']);
    if ($klant) {
        echo '<h3>Afspraken</h3><br>';
        // Aantal resultaten per pagina
        $perPage = 25;
        $query = "SELECT COUNT(*) AS total FROM afspraken WHERE klantid=".$klant['id']."";
        $result = $connect->query($query);
        $row = $result->fetch_assoc();
        $total_rows = $row['total'];
        $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
        $startFrom = ($sub - 1) * $perPage;
        $afspraken = alleAfspraken($klant['id'], $startFrom, $perPage);
        if ($afspraken) {
            foreach ($afspraken as $afspraak) {
                if ($afspraak['status'] == '1'){$text = 'Ingepland, wacht op akkoord.'; $kleur='#3F72AF';}
                if ($afspraak['status'] == '2'){$text = 'Akkoord, wacht op bezoek.'; $kleur='#b69323';}
                if ($afspraak['status'] == '3'){$text = 'Afspraak afgerond.'; $kleur='#418d1e';}
                if ($afspraak['status'] == '4'){$text = 'Afspraak geannuleerd.'; $kleur='#731e8d';}
                if ($afspraak['status'] == '5'){$text = 'Afspraak afgewezen.'; $kleur='#8d1e1e';}
                $datum = date('d-m-Y', strtotime($afspraak['datum']));
                $dagVanDeWeek = date("D", strtotime($datum));
                $dag = vertaalDag($dagVanDeWeek);
                echo '<div class="row"><i class="row-icon fa-solid fa-calendar-check" style="background-color:'.$kleur.';"></i><a href="?p=bekijk-afspraak&id='.$afspraak['id'].'"><span class="row-inner-wrap"><strong>'.$dag.' '.$datum.' - '.$afspraak['start_tijd'].' - '.$afspraak['eind_tijd'].'</strong>
                <br><span class="subtext-row">'; 
                echo $text;
                echo'</span></span></a>'; 
                echo '</div>';
            }
        } else {
            echo '<div align="center" width="100%"><img src="afbeeldingen/geen-afspraken-cp.png" class="empty-page-img"></div>';
        }
        if ($total_rows > $perPage) {
            echo '<br><br><div class="centerdiv" style="display: inline-block;">';
            for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
                if ($sub == $i) {
                    echo '<a href="?p=afspraken&sub=' . $i . '"><button class="pagina-button-active">' . $i . '</button></a>';
                } else if ($sub != $i) {
                    echo '<a href="?p=afspraken&sub=' . $i . '"><button class="pagina-button">' . $i . '</button></a>';
                }
            }
            echo '</div>';
        }
    } else {
        header("Location: ?p=home");
        exit;
    }
}
?>