<?php
if (basename($_SERVER['PHP_SELF']) === 'bekijk-factuur.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    $klant = getKlant($_SESSION['klantid']);
    $factuur = openFactuur($_GET['id']);

    if ($factuur && $klant) {
        if (isset($_POST['betaalIdeal'])){
            $payurl = maakBetaallink($factuur['totaalbedrag'], $factuur['factuurnummer'], $factuur['kenmerk']);
            echo '<script type="text/javascript">';
            echo 'window.location.href="' . htmlspecialchars($payurl, ENT_QUOTES, 'UTF-8') . '";';
            echo '</script>';
        }
        if ($_SESSION['klantid'] == $factuur['klantid']) {
            $timestamp = strtotime($factuur['betaaldatum']);
            $betaaldatum = date('d-m-Y', $timestamp);
            if ($factuur['status'] == '12') {
                $status = '<h3 style="float: right;"><a style="color: #ba3208;" href="#">Nog niet betaald.</a></h3>';
            } else if ($factuur['status'] == '13') {
                $status = '<h3 style="float: right;"><a style="color: #61af3f;" href="#">Betaald op: '.$betaaldatum.'.</a></h3>';
            } else if ($factuur['status'] == '14') {
                $status = '<h3 style="float: right;"><a style="color: #af8e3f;" href="#">Gecrediteerd.</a></h3>';
            } else if ($factuur['status'] == '15') {
                $status = '<h3 style="float: right;"><a style="color: #3fafa8;" href="#">Creditfactuur.</a></h3>';
            }
            $base64PDF = getBase64PDF($factuur['pdf']);
            echo '<h3>'.$factuur['factuurnummer'].'</h3>'.$status.'
            <iframe src="data:application/pdf;base64,'.$base64PDF.'" width="100%" height="500"></iframe><br><br>
            ';
            if ($factuur['status'] == '12' && kiesOptie('ideal_ingeschakeld') == '1') {
                echo '<form method="post">
                    <button type="submit" name="betaalIdeal" class="groeneknop"><i class="fa-brands fa-ideal" style="font-size:24px;"></i>&nbsp;&nbsp;&nbsp;Betaal met iDeal</button>
                    </form>';
            }
        } else {
            header("Location: ?p=home");
            exit;
        }
    } else {
        header("Location: ?p=home");
        exit;
    }
}
?>