<?php
if (basename($_SERVER['PHP_SELF']) === 'bekijk-offerte.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    if (isset($_POST['offerteAkkoord'])) {
        offerteAkkoord($_GET['id']);
    }
    if (isset($_POST['offerteAfgewezen'])) {
        offerteAfgewezen($_GET['id']);
    }
    $klant = getKlant($_SESSION['klantid']);
    $factuur = openFactuur($_GET['id']);
    if ($factuur && $klant) {
        if ($_SESSION['klantid'] == $factuur['klantid']) {
            $timestamp = strtotime($factuur['betaaldatum']);
            $betaaldatum = date('d-m-Y', $timestamp);
            $datum = $row['factuurdatum'];
            $datumvandaag = date('Y-m-d');
            $factuurDatum = new DateTime($datum);
            $vandaagDatum = new DateTime($datumvandaag);
            $verschil = $factuurDatum->diff($vandaagDatum);
            $aantalDagen = $verschil->days;
            $totaalbedrag = str_replace('.', ',', $factuur['totaalbedrag']);
            if ($factuur['status'] == '24') {
                $status = '<h3 style="float: right;"><a style="color: #ba3208;" href="#">Afgewezen.</a></h3>';
            } else if ($factuur['status'] == '23') {
                $status = '<h3 style="float: right;"><a style="color: #61af3f;" href="#">Akkoord op: '.$betaaldatum.'.</a></h3>';
            } else if ($factuur['status'] == '22' && $aantalDagen >= kiesOptie('offerte_geldigheid')) {
                $status = '<h3 style="float: right;"><a style="color: #ba3208;" href="#">Verlopen.</a></h3>';
            } else if ($factuur['status'] == '22') {
                $status = '<h3 style="float: right;"><a style="color: #af8e3f;" href="#">Wacht op Actie.</a></h3>';
            }
            $base64PDF = getBase64PDF($factuur['pdf']);
            echo '<h3>'.$factuur['factuurnummer'].'</h3>'.$status.'
            <iframe src="data:application/pdf;base64,'.$base64PDF.'" width="100%" height="500"></iframe><br><br>';
            if ($factuur['status'] == '22' && $aantalDagen < kiesOptie('offerte_geldigheid')) {
                echo '<form method="post">
                <h2 style="font-weight:normal;">
                    <input type="checkbox" id="checkbox" onclick="toggleButtons()"> Ik heb bovenstaande offerte: <b>'.$factuur['factuurnummer'].'</b> met een totaalbedrag van: <b>&euro;'.$totaalbedrag.'</b> doorgenomen en ga hiermee akkoord.
                </h2><br><br>
                <button type="submit" class="groeneknopD" name="offerteAkkoord" id="offerteAkkoord" disabled><i class="fa-solid fa-check" style="font-size:36px; margin-bottom:5px;"></i><br>AKKOORD</button>
                <button type="submit" class="rodeknop" name="offerteAfgewezen"><i class="fa-solid fa-xmark" style="font-size:36px; margin-bottom:5px;"></i><br>AFWIJZEN</button>
                </form>
                ';
            }
        } else {
            header("Location: ?p=home");
            exit;
        }
    } else {
        header("Location: ?p=home");
        exit;
    }
}
?>
<script>
function toggleButtons() {
    const checkbox = document.getElementById('checkbox');
    const button1 = document.getElementById('offerteAkkoord');
    if (checkbox.checked) {
        button1.disabled = false;
        button1.classList.remove('groeneknopD');
        button1.classList.add('groeneknop');
    } else {
        button1.disabled = true;
        button1.classList.remove('groeneknop');
        button1.classList.add('groeneknopD');
    }
}
</script>