<?php
if (basename($_SERVER['PHP_SELF']) === 'facturen.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    $klant = getKlant($_SESSION['klantid']);
    if ($klant) {
        echo '<h3>Uw Facturen</h3><br>';
        // Aantal resultaten per pagina
        $perPage = 25;
        $query = "SELECT COUNT(*) AS total FROM facturen WHERE status IN (12,13,14,15) AND klantid=".$klant['id']."";
        $result = $connect->query($query);
        $row = $result->fetch_assoc();
        $total_rows = $row['total'];
        $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
        $startFrom = ($sub - 1) * $perPage;
        $facturen = facturenLaden($klant['id'], $startFrom, $perPage);
        if ($facturen) {
            foreach ($facturen as $factuur) {
                if (isset($_POST['betaalIdeal'])){
                    $payurl = maakBetaallink($factuur['totaalbedrag'], $factuur['factuurnummer'], $factuur['kenmerk']);
                    echo '<script type="text/javascript">';
                    echo 'window.location.href="' . htmlspecialchars($payurl, ENT_QUOTES, 'UTF-8') . '";';
                    echo '</script>';
                }
                if (!empty($factuur['factuurdatum'])){
                    $timestamp = strtotime($factuur['factuurdatum']);
                    $datum = date('d-m-Y', $timestamp);
                } else {
                    $datum = date('d-m-Y');
                }
                if (!empty($factuur['betaaldatum'])){
                    $timestamp2 = strtotime($factuur['betaaldatum']);
                    $betaaldatum = date('d-m-Y', $timestamp2);
                } else {
                    $betaaldatum = '';
                }
                if ($factuur['status'] == '12'){$text = 'Open'; $kleur='#ba3208';}
                if ($factuur['status'] == '13'){$text = 'Voldaan op: '.$betaaldatum; $kleur='#61af3f';}
                if ($factuur['status'] == '14'){$text = 'Gecrediteerd'; $kleur='#af8e3f';}
                if ($factuur['status'] == '15'){$text = 'Creditfactuur'; $kleur='#3fafa8';}
                echo '<div class="row"><i class="row-icon fa-solid fa-file-invoice" style="background-color:'.$kleur.';"></i><span class="row-inner-wrap"><a href="?p=bekijk-factuur&id='.$factuur['id'].'"><b>'.$factuur['factuurnummer'].'</b>&nbsp;&nbsp;&nbsp;'.$datum.'</a><br><span class="subtext-row">'.$text.'&nbsp;&nbsp;&nbsp;'; 
                echo'</span></span>';
                echo '<form method="post" style="float:right;" action="includes/downloadpdf.php">
                <input type="hidden" name="pdf" value="'.$factuur['pdf'].'">
                <input type="hidden" name="factuurnummer" value="'.$factuur['factuurnummer'].'">
                <button class="form-button" style="font-size:12px; width:32; height:32;" type="submit" name="factuurDownloaden"><i class="fa-solid fa-file-arrow-down"></i></button>
                </form>';
                if (($factuur['status'] == '12') && (kiesOptie('ideal_ingeschakeld') == '1')){
                    echo '<form method="post" style="float: right;"><button type="submit" name="betaalIdeal" class="form-button" style="background-color: #dd9933; font-size:12px; width:auto; height:32;"><i class="fa-brands fa-ideal"> Betalen</i></button></form>';
                }
                echo '&nbsp;<button class="row-bedrag">€'.number_format($factuur['totaalbedrag'],2, ',','.').'</button>';
                echo '</div>'; 
            }
        } else {
            echo '<div align="center" width="100%"><img src="afbeeldingen/geen-facturen-cp.png" class="empty-page-img"></div>';
        }
        if ($total_rows > $perPage) {
            echo '<br><br><div class="centerdiv" style="display: inline-block;">';
            for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
                if ($sub == $i) {
                    echo '<a href="?p=facturen&sub=' . $i . '&id='.$klant['id'].'"><button class="pagina-button-active">' . $i . '</button></a>';
                } else if ($sub != $i) {
                    echo '<a href="?p=facturen&sub=' . $i . '&id='.$klant['id'].'"><button class="pagina-button">' . $i . '</button></a>';
                }
            }
            echo '</div>';
        }
    } else {
        header("Location: ?p=home");
        exit;
    }
}
?>