<?php
if (basename($_SERVER['PHP_SELF']) === 'offertes.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    $klant = getKlant($_SESSION['klantid']);
    if ($klant) {
        // Aantal resultaten per pagina
        $perPage = 25;
        $query = "SELECT COUNT(*) AS total FROM facturen WHERE status IN (22,23,24) AND klantid=".$klant['id']."";
        $result = $connect->query($query);
        $row = $result->fetch_assoc();
        $total_rows = $row['total'];
        $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
        $startFrom = ($sub - 1) * $perPage;
        $facturen = offertesLaden($klant['id'], $startFrom, $perPage);
        if ($facturen) {
            echo '<h3>Uw Offertes</h3><br>';
            foreach ($facturen as $factuur) {
                if (!empty($factuur['factuurdatum'])){
                    $timestamp = strtotime($factuur['factuurdatum']);
                    $datum = date('d-m-Y', $timestamp);
                } else {
                    $datum = date('d-m-Y');
                }
                if (!empty($factuur['betaaldatum'])){
                    $timestamp2 = strtotime($factuur['betaaldatum']);
                    $betaaldatum = date('d-m-Y', $timestamp2);
                } else {
                    $betaaldatum = '';
                }
                if ($factuur['status'] == '22'){$text = 'Wacht op actie'; $kleur='#b69323';}
                if ($factuur['status'] == '23'){$text = 'Akkoord op: '.$betaaldatum; $kleur='#418d1e';}
                if ($factuur['status'] == '24'){$text = 'Afgewezen op:'.$betaaldatum; $kleur='#8d1e1e';}
                echo '<div class="row"><i class="row-icon fa-solid fa-file-invoice" style="background-color:'.$kleur.';"></i><span class="row-inner-wrap"><a href="?p=bekijk-offerte&id='.$factuur['id'].'"><b>'.$factuur['factuurnummer'].'</b>&nbsp;&nbsp;&nbsp;'.$datum.'</a><br><span class="subtext-row">'.$text.'&nbsp;&nbsp;&nbsp;'; 
                echo'</span></span>';
                echo '<form method="post" style="float:right;" action="includes/downloadpdf.php">
                <input type="hidden" name="pdf" value="'.$factuur['pdf'].'">
                <input type="hidden" name="factuurnummer" value="'.$factuur['factuurnummer'].'">
                <button class="form-button" style="font-size:12px; width:32; height:32;" type="submit" name="factuurDownloaden"><i class="fa-solid fa-file-arrow-down"></i></button>
                </form>';
                echo '&nbsp;<button class="row-bedrag">€'.number_format($factuur['totaalbedrag'],2, ',','.').'</button>';
                echo '</div>'; 
            }
        } else {
            echo '<div align="center" width="100%"><img src="afbeeldingen/geen-offertes-cp.png" class="empty-page-img"></div>';
        }
        if ($total_rows > $perPage) {
            echo '<br><br><div class="centerdiv" style="display: inline-block;">';
            for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
                if ($sub == $i) {
                    echo '<a href="?p=offertes&sub=' . $i . '&id='.$klant['id'].'"><button class="pagina-button-active">' . $i . '</button></a>';
                } else if ($sub != $i) {
                    echo '<a href="?p=offertes&sub=' . $i . '&id='.$klant['id'].'"><button class="pagina-button">' . $i . '</button></a>';
                }
            }
            echo '</div>';
        }
    } else {
        header("Location: ?p=home");
        exit;
    }
}
?>