<?php
$submenu = 'admin';
if (basename($_SERVER['PHP_SELF']) === 'instellingen-planner.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['opslaan'])) {
        updateOptie('afspraken_uren_vtv', $_POST['afspraken_uren_vtv']);
        updateOptie('template_ingepland', $_POST['template_ingepland']);
        updateOptie('template_klantbevestiging', $_POST['template_klantbevestiging']);
        updateOptie('template_geaccepteerd', $_POST['template_geaccepteerd']);
        updateOptie('template_afgewezen', $_POST['template_afgewezen']);
        updateOptie('template_afsluiten', $_POST['template_afsluiten']);
        updateOptie('template_annuleren', $_POST['template_annuleren']);
        if (kiesOptie('sms_ingeschakeld') == 1) {
            updateOptie('template_vertreksms', $_POST['template_vertreksms']);
        }
        melding('notice','Opgeslagen','Instellingen opgeslagen.');
    }
    echo '<div class="page_top"><h1>Planner Instellingen</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame" align="center">
    <form method="post" autocomplete="off">
    <h3>Basis</h3><br>
    <h4>Minimaal uren voor het plannen:</h4><br>
    Geef het aantal uren aan dat minimaal tussen het plannen en de starttijd van de afspraak moet zitten.<br>
    <input type="number" id="afspraken_uren_vtv" name="afspraken_uren_vtv" class="form-veld" value="'.kiesOptie('afspraken_uren_vtv').'"><br>
    <h4>Afspraak Typen:</h4><br>
    Er zijn 2 mogelijkheden om afspraken te plannen: bij de klant thuis of op de zaak/eigen locatie. 
    Je kan hier aangeven welke tekst er bij de opdracht komt te staan en tijdens het plannen. Door bij de klant thuis te kiezen worden de knoppen: vertrek en aankomst geactiveerd. Evenals het sms bericht: "we zijn onderweg" (indien sms is ingeschakeld)<br>
    <br><h4>Thuis Omschrijving</h4><br>
    <input type="text" id="afspraken_text_thuis" name="afspraken_text_thuis" class="form-veld" style="width:49%;" value="'.kiesOptie('afspraken_text_thuis').'"><br>
    <h4>Uit Omschrijving</h4><br>
    <input type="text" id="afspraken_text_uit" name="afspraken_text_uit" class="form-veld" style="width:49%;" value="'.kiesOptie('afspraken_text_uit').'"><br>
    <h3>E-mail Templates</h3><br>
    <h4>Wanneer een afspraak wordt ingepland door de planner, stuur volgende mail naar de monteur:</h4><br>
        <select id="template_ingepland" name="template_ingepland" class="form-veld">';
        $templates = alleTemplates('afspraak');
        if ($templates) {
            foreach ($templates as $template) { 
                echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_ingepland')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
            }
        }
        echo '</select><br>
        <h4>Wanneer een afspraak wordt geaccepteerd door de monteur, stuur volgende mail naar de klant:</h4><br>
        <select id="template_klantbevestiging" name="template_klantbevestiging" class="form-veld">';
        $templates = alleTemplates('afspraak');
        if ($templates) {
            foreach ($templates as $template) { 
                echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_klantbevestiging')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
            }
        }
        echo '</select><br>
        <h4>Wanneer een afspraak wordt geaccepteerd door de monteur, stuur volgende mail naar de planner:</h4><br>
        <select id="template_geaccepteerd" name="template_geaccepteerd" class="form-veld">';
        $templates = alleTemplates('afspraak');
        if ($templates) {
            foreach ($templates as $template) { 
                echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_geaccepteerd')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
            }
        }
        echo '</select><br>
        <h4>Wanneer een afspraak wordt afgewezen door de monteur, stuur volgende mail naar de planner:</h4><br>
        <select id="template_afgewezen" name="template_afgewezen" class="form-veld">';
        $templates = alleTemplates('afspraak');
        if ($templates) {
            foreach ($templates as $template) { 
                echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_afgewezen')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
            }
        }
        echo '</select><br>
        <h4>Wanneer een afspraak wordt afgesloten door de monteur, stuur volgende mail naar de planner:</h4><br>
        <select id="template_afsluiten" name="template_afsluiten" class="form-veld">';
        $templates = alleTemplates('afspraak');
        if ($templates) {
            foreach ($templates as $template) { 
                echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_afsluiten')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
            }
        }
        echo '</select><br>
        <h4>Wanneer een afspraak wordt geannuleerd door de monteur, stuur volgende mail naar de planner:</h4><br>
        <select id="template_annuleren" name="template_annuleren" class="form-veld">';
        $templates = alleTemplates('afspraak');
        if ($templates) {
            foreach ($templates as $template) { 
                echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_annuleren')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
            }
        }
        echo '</select><br>';
        if (kiesOptie('sms_ingeschakeld') == 1) {
            echo '
            <h4>SMS naar de klant als je op vertrek drukt in de planner:</h4><br>
            <select id="template_vertreksms" name="template_vertreksms" class="form-veld">';
            $templates = alleTemplates('sms');
            if ($templates) {
                foreach ($templates as $template) { 
                    echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_vertreksms')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
                }
            }
            echo '</select><br>';
        }
    echo '        
    <input type="submit" class="form-button" name="opslaan" value="Opslaan">
    </form>
    ';
    echo '</div>';
}
?>