<?php
$submenu = 'ext';
if (basename($_SERVER['PHP_SELF']) === 'instellingen-sms.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['opslaan'])) {
		if (!empty($_POST['sms_ingeschakeld'])) {
            $inuit = 1;
        } else {
            $inuit = 0;
        }
        updateOptie('sms_ingeschakeld', $inuit);
        updateOptie('sms_token', $_POST['sms_token']);
        updateOptie('sms_afzender_naam', $_POST['sms_afzender_naam']);
        melding('notice','Opgeslagen','Instellingen opgeslagen.');
    }
    echo '<div class="page_top"><h1>SMS Instellingen</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame" align="center">
    <form method="post" autocomplete="off"><div class="avatar"><br><br>';
    if (!empty(kiesOptie('sms_token')) && kiesOptie('sms_ingeschakeld') == 1) {
        $ch = curl_init();
        curl_setopt($ch,CURLOPT_URL, "https://gatewayapi.com/rest/me");
        curl_setopt($ch,CURLOPT_HTTPHEADER, array("Content-Type: application/json"));
        curl_setopt($ch,CURLOPT_USERPWD, kiesOptie('sms_token').":");
        curl_setopt($ch,CURLOPT_RETURNTRANSFER, true);
        $result = curl_exec($ch);
        curl_close($ch);
        $var = json_decode($result);
        if (!empty($var->credit)) {
            echo 'saldo:<br><span style="font-size:24px; font-weight: bold;">&euro;'.number_format($var->credit, 2).'</span>';
        } else {
            echo '<br>onbekend';
        }
    } else {
        echo '<br>uitgeschakeld';
    }
    echo '
    </div>
    <br><h3>Gatewayapi.com SMS Koppeling</h3><br>
    <input type="checkbox" class="toggle" style="display:none;" id="sms_ingeschakeld" name="sms_ingeschakeld" value="yes" ';if(kiesOptie('sms_ingeschakeld') == '1'){echo 'checked';} echo'/>
    <label for="sms_ingeschakeld" class="label"></label><br><br>
    <h4>Afzender naam:</h4><br>
    <input type="text" maxlength="10" id="sms_afzender_naam" name="sms_afzender_naam" class="form-veld" value="'.kiesOptie('sms_afzender_naam').'"><br>
    <h4>Token/Key:</h4><br>
    <input type="text" id="sms_token" name="sms_token" class="form-veld" value="'.kiesOptie('sms_token').'"><br>
    <input type="submit" class="form-button" name="opslaan" value="Opslaan">
    </form>
    ';
    echo '</div>';
}
?>