<?php
$submenu = 'admin';
if (basename($_SERVER['PHP_SELF']) === 'instellingen-templates.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['verwijderen'])) {
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Weet je zeker dat je deze template wilt verwijderen?
            <br><br><form method="post" action="">
                <input type="hidden" name="id" value="'.$_POST['id'].'">
                <button class="form-button" style="font-size:12px;" type="submit" name="verwijderen2">Verwijderen</button>
                <button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button>
            </form>
            </div></div>';
    }
    if (isset($_POST['verwijderen2'])) {
        templateVerwijderen($_POST['id']);
    }
    echo '<div class="page_top"><h1>Templates</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame"><div class="centerdiv">
    <h3>E-mail Templates (factuur)</h3><br><br>';
    $templates = alleTemplates('factuur');
    if ($templates) {
        foreach ($templates as $template) { 
            $tekstZonderHTML = strip_tags(base64_decode($template['template']));
            $ingekorteTekst = substr($tekstZonderHTML, 0, 45);
            echo '<script type="text/javascript">
            function showPop'.$template['id'].'() {
               document.getElementById("pop-up'.$template['id'].'").style.display = "block";
               document.getElementById("kruisbut'.$template['id'].'").style.display = "block";
               document.getElementById("plusbut'.$template['id'].'").style.display = "none";
            }	
            function hidePop'.$template['id'].'() {
                document.getElementById("pop-up'.$template['id'].'").style.display = "none";
                document.getElementById("kruisbut'.$template['id'].'").style.display = "none";
                document.getElementById("plusbut'.$template['id'].'").style.display = "block";
            }	
            </script>';
            echo '<div class="row"><span class="row-inner-wrap"><b>'.$template['naam'].'</b><br><span class="subtext-row">'.$ingekorteTekst.'...</span></span>
            <button id="plusbut'.$template['id'].'" class="row-new-knop" onclick="showPop'.$template['id'].'()"><i class="fa-solid fa-ellipsis-vertical"></i></button>
            <button id="kruisbut'.$template['id'].'" class="row-new-knop-sel" onclick="hidePop'.$template['id'].'()"><i class="fa-solid fa-xmark"></i></button>
            <div id="pop-up'.$template['id'].'" class="more_options">';
            echo '<a href="?p=instellingen-templates-bewerk&id='.$template['id'].'">
            <button class="more_options_button"><i class="more_options_icon fa-solid fa-pen-to-square"></i> Bewerken</button>
            </a>';
            $kanverwijderen = templateCheck($template['id']);
            if ($kanverwijderen == 0){
                echo '<form method="post" action="">
                <input type="hidden" name="id" value="'.$template['id'].'">
                <button class="more_options_button" type="submit" name="verwijderen"><i class="more_options_icon fa-solid fa-xmark"></i> Verwijderen</button>
                </form>';
            } else {
                echo '<button class="more_options_button"><i class="more_options_icon fa-solid fa-xmark"></i> in gebruik</button>
                ';
            }
            echo '</div></div>';
        }
    } else {
        echo '<div align="left" width="100%">Geen templates gevonden.</div>';
    }
    echo '<h3>E-mail Templates (offerte)</h3><br><br>';
    $templates = alleTemplates('offerte');
    if ($templates) {
        foreach ($templates as $template) { 
            $tekstZonderHTML = strip_tags(base64_decode($template['template']));
            $ingekorteTekst = substr($tekstZonderHTML, 0, 45);
            echo '<script type="text/javascript">
            function showPop'.$template['id'].'() {
               document.getElementById("pop-up'.$template['id'].'").style.display = "block";
               document.getElementById("kruisbut'.$template['id'].'").style.display = "block";
               document.getElementById("plusbut'.$template['id'].'").style.display = "none";
            }	
            function hidePop'.$template['id'].'() {
                document.getElementById("pop-up'.$template['id'].'").style.display = "none";
                document.getElementById("kruisbut'.$template['id'].'").style.display = "none";
                document.getElementById("plusbut'.$template['id'].'").style.display = "block";
            }	
            </script>';
            echo '<div class="row"><span class="row-inner-wrap"><b>'.$template['naam'].'</b><br><span class="subtext-row">'.$ingekorteTekst.'...</span></span>
            <button id="plusbut'.$template['id'].'" class="row-new-knop" onclick="showPop'.$template['id'].'()"><i class="fa-solid fa-ellipsis-vertical"></i></button>
            <button id="kruisbut'.$template['id'].'" class="row-new-knop-sel" onclick="hidePop'.$template['id'].'()"><i class="fa-solid fa-xmark"></i></button>
            <div id="pop-up'.$template['id'].'" class="more_options">';
            echo '<a href="?p=instellingen-templates-bewerk&id='.$template['id'].'">
            <button class="more_options_button"><i class="more_options_icon fa-solid fa-pen-to-square"></i> Bewerken</button>
            </a>';
            $kanverwijderen = templateCheck($template['id']);
            if ($kanverwijderen == 0){
                echo '<form method="post" action="">
                <input type="hidden" name="id" value="'.$template['id'].'">
                <button class="more_options_button" type="submit" name="verwijderen"><i class="more_options_icon fa-solid fa-xmark"></i> Verwijderen</button>
                </form>';
            } else {
                echo '<button class="more_options_button"><i class="more_options_icon fa-solid fa-xmark"></i> in gebruik</button>
                ';
            }
            echo '</div></div>';
        }
    } else {
        echo '<div align="left" width="100%">Geen templates gevonden.</div>';
    }
    echo '<h3>E-mail Templates (afspraak)</h3><br><br>';
    $templates = alleTemplates('afspraak');
    if ($templates) {
        foreach ($templates as $template) { 
            $tekstZonderHTML = strip_tags(base64_decode($template['template']));
            $ingekorteTekst = substr($tekstZonderHTML, 0, 45);
            echo '<script type="text/javascript">
            function showPop'.$template['id'].'() {
               document.getElementById("pop-up'.$template['id'].'").style.display = "block";
               document.getElementById("kruisbut'.$template['id'].'").style.display = "block";
               document.getElementById("plusbut'.$template['id'].'").style.display = "none";
            }	
            function hidePop'.$template['id'].'() {
                document.getElementById("pop-up'.$template['id'].'").style.display = "none";
                document.getElementById("kruisbut'.$template['id'].'").style.display = "none";
                document.getElementById("plusbut'.$template['id'].'").style.display = "block";
            }	
            </script>';
            echo '<div class="row"><span class="row-inner-wrap"><b>'.$template['naam'].'</b><br><span class="subtext-row">'.$ingekorteTekst.'...</span></span>
            <button id="plusbut'.$template['id'].'" class="row-new-knop" onclick="showPop'.$template['id'].'()"><i class="fa-solid fa-ellipsis-vertical"></i></button>
            <button id="kruisbut'.$template['id'].'" class="row-new-knop-sel" onclick="hidePop'.$template['id'].'()"><i class="fa-solid fa-xmark"></i></button>
            <div id="pop-up'.$template['id'].'" class="more_options">';
            echo '<a href="?p=instellingen-templates-bewerk&id='.$template['id'].'">
            <button class="more_options_button"><i class="more_options_icon fa-solid fa-pen-to-square"></i> Bewerken</button>
            </a>';
            $kanverwijderen = templateCheck($template['id']);
            if ($kanverwijderen == 0){
                echo '<form method="post" action="">
                <input type="hidden" name="id" value="'.$template['id'].'">
                <button class="more_options_button" type="submit" name="verwijderen"><i class="more_options_icon fa-solid fa-xmark"></i> Verwijderen</button>
                </form>';
            } else {
                echo '<button class="more_options_button"><i class="more_options_icon fa-solid fa-xmark"></i> in gebruik</button>
                ';
            }
            echo '</div></div>';
        }
    } else {
        echo '<div align="left" width="100%">Geen templates gevonden.</div>';
    }
    echo '<h3>E-mail Templates (reparatie)</h3><br><br>';
    $templates = alleTemplates('reparatie');
    if ($templates) {
        foreach ($templates as $template) { 
            $tekstZonderHTML = strip_tags(base64_decode($template['template']));
            $ingekorteTekst = substr($tekstZonderHTML, 0, 45);
            echo '<script type="text/javascript">
            function showPop'.$template['id'].'() {
               document.getElementById("pop-up'.$template['id'].'").style.display = "block";
               document.getElementById("kruisbut'.$template['id'].'").style.display = "block";
               document.getElementById("plusbut'.$template['id'].'").style.display = "none";
            }	
            function hidePop'.$template['id'].'() {
                document.getElementById("pop-up'.$template['id'].'").style.display = "none";
                document.getElementById("kruisbut'.$template['id'].'").style.display = "none";
                document.getElementById("plusbut'.$template['id'].'").style.display = "block";
            }	
            </script>';
            echo '<div class="row"><span class="row-inner-wrap"><b>'.$template['naam'].'</b><br><span class="subtext-row">'.$ingekorteTekst.'...</span></span>
            <button id="plusbut'.$template['id'].'" class="row-new-knop" onclick="showPop'.$template['id'].'()"><i class="fa-solid fa-ellipsis-vertical"></i></button>
            <button id="kruisbut'.$template['id'].'" class="row-new-knop-sel" onclick="hidePop'.$template['id'].'()"><i class="fa-solid fa-xmark"></i></button>
            <div id="pop-up'.$template['id'].'" class="more_options">';
            echo '<a href="?p=instellingen-templates-bewerk&id='.$template['id'].'">
            <button class="more_options_button"><i class="more_options_icon fa-solid fa-pen-to-square"></i> Bewerken</button>
            </a>';
            $kanverwijderen = templateCheck($template['id']);
            if ($kanverwijderen == 0){
                echo '<form method="post" action="">
                <input type="hidden" name="id" value="'.$template['id'].'">
                <button class="more_options_button" type="submit" name="verwijderen"><i class="more_options_icon fa-solid fa-xmark"></i> Verwijderen</button>
                </form>';
            } else {
                echo '<button class="more_options_button"><i class="more_options_icon fa-solid fa-xmark"></i> in gebruik</button>
                ';
            }
            echo '</div></div>';
        }
    } else {
        echo '<div align="left" width="100%">Geen templates gevonden.</div>';
    }
    echo '<h3>E-mail Templates (overig)</h3><br><br>';
    $templates = alleTemplates('overig');
    if ($templates) {
        foreach ($templates as $template) { 
            $tekstZonderHTML = strip_tags(base64_decode($template['template']));
            $ingekorteTekst = substr($tekstZonderHTML, 0, 45);
            echo '<script type="text/javascript">
            function showPop'.$template['id'].'() {
               document.getElementById("pop-up'.$template['id'].'").style.display = "block";
               document.getElementById("kruisbut'.$template['id'].'").style.display = "block";
               document.getElementById("plusbut'.$template['id'].'").style.display = "none";
            }	
            function hidePop'.$template['id'].'() {
                document.getElementById("pop-up'.$template['id'].'").style.display = "none";
                document.getElementById("kruisbut'.$template['id'].'").style.display = "none";
                document.getElementById("plusbut'.$template['id'].'").style.display = "block";
            }	
            </script>';
            echo '<div class="row"><span class="row-inner-wrap"><b>'.$template['naam'].'</b><br><span class="subtext-row">'.$ingekorteTekst.'...</span></span>
            <button id="plusbut'.$template['id'].'" class="row-new-knop" onclick="showPop'.$template['id'].'()"><i class="fa-solid fa-ellipsis-vertical"></i></button>
            <button id="kruisbut'.$template['id'].'" class="row-new-knop-sel" onclick="hidePop'.$template['id'].'()"><i class="fa-solid fa-xmark"></i></button>
            <div id="pop-up'.$template['id'].'" class="more_options">';
            echo '<a href="?p=instellingen-templates-bewerk&id='.$template['id'].'">
            <button class="more_options_button"><i class="more_options_icon fa-solid fa-pen-to-square"></i> Bewerken</button>
            </a>';
            $kanverwijderen = templateCheck($template['id']);
            if ($kanverwijderen == 0){
                echo '<form method="post" action="">
                <input type="hidden" name="id" value="'.$template['id'].'">
                <button class="more_options_button" type="submit" name="verwijderen"><i class="more_options_icon fa-solid fa-xmark"></i> Verwijderen</button>
                </form>';
            } else {
                echo '<button class="more_options_button"><i class="more_options_icon fa-solid fa-xmark"></i> in gebruik</button>
                ';
            }
            echo '</div></div>';
        }
    } else {
        echo '<div align="left" width="100%">Geen templates gevonden.</div>';
    }
    echo '<h3>SMS Templates</h3><br><br>';
    $templates = alleTemplates('sms');
    if ($templates) {
        foreach ($templates as $template) { 
            $tekstZonderHTML = strip_tags(base64_decode($template['template']));
            $ingekorteTekst = substr($tekstZonderHTML, 0, 45);
            echo '<script type="text/javascript">
            function showPop'.$template['id'].'() {
               document.getElementById("pop-up'.$template['id'].'").style.display = "block";
               document.getElementById("kruisbut'.$template['id'].'").style.display = "block";
               document.getElementById("plusbut'.$template['id'].'").style.display = "none";
            }	
            function hidePop'.$template['id'].'() {
                document.getElementById("pop-up'.$template['id'].'").style.display = "none";
                document.getElementById("kruisbut'.$template['id'].'").style.display = "none";
                document.getElementById("plusbut'.$template['id'].'").style.display = "block";
            }	
            </script>';
            echo '<div class="row"><span class="row-inner-wrap"><b>'.$template['naam'].'</b><br><span class="subtext-row">'.$ingekorteTekst.'...</span></span>
            <button id="plusbut'.$template['id'].'" class="row-new-knop" onclick="showPop'.$template['id'].'()"><i class="fa-solid fa-ellipsis-vertical"></i></button>
            <button id="kruisbut'.$template['id'].'" class="row-new-knop-sel" onclick="hidePop'.$template['id'].'()"><i class="fa-solid fa-xmark"></i></button>
            <div id="pop-up'.$template['id'].'" class="more_options">';
            echo '<a href="?p=instellingen-templates-bewerk&id='.$template['id'].'">
            <button class="more_options_button" type="submit" name="nieuweFactuur"><i class="more_options_icon fa-solid fa-pen-to-square"></i> Bewerken</button>
            </a>';
            $kanverwijderen = templateCheck($template['id']);
            if ($kanverwijderen == 0){
                echo '<form method="post" action="">
                <input type="hidden" name="id" value="'.$template['id'].'">
                <button class="more_options_button" type="submit" name="verwijderen"><i class="more_options_icon fa-solid fa-xmark"></i> Verwijderen</button>
                </form>';
            } else {
                echo '<button class="more_options_button"><i class="more_options_icon fa-solid fa-xmark"></i> in gebruik</button>
                ';
            }
            echo '</div></div>';
        }
    } else {
        echo '<div align="left" width="100%">Geen templates gevonden.</div>';
    }
    echo'</div></div><div class="rightdiv"><a href="?p=instellingen-templates-nieuw"><button class="add_button"><i class="fa-solid fa-plus"></i></button></a></div>';
}
?>