<script type="text/javascript">
    document.addEventListener('click', function(event) {
    var popUp = document.getElementById('popupbox');
    var form = document.getElementById('popupform');
    var plusBut = document.getElementById('popbutton');
    var inBut = document.getElementById('popbuttonin');
    if (event.target !== popUp && !popUp.contains(event.target) && (form && !form.contains(event.target))) {
        hideDiv();
    }
    if (event.target ==  plusBut || event.target ==  inBut) {
        showDiv();
    }

})
function showDiv() {
   document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
   document.getElementById('inviswrap').style.display = "none";
}		
</script>
<?php
require ('includes/google_api.php');
$submenu = 'planner';
if (basename($_SERVER['PHP_SELF']) === 'plan-afspraak.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_plannen') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    echo '<div class="page_top"><h1>Afspraak Plannen</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">
    <div class="centerdiv">';
    if (isset($_POST['klantid'])) {
        $klant = getKlant($_POST['klantid']);
    } else {
        $klant = '';
    }
    if (isset($_POST['opslaan'])) {
        if (!isset($_POST['type'])){
            melding('warning','Incompleet','Kies het type afspraak.');
        } else {
            $lastid = afspraakPlannen($_POST['klantid'], $_POST['slotid'], $_POST['omschrijving'], $_POST['type'], $user_id);
            if (empty($lastid)) {
                unset($_SESSION['selected']);
                unset($_POST['slotid']);
                $klant = getKlant($_POST['klantid']);
                melding('error','Tijdblok Bezet','Helaas was iemand je voor of het tijdblok is verwijderd.');
            } else {
                if (gebruikerOptie('agendaan') == 1){
                    $klant = getKlant($_POST['klantid']);
                    $afspraak = getAfspraak($_POST['slotid']);
                    $event_time = array(
                        'start' => gmdate('Y-m-d\TH:i:s\Z', strtotime($afspraak['datum'] . ' ' . $afspraak['start_tijd'])),
                        'end'   => gmdate('Y-m-d\TH:i:s\Z', strtotime($afspraak['datum'] . ' ' . $afspraak['eind_tijd'])),
                        'timeZone' => 'UTC'
                    );
                    try {
                        $capi = new GoogleCalendarApi();
                        $data = $capi->GetAccessToken2();
                        $_SESSION['access_token'] = $data['access_token'];
                        $user_timezone = $capi->GetUserCalendarTimezone($_SESSION['access_token']);
                        $event_id = $capi->CreateCalendarEvent('primary', ''.$klant['achternaam'].'/'.$klant['woonplaats'].'', 0, $event_time, $user_timezone, $_SESSION['access_token']);
                        melding('notice','Ingepland','Gepland en toegevoegd aan Google Agenda.');
                    }
                    catch(Exception $e) {
                        melding('warning','Ingepland','Ingepland maar fout met pushen naar Google Agenda.');
                    }
                }    
                unset($_SESSION['selected']);
                echo '<script type="text/javascript">';
                echo 'window.location.href="?p=bekijk-afspraak&id='.$lastid.'";';
                echo '</script>';
            }
        }
    }
    if (isset($_POST['toevoegen'])) {
        $klantid = klantToevoegen($_POST['naam'], $_POST['achternaam'], $_POST['bedrijfsnaam'], $_POST['straat'], $_POST['postcode'], $_POST['woonplaats'], $_POST['telefoon'], $_POST['mobiel'], $_POST['email'], $_POST['btw'], $_POST['kvk'], $_POST['land']);
        $klant = getKlant($klantid);
    }
    if (isset($_POST['bedrijfsnaam'])) {$bedrijfsnaam = $_POST['bedrijfsnaam'];}else{$bedrijfsnaam='';}
    if (isset($_POST['kvk'])) {$kvk = $_POST['kvk'];}else{$kvk='';}
    if (isset($_POST['btw'])) {$btw = $_POST['btw'];}else{$btw='';}
    if (isset($_POST['naam'])) {$naam = $_POST['naam'];}else{$naam='';}
    if (isset($_POST['achternaam'])) {$achternaam = $_POST['achternaam'];}else{$achternaam='';}
    if (isset($_POST['straat'])) {$straat = $_POST['straat'];}else{$straat='';}
    if (isset($_POST['postcode'])) {$postcode = $_POST['postcode'];}else{$postcode='';}
    if (isset($_POST['woonplaats'])) {$woonplaats = $_POST['woonplaats'];}else{$woonplaats='';}
    if (isset($_POST['telefoon'])) {$telefoon = $_POST['telefoon'];}else{$telefoon='';}
    if (isset($_POST['mobiel'])) {$mobiel = $_POST['mobiel'];}else{$mobiel='';}
    if (isset($_POST['email'])) {$email = $_POST['email'];}else{$email='';}
    if (isset($_POST['omschrijving'])) {$omschrijving = $_POST['omschrijving'];}else{$omschrijving='';}
    if ($klant) {
        echo '<h3>Klantgegevens</h3><br>';
        echo '<div class="box-50" align="left">';
        if (!empty($klant['bedrijfsnaam'])) {
            echo '<span style="display: inline-block; width: 125px;">Bedrijfsnaam: </span>'.$klant['bedrijfsnaam'].'<br>';
        }
        if (!empty($klant['kvk'])) {
            echo '<span style="display: inline-block; width: 125px;">Kvk Nummer: </span>'.$klant['kvk'].'<br>';
        }
        if (!empty($klant['btw'])) {
            echo '<span style="display: inline-block; width: 125px;">btw Nummer: </span>'.$klant['btw'].'<br>';
        }
            echo '<span style="display: inline-block; width: 125px;">Naam: </span>'.$klant['naam'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Achternaam: </span>'.$klant['achternaam'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Straat: </span>'.$klant['straat'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Postcode: </span>'.$klant['postcode'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Woonplaats: </span>'.$klant['woonplaats'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Land: </span>'.$klant['land'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">E-mail: </span>'.$klant['email'].'<br>';
        if (!empty($klant['telefoon'])) {
            echo '<span style="display: inline-block; width: 125px;">Telefoon: </span>'.$klant['telefoon'].'<br>';
        }
        if (!empty($klant['mobiel'])) {
            echo '<span style="display: inline-block; width: 125px;">Mobiel: </span>'.$klant['mobiel'].'';
        }
        if (kiesOptie('voorrij_aan') == 1) {
            $voorrijkosten = checkVoorrij($klant['postcode']);
            echo '
            <br><br><span style="display: inline-block; width: 125px;"><b>Voorrijkosten</b></span><b>'.$voorrijkosten.'</b>
            ';
        }
        echo '
        </div>';
        // stap 2 Kies tijdslot
        if (empty($_POST['slotid']) && empty($_SESSION['selected'])) {
            echo '<br><h3>Kies Dag en Tijdblok</h3><br>';
            toonTijdsloten($klant['id']); 
        } else {
            // stap 3, afronden.
            if (!empty($_SESSION['selected'])) {
                $slotid = $_SESSION['selected'];
            } else {
                $slotid = $_POST['slotid'];
            }
            $slot = toonTijdslot($slotid);
            $thuis = kiesOptie('afspraken_text_thuis');
            $uit = kiesOptie('afspraken_text_uit');
            echo '<br><h3>Gekozen Dag en Tijdblok</h3><br>';
            echo '<div class="tab-bg text18" style="width:max-content; padding: 15px;"><b>'.$slot.'</b></div><br>
            <div style="display: inline-block; margin-top: -15px; font-size: 24px; border-radius: 250px; background-color: var(--kleur-1);  width:max-content; padding:10px;" >
            <a href="?p=beschikbaarheid"><i class="fa-solid fa-arrows-rotate"></i></a></div>
            <br><h3>Type Afspraak</h3><br>
            <form method="post" action="">
            <label class="custom-radio-button">
                <input type="radio" name="type" value="1">
                <span class="button-content">
                    <i class="fas fa-building" style="font-size: 24px;"></i><br>
                    <p style="font-size: 14px; margin:0; padding:0;">'.$thuis.'</p>
                </span>
            </label>
            <label class="custom-radio-button">
                <input type="radio" name="type" value="2">
                <span class="button-content">
                    <i class="fas fa-home" style="font-size: 24px;"></i><br>
                    <p style="font-size: 14px; margin:0; padding:0;">'.$uit.'</p>
                </span>
            </label>
            <br><h3>Omschrijving van de opdracht</h3>';
            echo "<script type=\"text/javascript\">
            bkLib.onDomLoaded(function() {
                new nicEditor().panelInstance('omschrijving');
            });
            </script>";
            echo '
            <input type="hidden" value="'.$klant['id'].'" name="klantid">
            <input type="hidden" value="'.$slotid.'" name="slotid"><div style="background-color: #ffffff;" align="left">
            <textarea name="omschrijving" id="omschrijving" rows="15" class="textarea">'.$omschrijving.'</textarea></div><br>
            <div align="center" width="100%"><button type="submit" class="form-button-alt" name="opslaan">Inplannen!</button>
            </form>
            ';
        }
    } else {
        // stap 1 Klant kiezen of aanmaken
        echo '<h3>Zoek Klant</h3>';
        echo '<div class="zoek-container">
        <input type="text" id="klant-zoek" class="zoekklant" placeholder="Zoekterm" oninput="zoekKlanten()">
        </div>
        <h5>OF</h5>      
        <button class="zoekklant" style="cursor: pointer;" id="popbutton">Nieuwe Klant</button>
        <div id="resultaten-lijst"style="margin-top: 15px;"></div>
        ';
        echo "<script>
        function zoekKlanten() {
            var zoekTerm = document.getElementById('klant-zoek').value.toLowerCase();
            var resultatenLijst = document.getElementById('resultaten-lijst');
            resultatenLijst.innerHTML = '';
          
            fetch('includes/zoek.php?term=' + zoekTerm)
              .then(response => response.json())
              .then(data => {
                data.forEach(function(klant) {
                    var div = document.createElement('div');
                    div.className = 'row';
                    var naamAchternaam = (klant.naam && klant.achternaam) ? klant.naam + ' ' + klant.achternaam : '';
                    var bedrijfsnaam = klant.bedrijfsnaam ? klant.bedrijfsnaam : '';
                    var straat = klant.straat ? klant.straat : '';
                    var klantnummer = klant.klantnummer ? klant.klantnummer : '';
                    var postcodeWoonplaats = (klant.postcode && klant.woonplaats) ? klant.postcode + ' ' + klant.woonplaats : '';
                    var email = klant.email ? klant.email : '';
                    div.innerHTML = '<form method=\"post\" action=\"\"><input type=\"hidden\" name=\"klantid\" value=\"'+ klant.id +'\"><button style=\"width:100%; border:0; background: transparent; text-align: left; cursor: pointer; box-sizing: border-box;\" type=\"submit\" name=\"nieuweAfspraak\"><b>('+ klant.klantnummer +') '+ klant.bedrijfsnaam +' '+ klant.naam +' '+ klant.achternaam +'</b><br><span class=\"subtext-row\">'+ klant.straat +' '+ klant.postcode +' '+ klant.woonplaats +'</span></button></form>';
                    resultatenLijst.appendChild(div);
                });
              })
              .catch(error => console.error('Fout bij het ophalen van zoekresultaten:', error));
          }
        </script>";
    }
    echo '<div id="inviswrap" class="pop-up-wrap"><div class="pop-up-box" id="popupbox">
    <button class="pop-up-box-kruis" onclick="hideDiv()" id="popupkruis"><i class="fas fa-times"></i></button>
    <h3 style="margin-top:0px;">Klant Toevoegen </h3>
    <form action="" method="post" autocomplete="off" id="popupform">
        <input type="text" class="form-veld-s" placeholder="Bedrijfsnaam" name="bedrijfsnaam" id="bedrijfsnaam" value="'.$bedrijfsnaam.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="KVK Nummer" name="kvk" id="kvk" value="'.$kvk.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="BTW Nummer" name="btw" id="btw" value="'.$btw.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Voornaam" name="naam" id="naam" value="'.$naam.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Achternaam *" name="achternaam" id="achternaam" value="'.$achternaam.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Adres *" name="straat" id="straat" value="'.$straat.'">
        <input type="text" maxlength="6" class="form-veld-s" style="width: 49%;" placeholder="Postcode *" name="postcode" id="postcode" value="'.$postcode.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Woonplaats *" name="woonplaats" id="woonplaats" value="'.$woonplaats.'">
        <select id="land" class="form-veld-s" style="width: 49%;" name="land" id="land">
        '; 
        include('includes/landen_form.php');
        echo'
        </select>
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Telefoon Nummer" name="telefoon" id="telefoon" value="'.$telefoon.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Mobiel Nummer" name="mobiel" id="mobiel" value="'.$mobiel.'">
        <input type="text" class="form-veld-s" placeholder="E-mailadres" name="email" id="email" value="'.$email.'">
        <br>
        <input type="submit" class="form-button" style="margin-left:0px;" name="toevoegen" value="Toevoegen">
    </form>
    </div></div>';
    echo '</div>';
}
?>