<script type="text/javascript">
    document.addEventListener('click', function(event) {
    var popUp = document.getElementById('popupbox');
    var form = document.getElementById('popupform');
    var plusBut = document.getElementById('popbutton');
    var inBut = document.getElementById('popbuttonin');
    if (event.target !== popUp && !popUp.contains(event.target) && (form && !form.contains(event.target))) {
        hideDiv();
    }
    if (event.target ==  plusBut || event.target ==  inBut) {
        showDiv();
    }

})
function showDiv() {
   document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
   document.getElementById('inviswrap').style.display = "none";
}		
</script>
<?php
$submenu = 'reparaties';
if (basename($_SERVER['PHP_SELF']) === 'plan-reparatie.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_reparatie') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    echo '<div class="page_top"><h1>Reparatie Aanmelden</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">
    <div class="centerdiv">';
    if (isset($_POST['klantid'])) {
        $klant = getKlant($_POST['klantid']);
    } else {
        $klant = '';
    }
    // Stap 3. Opslaan van de ingevoerde data.
    if (isset($_POST['opslaan'])) {
        if (!empty ($_POST['titel'])) {
            $lastid = reparatieAanmelden($_POST['klantid'], $_POST['titel'], base64_encode($_POST['klacht']), base64_encode($_POST['verborgen_data']));
            echo '<script type="text/javascript">';
            echo 'window.location.href="?p=bekijk-reparatie&id='.$lastid.'";';
            echo '</script>';
        } else {
            melding('warning','Incompleet','Vul tenminste de titel in.');
        }
    }
    if (isset($_POST['toevoegen'])) {
        $klantid = klantToevoegen($_POST['naam'], $_POST['achternaam'], $_POST['bedrijfsnaam'], $_POST['straat'], $_POST['postcode'], $_POST['woonplaats'], $_POST['telefoon'], $_POST['mobiel'], $_POST['email'], $_POST['btw'], $_POST['kvk'], $_POST['land']);
        $klant = getKlant($klantid);
    }
    if (isset($_POST['bedrijfsnaam'])) {$bedrijfsnaam = $_POST['bedrijfsnaam'];}else{$bedrijfsnaam='';}
    if (isset($_POST['kvk'])) {$kvk = $_POST['kvk'];}else{$kvk='';}
    if (isset($_POST['btw'])) {$btw = $_POST['btw'];}else{$btw='';}
    if (isset($_POST['naam'])) {$naam = $_POST['naam'];}else{$naam='';}
    if (isset($_POST['achternaam'])) {$achternaam = $_POST['achternaam'];}else{$achternaam='';}
    if (isset($_POST['straat'])) {$straat = $_POST['straat'];}else{$straat='';}
    if (isset($_POST['postcode'])) {$postcode = $_POST['postcode'];}else{$postcode='';}
    if (isset($_POST['woonplaats'])) {$woonplaats = $_POST['woonplaats'];}else{$woonplaats='';}
    if (isset($_POST['telefoon'])) {$telefoon = $_POST['telefoon'];}else{$telefoon='';}
    if (isset($_POST['mobiel'])) {$mobiel = $_POST['mobiel'];}else{$mobiel='';}
    if (isset($_POST['email'])) {$email = $_POST['email'];}else{$email='';}
    if (isset($_POST['klacht'])) {$klacht = $_POST['klacht'];}else{$klacht='';}
    if (isset($_POST['verborgen_data'])) {$verborgen_data = $_POST['verborgen_data'];}else{$verborgen_data='';}
    if (isset($_POST['titel'])) {$titel = $_POST['titel'];}else{$titel='';}
    
    // Stap 2: Klant bestaat en is geselecteerd of aangemaakt. Nu gaan we info verzamelen
    if ($klant) {
        echo '<h3>Klantgegevens</h3><br>';
        echo '<div class="box-50" align="left">';
        if (!empty($klant['bedrijfsnaam'])) {
            echo '<span style="display: inline-block; width: 125px;">Bedrijfsnaam: </span>'.$klant['bedrijfsnaam'].'<br>';
        }
        if (!empty($klant['kvk'])) {
            echo '<span style="display: inline-block; width: 125px;">Kvk Nummer: </span>'.$klant['kvk'].'<br>';
        }
        if (!empty($klant['btw'])) {
            echo '<span style="display: inline-block; width: 125px;">btw Nummer: </span>'.$klant['btw'].'<br>';
        }
            echo '<span style="display: inline-block; width: 125px;">Naam: </span>'.$klant['naam'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Achternaam: </span>'.$klant['achternaam'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Straat: </span>'.$klant['straat'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Postcode: </span>'.$klant['postcode'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Woonplaats: </span>'.$klant['woonplaats'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">Land: </span>'.$klant['land'].'<br>';
            echo '<span style="display: inline-block; width: 125px;">E-mail: </span>'.$klant['email'].'<br>';
        if (!empty($klant['telefoon'])) {
            echo '<span style="display: inline-block; width: 125px;">Telefoon: </span>'.$klant['telefoon'].'<br>';
        }
        if (!empty($klant['mobiel'])) {
            echo '<span style="display: inline-block; width: 125px;">Mobiel: </span>'.$klant['mobiel'].'';
        }
        echo '
        </div>';
        echo '<form method="post" action="">
        <h3>Product/Merk/Etc</h3><br>
        <input type="text" name="titel" id="titel" class="form-veld" value="'.$titel.'">

        <br><h3>Omschrijving/Opdracht</h3>';
        echo "<script type=\"text/javascript\">
        bkLib.onDomLoaded(function() {
            new nicEditor().panelInstance('klacht');
        });
        </script>";
        echo '
        <div style="background-color: #ffffff;" align="left">
        <textarea name="klacht" id="klacht" rows="15" class="textarea">'.$klacht.'</textarea></div><br>
        <br><h3>Vertrouwelijke Informatie (wordt verborgen)</h3>';
        echo "<script type=\"text/javascript\">
        bkLib.onDomLoaded(function() {
            new nicEditor().panelInstance('verborgen_data');
        });
        </script>";
        echo '
        <div style="background-color: #ffffff;" align="left">
        <textarea name="verborgen_data" id="verborgen_data" rows="15" class="textarea">'.$verborgen_data.'</textarea></div><br>
        <div align="center" width="100%"><input type="hidden" value="'.$klant['id'].'" name="klantid">
        <button type="submit" class="form-button-alt" name="opslaan">Aanmelden!</button>
        </form>
        ';
    } else {
        // stap 1 Klant kiezen of aanmaken
        echo '<h3>Zoek Klant</h3>';
        echo '<div class="zoek-container">
        <input type="text" id="klant-zoek" class="zoekklant" placeholder="Zoekterm" oninput="zoekKlanten()">
        </div>
        <h5>OF</h5>      
        <button class="zoekklant" style="cursor: pointer;" id="popbutton">Nieuwe Klant</button>
        <div id="resultaten-lijst"style="margin-top: 15px;"></div>
        ';
        echo "<script>
        function zoekKlanten() {
            var zoekTerm = document.getElementById('klant-zoek').value.toLowerCase();
            var resultatenLijst = document.getElementById('resultaten-lijst');
            resultatenLijst.innerHTML = '';
          
            fetch('includes/zoek.php?term=' + zoekTerm)
              .then(response => response.json())
              .then(data => {
                data.forEach(function(klant) {
                    var div = document.createElement('div');
                    div.className = 'row';
                    var naamAchternaam = (klant.naam && klant.achternaam) ? klant.naam + ' ' + klant.achternaam : '';
                    var bedrijfsnaam = klant.bedrijfsnaam ? klant.bedrijfsnaam : '';
                    var straat = klant.straat ? klant.straat : '';
                    var klantnummer = klant.klantnummer ? klant.klantnummer : '';
                    var postcodeWoonplaats = (klant.postcode && klant.woonplaats) ? klant.postcode + ' ' + klant.woonplaats : '';
                    var email = klant.email ? klant.email : '';
                    div.innerHTML = '<form method=\"post\" action=\"\"><input type=\"hidden\" name=\"klantid\" value=\"'+ klant.id +'\"><button style=\"width:100%; border:0; background: transparent; text-align: left; cursor: pointer; box-sizing: border-box;\" type=\"submit\" name=\"nieuweAfspraak\"><b>('+ klant.klantnummer +') '+ klant.bedrijfsnaam +' '+ klant.naam +' '+ klant.achternaam +'</b><br><span class=\"subtext-row\">'+ klant.straat +' '+ klant.postcode +' '+ klant.woonplaats +'</span></button></form>';
                    resultatenLijst.appendChild(div);
                });
              })
              .catch(error => console.error('Fout bij het ophalen van zoekresultaten:', error));
          }
        </script>";
    }
    echo '<div id="inviswrap" class="pop-up-wrap"><div class="pop-up-box" id="popupbox">
    <button class="pop-up-box-kruis" onclick="hideDiv()" id="popupkruis"><i class="fas fa-times"></i></button>
    <h3 style="margin-top:0px;">Klant Toevoegen </h3>
    <form action="" method="post" autocomplete="off" id="popupform">
        <input type="text" class="form-veld-s" placeholder="Bedrijfsnaam" name="bedrijfsnaam" id="bedrijfsnaam" value="'.$bedrijfsnaam.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="KVK Nummer" name="kvk" id="kvk" value="'.$kvk.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="BTW Nummer" name="btw" id="btw" value="'.$btw.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Voornaam" name="naam" id="naam" value="'.$naam.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Achternaam *" name="achternaam" id="achternaam" value="'.$achternaam.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Adres *" name="straat" id="straat" value="'.$straat.'">
        <input type="text" maxlength="6" class="form-veld-s" style="width: 49%;" placeholder="Postcode *" name="postcode" id="postcode" value="'.$postcode.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Woonplaats *" name="woonplaats" id="woonplaats" value="'.$woonplaats.'">
        <select id="land" class="form-veld-s" style="width: 49%;" name="land" id="land">
        '; 
        include('includes/landen_form.php');
        echo'
        </select>
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Telefoon Nummer" name="telefoon" id="telefoon" value="'.$telefoon.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Mobiel Nummer" name="mobiel" id="mobiel" value="'.$mobiel.'">
        <input type="text" class="form-veld-s" placeholder="E-mailadres" name="email" id="email" value="'.$email.'">
        <br>
        <input type="submit" class="form-button" style="margin-left:0px;" name="toevoegen" value="Toevoegen">
    </form>
    </div></div>';
    echo '</div>';
}
?>