<script type="text/javascript">
    document.addEventListener('click', function(event) {
    var popUp = document.getElementById('popupbox');
    var form = document.getElementById('popupform');
    var plusBut = document.getElementById('popbutton');
    var inBut = document.getElementById('popbuttonin');
    // Controleer of de klik zich buiten het pop-up element bevindt en niet binnen het formulier
    if (event.target !== popUp && !popUp.contains(event.target) && (form && !form.contains(event.target))) {
        hideDiv();
    }
    if (event.target ==  plusBut || event.target ==  inBut) {
        showDiv();
    }

})
function showDiv() {
   document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
   document.getElementById('inviswrap').style.display = "none";
}		
</script>
<?php
$submenu = 'tijdreg';
if (basename($_SERVER['PHP_SELF']) === 'tijdreg.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_tijdreg') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['voeg_regel_toe'])) {
        nieuweTijdreg($_POST['datum'],$_POST['begintijd'],$_POST['eindtijd'],$_POST['note'], $_POST['pauze']);
    }
    if (isset($_POST['verwijder'])) {
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Weet je zeker dat je deze tijd wilt verwijderen?
            <br><br><form method="post" action="">
                <input type="hidden" name="tid" value="'.$_POST['tid'].'">
                <button class="form-button" style="font-size:12px;" type="submit" name="verwijder2">Verwijderen</button>
                <button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button>
            </form>
            </div></div>';
    }
    if (isset($_POST['verwijder2'])) {
        verwijderTijdreg($_POST['tid']);
    }
    echo '<div class="page_top"><h1>Tijdregistratie</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">';
    $query = "SELECT COUNT(*) AS total FROM tijdreg WHERE userid=$user_id";
    $result = $connect->query($query);
    $row = $result->fetch_assoc();
    $total_rows = $row['total'];
    // Aantal resultaten per pagina
    $perPage = 25;
    $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
    $startFrom = ($sub - 1) * $perPage;
    $tijden = lijstTijdreg($startFrom, $perPage);
    if ($tijden) {
        foreach ($tijden as $tijd) {
            $datum = date('d-m-Y', strtotime($tijd['datum']));
            $dagVanDeWeek = date("D", strtotime($datum));
            $dag = vertaalDag($dagVanDeWeek);
            $begintijd = new DateTime($tijd['begintijd']);
            $eindtijd = new DateTime($tijd['eindtijd']);
            $pauze = new DateInterval("PT{$tijd['pauze']}M");
            $verschil = $begintijd->diff($eindtijd);
            $verschilInSeconden = $verschil->format('%s') + $verschil->format('%i') * 60 + $verschil->format('%h') * 3600;
            $verschilInSeconden -= $pauze->format('%s') + $pauze->format('%i') * 60 + $pauze->format('%h') * 3600;
            $verschil = new DateTime("@$verschilInSeconden");
            $uren = $verschil->format('H');
            $minuten = $verschil->format('i');
            echo '<div class="row"><i class="row-icon fa-solid fa-hourglass-end"></i><span class="row-inner-wrap">'.$dag.' '.$datum.' - '.$tijd['begintijd'].' - '.$tijd['eindtijd'].'<br><span class="subtext-row"><b>('.$uren.':'.$minuten.' / '.$tijd['pauze'].' min pauze)</b> '.$tijd['note'].'</span></span>';
            echo'<form method="post" action="" style="float: right;"><input type="hidden" name="tid" value="'.$tijd['id'].'"><button class="todo-delete-button" type="submit" name="verwijder"><i class="fas fa-trash-can"></i></button></form>'; 
            echo '</div>
            ';
        }
    } else {
        echo '<div align="center" width="100%"><img src="afbeeldingen/geen-tijden.png" class="empty-page-img"></div>';
    }
    if ($total_rows > $perPage) {
        echo '<br><br><div class="centerdiv" style="display: inline-block;">';
        for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
            if ($sub == $i) {
                echo '<a href="?p=tijdreg&sub=' . $i . '"><button class="pagina-button-active">' . $i . '</button></a>';
            } else if ($sub != $i) {
                echo '<a href="?p=tijdreg&sub=' . $i . '"><button class="pagina-button">' . $i . '</button></a>';
            }
        }
        echo '</div>';
    }
    echo '<div id="inviswrap" class="pop-up-wrap"><div class="pop-up-box" id="popupbox">
    <button class="pop-up-box-kruis" onclick="hideDiv()" id="popupkruis"><i class="fas fa-times"></i></button>
    <h3 style="margin-top: 0px;">Tijd Toevoegen</h3>
    <form action="" method="post" autocomplete="off" id="popupform">
    <h4 style="width:49%;">Datum</h4>
    <input type="date" name="datum" class="form-veld-s" style="width:49%;">
    <h4 style="width:49%;">Starttijd</h4>
    <input type="time" name="begintijd" class="form-veld-s" style="width:49%;">
    <h4 style="width:49%;">Eindtijd</h4>
    <input type="time" name="eindtijd" class="form-veld-s" style="width:49%;">
    <h4 style="width:49%;">Pauze (in minuten)</h4>
    <input type="number" name="pauze" class="form-veld-s" style="width:49%;">
    <h4 style="width:49%;">Omschrijving</h4>
    <input type="text" name="note" class="form-veld-s" style="width:49%;">
    <input type="submit" class="form-button" name="voeg_regel_toe" value="Toevoegen">
    </form>
    </div></div>';
    echo '</div>';
    echo '<div class="rightdiv"><button class="add_button" id="popbutton"><i class="fa-solid fa-plus" id="popbuttonin"></i></button></div>';
}
?>