<?php
$submenu = 'persoonlijk';
if (basename($_SERVER['PHP_SELF']) === 'verdiensten.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    if (isset($_POST['uitbetalen'])) {
        uitbetalingAanvragen($user_id);
    }
    echo '<div class="page_top"><h1>Verdiensten</h1><br><br>
   <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">';
    // data verzamelen
    $betaaldatum = gebruikerOptie('vergoeding_betaaldatum');
    $query = "SELECT COUNT(*) AS total FROM afspraken WHERE status='3' and datum>$betaaldatum and plannerid=$user_id";
    $result = $connect->query($query);
    $row = $result->fetch_assoc();
    $aantal_afspraken = $row['total'];
    $vergoeding = gebruikerOptie('vergoeding_euro');
    $totaal_uitbetaald = number_format(gebruikerOptie('vergoeding_totaal'), 2);
    $openstaand = number_format($vergoeding * $aantal_afspraken, 2);
    $totaal_verdiend = number_format($totaal_uitbetaald + $openstaand, 2);
    // data output
    echo '<div class="centerdiv"><div class="car-wrapper">
    <i class="car-icon fa-solid fa-sack-dollar"></i></div><br><br>
    <div class="centerdiv"><h3>Voltooide Afspraken</h3></div>';
    echo '<div class="buttonbox">Verdiensten<br><span class="button_text-s">€'.number_format($totaal_verdiend, 2, ',', '.').'</span></div>';
    echo '<div class="buttonbox">Uitbetaald<br><span class="button_text-s">€'.number_format($totaal_uitbetaald, 2, ',', '.').'</span></div>';
    echo '<div class="buttonbox_result">Openstaand<br><span class="button_text-s">€'.number_format($openstaand, 2, ',', '.').'</span></div>';
    echo '<div class="centerdiv"><h3>Andere Verdiensten</h3></div>';
    $totaalopen = 0;
    $totaal = 0;
    $query = "SELECT COUNT(*) AS total FROM verdiensten WHERE userid=$user_id";
    $result = $connect->query($query);
    $row = $result->fetch_assoc();
    $total_rows = $row['total'];
    // Aantal resultaten per pagina
    $perPage = 25;
    $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
    $startFrom = ($sub - 1) * $perPage;
    $vergoedingen = alleVergoedingen($user_id, $startFrom, $perPage);
    if ($vergoedingen) { 
        foreach ($vergoedingen as $vergoed) {
            if ($vergoed['type'] == 'perc') {
                $vergoedink = $vergoed['bedrag'] / 100 * $vergoed['vergoeding']; 
                $som = number_format($vergoedink, 2);
            }
            if ($vergoed['type'] == 'vast') {
                $vergoedink = $vergoed['vergoeding']; 
                $som = number_format($vergoedink, 2);
            }
            $totaal = $som + $totaal;
            if ($vergoed['uitbetaald'] == '0')  {$totaalopen = $som + $totaalopen;}
        }
        $totaalopen = number_format($totaalopen ,2);
        $totaal = number_format($totaal ,2);
        $totaalbetaald = number_format($totaal - $totaalopen ,2);
        echo '<div class="buttonbox">Verdiensten<br><span class="button_text-s">€'.number_format($totaal, 2, ',', '.').'</span></div>';
        echo '<div class="buttonbox">Uitbetaald<br><span class="button_text-s">€'.number_format($totaalbetaald, 2, ',', '.').'</span></div>';
        echo '<div class="buttonbox_result">Openstaand<br><span class="button_text-s">€'.number_format($totaalopen, 2, ',', '.').'</span></div><br><br><br>';    
        foreach ($vergoedingen as $vergoed) {
            $timestamp = strtotime($vergoed['datum']);
            $datum = date("d-m-Y", $timestamp);
            if ($vergoed['uitbetaald'] == '0'){$text = 'Aangemaakt'; $kleur='#af8e3f';}
            if ($vergoed['uitbetaald'] == '1'){$text = 'Uitbetaald'; $kleur='#61af3f';}
            echo '<div class="row"><i class="row-icon fa-solid fa-euro" style="background-color:'.$kleur.';"></i><span class="row-inner-wrap">'.$datum.'&nbsp;&nbsp;&nbsp;<b>'.$vergoed['titel'].'</b><br><span class="subtext-row">
            ';
            if ($vergoed['type'] == 'perc') {
                $vergoedink = $vergoed['bedrag'] / 100 * $vergoed['vergoeding']; 
                $som = number_format($vergoedink, 2, ',', '.');
                echo '('.$text.') '.number_format($vergoed['vergoeding'], 2, ',', '.').'% van €'.number_format($vergoed['bedrag'], 2, ',', '.').'';
            }
            if ($vergoed['type'] == 'vast') {
                $vergoedink = $vergoed['vergoeding']; 
                $som = number_format($vergoedink, 2, ',', '.');
                echo '('.$text.')  €'.$som.' van €'.number_format($vergoed['bedrag'], 2, ',', '.').'';
            }
            echo '</span></span><button class="row-bedrag">€'.$som.'</button></div>';
        }
    } else {
        echo '<div align="center" width="100%"><img src="afbeeldingen/geen-vergoedingen.png" class="empty-page-img"></div>';
    }
    if ($total_rows > $perPage) {
        echo '<br><br><div class="centerdiv" style="display: inline-block;">';
        for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
            if ($sub == $i) {
                echo '<a href="?p=verdiensten&sub=' . $i . '"><button class="pagina-button-active">' . $i . '</button></a>';
            } else if ($sub != $i) {
                echo '<a href="?p=verdienstenn&sub=' . $i . '"><button class="pagina-button">' . $i . '</button></a>';
            }
        }
        echo '</div>';
    }
    $allestotaal = number_format($totaalopen + $openstaand, 2);
    // footer
    echo '</div></div>';

    if (($allestotaal > kiesOptie('vergoeding_minimaal_bedrag')) && (gebruikerOptie('aanvraag') == '0')) {
        echo '<div class="rightdiv"><form method="post" action=""><button type="submit" class="add_button" name="uitbetalen" style="width: max-content; padding-left:10px; padding-right: 10px;">Uitbetaling Aanvragen</button></form></div>';
    } else if (gebruikerOptie('aanvraag') == '1') {
        echo '<div class="rightdiv"><button type="submit" class="add_button_dis" style="width: max-content; padding-left:10px; padding-right: 10px;" disabled>Aangevraagd</button></div>';
    } else {
        echo '<div class="rightdiv"><button type="submit" class="add_button_dis" style="width: max-content; padding-left:10px; padding-right: 10px;" disabled>Minimaal €'.kiesOptie('vergoeding_minimaal_bedrag').'</button></div>';
    }
}
?>