<div id="preloader">
<img src="../afbeeldingen/F4.png" id="faqturof" style="width: 80; height: 80;">
	<div class="spinner"></div>
</div>
<?php
include '../includes/config.php';
include 'accordeerfuncties.php';
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
    die("Database Error: ".$connect->connect_error."");
}
$accordeer_id = $_GET['id'];
if (isset($_POST['offerteAkkoord'])) {
    offerteAkkoord($_POST['ofid']);
}
if (isset($_POST['offerteAfgewezen'])) {
    offerteAfgewezen($_POST['ofid']);
}
?>
<html>
<head>
<title>Offerte</title>
	<link rel="apple-touch-icon" sizes="180x180" href="../afbeeldingen/180x180cp.png">
	<link rel="icon" type="image/png" sizes="32x32" href="../afbeeldingen/favicon-32x32cp.png">
	<link rel="icon" type="image/png" sizes="16x16" href="../afbeeldingen/favicon-16x16cp.png">
	<link rel="manifest" href="../includes/manifestcp.webmanifest">
	<link rel="mask-icon" href="../afbeeldingen/192x192cp.png">
	<link href="../includes/css/stylecp.css" rel="stylesheet" type="text/css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
	<script src="https://kit.fontawesome.com/bc0378345d.js" crossorigin="anonymous"></script>
</head>
<body>
<div class="betaalmain">
<div class="betaalbox">
    <?php 
    $query = "SELECT * FROM facturen WHERE kenmerk=?";
    $stmt = $connect->prepare($query);
    $stmt->bind_param("s", $accordeer_id);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result !== null) {
        $row = $result->fetch_assoc();
        $datum = $row['factuurdatum'];
        $datumvandaag = date('Y-m-d');
        $factuurDatum = new DateTime($datum);
        $vandaagDatum = new DateTime($datumvandaag);
        $verschil = $factuurDatum->diff($vandaagDatum);
        $aantalDagen = $verschil->days;
        $factuurDatum->modify('+'.kiesOptie('offerte_geldigheid').' days');
        $geldigheid = $factuurDatum->format('d-m-Y');
        $datumgoed = date('d-m-Y', strtotime($row['factuurdatum']));
        $totaalbedrag = str_replace('.', ',', $row['totaalbedrag']);
        if ($row['status'] == '23') {
            $status = '<h2 class="betaalstatus" style="color: #61af3f;">Akkoord</h2>';
        } else if ($row['status'] == '24') {
            $status = '<h2 class="betaalstatus" style="color: #ba3208;">Afgewezen</h2>';
        } else if ($row['status'] == '22' && $aantalDagen >= kiesOptie('offerte_geldigheid')) {
            $status = '<h2 class="betaalstatus" style="color: #af8e3f;">Verlopen</h2>';
        } else if ($row['status'] == '22'){
            $status = '<h2 class="betaalstatus" style="color: #3fafa8;">Wachtend</h2>';
        } 
        echo '<div class="betaalboxhead">
        <img src="'.kiesOptie('site-url').'/afbeeldingen/upload/cplogo.png" class="betaalimage">
        '.$status.'
        </div>
        <div class="betaalboxhead">
        <div class="betaalinfo">
        <b>Aangeboden door:</b> '.kiesOptie('bedrijfsnaam').'<br>
        <b>Bedrag:</b> &euro;'.$totaalbedrag.'<br>
        <b>Offerte:</b> '.$row['factuurnummer'].'<br>
        <b>Ons Kenmerk:</b> '.$row['kenmerk'].'';
        if ($row['status'] == '23') {
            echo '<br><b>Akkoord gegeven op:</b> '.$row['betaaldatum'].'';
        } else if ($row['status'] == '24') {
            echo '<br><b>Afgewezen op:</b> '.$row['betaaldatum'].'';
        }
        echo '</div></div>';
        if (isset($_POST['email'])) {
            $klantje = $row['klantid'];
            $query2 = "SELECT email FROM klanten WHERE id=?";
            $stmt2 = $connect->prepare($query2);
            $stmt2->bind_param("s", $klantje);
            $stmt2->execute();
            $result2 = $stmt2->get_result();
            $row2 = $result2->fetch_assoc();
            if ($_POST['email'] == $row2['email']){
                $base64PDF = getBase64PDF('../'.$row['pdf']);
                echo '<iframe src="data:application/pdf;base64,'.$base64PDF.'" width="100%" height="500"></iframe><br><br>';
            } else {
                echo '<b style="font-size: 18px;">E-mailadres incorrect, vul alstublieft het e-mailadres in dat is gekoppeld aan deze offerte.</b><br><br>';
                echo '<form method="post">
                <input type="email" name="email" class="form-veld-login" placeholder="uw@emailadres.nl">
                <input type="submit" name="check" class="form-button-login" style="margin:0;" value="Doorgaan">
                </form>';
            }
        } else {
            echo '<b style="font-size: 18px;">Vul uw e-mailadres in om de offerte te bekijken.</b><br><br>';
            echo '<form method="post">
            <input type="email" name="email" class="form-veld-login" placeholder="uw@emailadres.nl">
            <input type="submit" name="check" class="form-button-login" style="margin:0;" value="Doorgaan">
            </form>';
        }
        if ($row['status'] == '22' && $aantalDagen >= kiesOptie('offerte_geldigheid')) {
        } else if ($row['status'] == '22'){
            echo '<form method="post">
            <h2 style="font-weight:normal;">
                <input type="checkbox" id="checkbox" onclick="toggleButtons()"> Ik heb de ontvangen offerte: <b>'.$row['factuurnummer'].'</b> met een totaalbedrag van: <b>&euro;'.$totaalbedrag.'</b> doorgenomen en ga hiermee akkoord.
            </h2><br><br>
            <input type="hidden" name="ofid" value="'.$row['id'].'">
            <button type="submit" class="disabled" name="offerteAkkoord" id="offerteAkkoord" disabled><i class="fa-solid fa-check"></i>&nbsp;&nbsp;&nbsp;Akkoord</button>
            <button type="submit" class="rodeknop2" name="offerteAfgewezen"><i class="fa-solid fa-xmark"></i>&nbsp;&nbsp;&nbsp;Afwijzen</button>
            </form>
            ';        
        }
    }
    ?>
    </div>
</div>
</body>
</html>
<script>
function toggleButtons() {
    const checkbox = document.getElementById('checkbox');
    const button1 = document.getElementById('offerteAkkoord');
    if (checkbox.checked) {
        button1.disabled = false;
        button1.classList.remove('disabled');
        button1.classList.add('groeneknop2');
    } else {
        button1.disabled = true;
        button1.classList.remove('groeneknop2');
        button1.classList.add('disabled');
    }
}
</script>
<script>
	// Verwijder de preloader en toon de content met een vertraging
	window.addEventListener('load', function() {
		setTimeout(function() {
			document.getElementById('preloader').style.display = 'none';
		}, 100); // 1000 milliseconden = 1 seconde vertraging
	});
</script>