<div id="preloader">
<img src="../afbeeldingen/F4.png" id="faqturof" style="width: 80; height: 80;">
	<div class="spinner"></div>
</div>
<?php
include '../includes/config.php';
include 'betaalfuncties.php';
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
    die("Database Error: ".$connect->connect_error."");
}
?>
<html>
<head>
<title>Factuur</title>
	<link rel="apple-touch-icon" sizes="180x180" href="../afbeeldingen/180x180cp.png">
	<link rel="icon" type="image/png" sizes="32x32" href="../afbeeldingen/favicon-32x32cp.png">
	<link rel="icon" type="image/png" sizes="16x16" href="../afbeeldingen/favicon-16x16cp.png">
	<link rel="manifest" href="../includes/manifestcp.webmanifest">
	<link rel="mask-icon" href="../afbeeldingen/192x192cp.png">
	<link href="../includes/css/stylecp.css" rel="stylesheet" type="text/css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
	<script src="https://kit.fontawesome.com/bc0378345d.js" crossorigin="anonymous"></script>
</head>
<body>
<div class="betaalmain">
<div class="betaalbox">
        <?php
        $queryIdealTestmodus = "SELECT waarde FROM opties WHERE naam='ideal_testmodus'";
        $resultIdealTestmodus = $connect->query($queryIdealTestmodus);
        if ($resultIdealTestmodus) {
            $rowIdealTestmodus = $resultIdealTestmodus->fetch_assoc();
            $testmodus = $rowIdealTestmodus['waarde'];
            $key_name = ($testmodus == '1') ? 'ideal_test_key' : 'ideal_live_key';
            $queryKey = "SELECT waarde FROM opties WHERE naam=?";
            $stmtKey = $connect->prepare($queryKey);
            $stmtKey->bind_param("s", $key_name);
            $stmtKey->execute();
            $resultKey = $stmtKey->get_result();
            if ($resultKey) {
                $rowKey = $resultKey->fetch_assoc();
                $api_key = $rowKey['waarde'];
            } else {
                echo 'Query fout: ' . $stmtKey->error;
            }
        } else {
            echo 'Query fout: ' . $connect->error;
        }
        if(isset($_GET['id'])) {
            $payment_id = $_GET['id'];
            $query = "SELECT * FROM facturen WHERE kenmerk='$payment_id'";
            $result = $connect->query($query);
            $row = $result->fetch_assoc();
            $omschrijving = $row['factuurnummer'];
            $totaalbedrag = str_replace('.', ',', $row['totaalbedrag']);
            $kenmerk = $row['payid'];
            $kenmerk1 = $row['kenmerk'];
            $betaaldatum = date('d-m-Y', strtotime($row['betaaldatum']));
            if (isset($_POST['betaalIdeal'])){
                $payurl = maakBetaallink($totaalbedrag, $omschrijving, $payment_id);
                echo '<script type="text/javascript">';
                echo 'window.location.href="' . htmlspecialchars($payurl, ENT_QUOTES, 'UTF-8') . '";';
                echo '</script>';
            }
            $url = 'https://api.mollie.com/v2/payments/' . $kenmerk;
            $curl = curl_init($url);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($curl, CURLOPT_HTTPHEADER, [
                'Authorization: Bearer ' . $api_key,
                'Content-Type: application/json',
            ]);
            echo '';
            $response = curl_exec($curl);
            if ($response === false) {
                echo 'Curl error: ' . curl_error($curl);
            } else {
                $data = json_decode($response, true);
                $status = isset($data['status']) ? $data['status'] : '';  
                echo '<div class="betaalboxhead">
                <img src="'.kiesOptie('site-url').'/afbeeldingen/upload/cplogo.png" class="betaalimage">
                ';
                if ($status === 'paid') {
                    echo '<h2 class="betaalstatus" style="color: #61af3f;">Betaald</h2>';
                } else if ($status === 'failed') {
                    echo '<h2 class="betaalstatus" style="color: #ba3208;">Mislukt</h2>';
                } else if ($status === 'canceled') {
                    echo '<h2 class="betaalstatus" style="color: #af8e3f;">Geannuleerd</h2>';
                } else {
                    echo '<h2 class="betaalstatus" style="color: #ba3208;">Onbekend</h2>';
                }
                echo '</div><div class="betaalboxhead">
                <div class="betaalinfo">
                <b>Begunstigde:</b> '.kiesOptie('bedrijfsnaam').'<br>
                <b>Bedrag:</b> &euro;'.$totaalbedrag.'<br>
                <b>Factuur:</b> '.$omschrijving.'<br>
                <b>Ons Kenmerk:</b> '.$kenmerk1.'';
                if ($status === 'paid') {
                    echo '<br><b>Betalings ID:</b> '.$kenmerk.'';
                    echo '<br><b>Betaaldatum:</b> '.$betaaldatum.'';
                }
                echo '</div></div>';
                if (isset($_POST['email'])) {
                    $klantje = $row['klantid'];
                    $query2 = "SELECT email FROM klanten WHERE id=?";
                    $stmt2 = $connect->prepare($query2);
                    $stmt2->bind_param("s", $klantje);
                    $stmt2->execute();
                    $result2 = $stmt2->get_result();
                    $row2 = $result2->fetch_assoc();
                    if ($_POST['email'] == $row2['email']){
                        $base64PDF = getBase64PDF('../'.$row['pdf']);
                        echo '<iframe src="data:application/pdf;base64,'.$base64PDF.'" width="100%" height="500"></iframe><br><br>';
                    } else {
                        echo '<b style="font-size: 18px;">E-mailadres incorrect, vul alstublieft het e-mailadres in dat is gekoppeld aan deze factuur.</b><br><br>';
                        echo '<form method="post">
                        <input type="email" name="email" class="form-veld-login" placeholder="uw@emailadres.nl">
                        <input type="submit" name="check" class="form-button-login" style="margin:0;" value="Doorgaan">
                        </form>';
                    }
                } else {
                    echo '<b style="font-size: 18px;">Vul uw e-mailadres in om de factuur te bekijken.</b><br><br>';
                    echo '<form method="post">
                    <input type="email" name="email" class="form-veld-login" placeholder="uw@emailadres.nl">
                    <input type="submit" name="check" class="form-button-login" style="margin:0;" value="Doorgaan">
                    </form>';
                }
                if ($status === 'paid') {
                } else if ($status === 'failed') {
                    echo '<form method="post">
                    <button type="submit" name="betaalIdeal" class="betaalknop"><i class="fa-brands fa-ideal" style="font-size:24px;"></i>&nbsp;&nbsp;&nbsp;Betaal met iDeal</button>
                    </form>';
                } else if ($status === 'canceled') {
                    echo '<form method="post">
                    <button type="submit" name="betaalIdeal" class="betaalknop"><i class="fa-brands fa-ideal" style="font-size:24px;"></i>&nbsp;&nbsp;&nbsp;Betaal met iDeal</button>
                    </form>';
                } else {
                    echo '<h2> We kunnen de betaalstatus niet ophalen bij Mollie, neem contact op met '.kiesOptie('bedrijfsnaam').'.</h2>';
                }
            }
            curl_close($curl);
        } else {
            echo '<h3 style="margin-bottom:0px;">Geen ID ontvangen</h3>';
        }
        ?>
    </div>
</div>
</body>
</html>
<script>
	// Verwijder de preloader en toon de content met een vertraging
	window.addEventListener('load', function() {
		setTimeout(function() {
			document.getElementById('preloader').style.display = 'none';
		}, 100); // 1000 milliseconden = 1 seconde vertraging
	});
</script>