<div id="preloader">
<img src="../afbeeldingen/F4.png" id="faqturof" style="width: 80; height: 80;">
	<div class="spinner"></div>
</div>
<?php
include '../includes/config.php';
include 'betaalfuncties.php';
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
    die("Database Error: ".$connect->connect_error."");
}
?>
<html>
<head>
<title>Factuur</title>
	<link rel="apple-touch-icon" sizes="180x180" href="../afbeeldingen/180x180cp.png">
	<link rel="icon" type="image/png" sizes="32x32" href="../afbeeldingen/favicon-32x32cp.png">
	<link rel="icon" type="image/png" sizes="16x16" href="../afbeeldingen/favicon-16x16cp.png">
	<link rel="manifest" href="../includes/manifestcp.webmanifest">
	<link rel="mask-icon" href="../afbeeldingen/192x192cp.png">
	<link href="../includes/css/stylecp.css" rel="stylesheet" type="text/css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
	<script src="https://kit.fontawesome.com/bc0378345d.js" crossorigin="anonymous"></script>
</head>
<body>
<div class="betaalmain">
<div class="betaalbox">
    <?php 
    $query = $connect->prepare("SELECT waarde FROM opties WHERE naam = ?");
    $query->bind_param("s", $opties_naam);
    $opties_naam = "ideal_testmodus";
    $query->execute();
    $resultideal = $query->get_result();
    if ($resultideal) {
        $rowideal = $resultideal->fetch_assoc();
        $testmodus = $rowideal['waarde'];
        if ($testmodus == '1') {
            $key_name = 'ideal_test_key';
        } else {
            $key_name = 'ideal_live_key';
        }
        $queryKey = $connect->prepare("SELECT waarde FROM opties WHERE naam = ?");
        $queryKey->bind_param("s", $key_name);
        $queryKey->execute();
        $resultKey = $queryKey->get_result();
        if ($resultKey) {
            $row = $resultKey->fetch_assoc();
            $api_key = $row['waarde'];
            if (isset($_GET['id'])) {
                $payment_id = $_GET['id'];
                $query = "SELECT * FROM facturen WHERE kenmerk=?";
                $stmt = $connect->prepare($query);
                $stmt->bind_param("s", $payment_id);
                $stmt->execute();
                $result = $stmt->get_result();
                if ($result !== null) {
                    $row = $result->fetch_assoc();
                    if (empty($row['kenmerk'])) {
                        echo '<h3 style="margin-bottom:0px;">Ongeldig ID.</h3>';
                    } else {
                        $factuurdatum = date('d-m-Y', strtotime($row['factuurdatum']));
                        $betaaldatum = date('d-m-Y', strtotime($row['betaaldatum']));
                        if ($row['status'] == '12') {
                            $status = '<h2 class="betaalstatus" style="color: #ba3208;">Open</h2>';
                        } else if ($row['status'] == '13') {
                            $status = '<h2 class="betaalstatus" style="color: #61af3f;">Betaald</h2>';
                        } else if ($row['status'] == '14') {
                            $status = '<h2 class="betaalstatus" style="color: #af8e3f;">Gecrediteerd.</h2>';
                        } else if ($row['status'] == '15') {
                            $status = '<h2 class="betaalstatus" style="color: #3fafa8;">Credit.</h2>';
                        }
                        $totaalbedrag = str_replace('.', ',', $row['totaalbedrag']);
                        echo '<div class="betaalboxhead">
                        <img src="'.kiesOptie('site-url').'/afbeeldingen/upload/cplogo.png" class="betaalimage">
                        '.$status.'
                        </div>
                        <div class="betaalboxhead">
                        <div class="betaalinfo">
                        <b>Begunstigde:</b> '.kiesOptie('bedrijfsnaam').'<br>
                        <b>Bedrag:</b> &euro;'.$totaalbedrag.'<br>
                        <b>Factuur:</b> '.$row['factuurnummer'].'<br>
                        <b>Ons Kenmerk:</b> '.$row['kenmerk'].'';
                        if ($row['status'] == '13') {
                            echo '<br><b>Betalings ID:</b> '.$row['payid'].'';
                            echo '<br><b>Betaaldatum:</b> '.$betaaldatum.'';
                        }
                        echo '</div></div>';
                        if (isset($_POST['email'])) {
                            $klantje = $row['klantid'];
                            $query2 = "SELECT email FROM klanten WHERE id=?";
                            $stmt2 = $connect->prepare($query2);
                            $stmt2->bind_param("s", $klantje);
                            $stmt2->execute();
                            $result2 = $stmt2->get_result();
                            $row2 = $result2->fetch_assoc();
                            if ($_POST['email'] == $row2['email']){
                                $base64PDF = getBase64PDF('../'.$row['pdf']);
                                echo '<iframe src="data:application/pdf;base64,'.$base64PDF.'" width="100%" height="500"></iframe><br><br>';
                            } else {
                                echo '<b style="font-size: 18px;">E-mailadres incorrect, vul alstublieft het e-mailadres in dat is gekoppeld aan deze factuur.</b><br><br>';
                                echo '<form method="post">
                                <input type="email" name="email" class="form-veld-login" placeholder="uw@emailadres.nl">
                                <input type="submit" name="check" class="form-button-login" style="margin:0;" value="Doorgaan">
                                </form>';
                            }
                        } else {
                            echo '<b style="font-size: 18px;">Vul uw e-mailadres in om de factuur te bekijken.</b><br><br>';
                            echo '<form method="post">
                            <input type="email" name="email" class="form-veld-login" placeholder="uw@emailadres.nl">
                            <input type="submit" name="check" class="form-button-login" style="margin:0;" value="Doorgaan">
                            </form>';
                        }
                        if ($row['status'] == '12' && kiesOptie('ideal_ingeschakeld') == '1') {
                            echo '<form method="post">
                            <button type="submit" name="betaalIdeal" class="betaalknop"><i class="fa-brands fa-ideal" style="font-size:24px;"></i>&nbsp;&nbsp;&nbsp;Betaal met iDeal</button>
                            </form>';
                        }
                        if (isset($_POST['betaalIdeal'])){
                            $factuurnummer = $row['factuurnummer'];
                            $totaalbedrag = $row['totaalbedrag'];
                            $kenmerk = $row['kenmerk'];
                            $payurl = maakBetaallink($totaalbedrag, $factuurnummer, $kenmerk);
                            echo '<script type="text/javascript">';
                            echo 'window.location.href="' . htmlspecialchars($payurl, ENT_QUOTES, 'UTF-8') . '";';
                            echo '</script>';
                        }
                    }
                } 
            } else {
                echo '<h3 style="margin-bottom:0px;">Ongeldig ID.</h3>';
            }
        } 
    }
    ?>
</div>
</div>
</body>
</html>
<script>
	// Verwijder de preloader en toon de content met een vertraging
	window.addEventListener('load', function() {
		setTimeout(function() {
			document.getElementById('preloader').style.display = 'none';
		}, 100); // 1000 milliseconden = 1 seconde vertraging
	});
</script>