
<html>
<head>
<title>Faqturo - Set-Up</title>
	<link rel="apple-touch-icon" sizes="180x180" href="afbeeldingen/180x180.png">
	<link rel="icon" type="image/png" sizes="32x32" href="afbeeldingen/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="afbeeldingen/favicon-16x16.png">
	<link rel="manifest" href="includes/manifest.webmanifest">
	<link rel="mask-icon" href="afbeeldingen/192x192.png">
	<link href="includes/css/style.css" rel="stylesheet" type="text/css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script src="https://kit.fontawesome.com/bc0378345d.js" crossorigin="anonymous"></script>
</head>
<body>
<div class="bigwrapper" style="background-color: var(--kleur-4); text-align:center;">
<img src="afbeeldingen/F.png" style="width: auto; height: auto; margin-top: 50px; margin-bottom: 25px;"><br>
<?php
echo '<div class="setup-page">';
if (isset($_POST['afronden'])){
	$servername = $_POST['host'];
	$username = $_POST['username'];
	$password = $_POST['password'];
	$dbname = $_POST['database'];
	$configData = "
	<?php
	\$mysql_host = '$servername';
	\$mysql_username = '$username';
	\$mysql_password = '$password';
	\$mysql_database = '$dbname';
	
	if (!empty(\$_SESSION['user_id'])) {
		\$user_id = \$_SESSION['user_id'];
	}
	?>";
	$bestandsnaam = "includes/config.php";
	$connect = new mysqli($servername, $username, $password, $dbname);
	$sqlFile = file_get_contents("faqturo.sql");
	$sqlQueries = explode(";", $sqlFile);
	foreach ($sqlQueries as $query) {
		if (!empty(trim($query))) {
			$connect->query($query);
		}
	}
	$wachtwoord2=md5($_POST['wachtwoord']);
	$query = "INSERT INTO gebruikers (email, wachtwoord, weergavenaam, optie_ritten, optie_plannen, optie_planbaar, optie_tijdreg, optie_facturatie, optie_crediteuren, optie_categorieen, optie_bedrijfbeheer, is_admin, kenteken, auto_merk, auto_type, auto_brandstof, auto_verbruik, vergoeding_euro, vergoeding_betaaldatum, vergoeding_totaal, aanvraag, db_auto, db_afspraken, db_resultaat, db_facturen, db_inkomend, agendaan, clientid, clientsecret, token, passtoken, optie_reparatie, theme, qb1, qb2, qb3, qb4, qb5)
	VALUES (?, ?, ?, '1', '1', '1', '1', '1', '1', '1', '1', '1', '', '', '', '', '', '0', '2000-01-01', '0.00', '0', '1', '1', '1', '1', '1', '0', '', '', '', '', '1', '', '', '', '', '', '')";
	$stmt = $connect->prepare($query);
	if ($stmt) {
		$stmt->bind_param("sss", $_POST['gebruiker'], $wachtwoord2, $_POST['gebruiker']);
			if ($stmt->execute()) {
			$userid = $connect->insert_id;
			$stmt->close();
			session_start();
			$_SESSION['user_id'] = $userid;
			$_SESSION['lastActive'] = time();
		} else {
			$stmt->close();
		}
	} else {
		melding('error','Fout','Gebruiker toevoegen aan database mislukt.');
		return;
	}
	$connect->close();
	if ($bestand = fopen($bestandsnaam, 'w')) {
		fwrite($bestand, $configData);
		fclose($bestand);
	} else {
		melding('error','Fout','Fout met aanmaken van config.php.');
	}
	unlink('faqturo.sql');
	unlink('eerste-setup.php');
	echo '<script type="text/javascript">';
	echo 'window.location.href="main.php";';
	echo '</script>';
}
if (isset($_POST['checkdb'])){
	$connect = new mysqli($_POST['host'], $_POST['username'], $_POST['password'], $_POST['database']);
	if ($connect->connect_error) {
		echo '
	<h3>Database Gegevens</h3><br>
	Database verbinding mislukt, controleer je gegevens.<br>
	<form method="post">
	<h4>Database Host (meestal "localhost").</h4><br>
	<input type="text" class="form-veld" name="host" value="localhost"> <br>
	<h4>Gebruikersnaam</h4><br>
	<input type="text" class="form-veld" name="username" value=""><br>
	<h4>Wachtwoord</h4><br>
	<input type="text" class="form-veld" name="password" value=""><br>
	<h4>Database Naam</h4><br>
	<input type="text" class="form-veld" name="database" value=""><br>
	<input type="submit" class="form-button" name="checkdb" value="Volgende Stap">
	</form><br><br>
	</div>
	';
	} else {
		echo '<h3>Administrator</h3><br>
		De verbinding is inorde, laten we een administrator gebruiker aanmaken.<br><br>
		<form method="post">
		<h4>E-mailadres.</h4><br>
		<input type="email" class="form-veld" name="gebruiker" value=""> <br>
		<h4>Wachtwoord</h4><br>
		<input type="text" class="form-veld" name="wachtwoord" value=""><br>

		<input type="hidden" name="password" value="'.$_POST['password'].'">
		<input type="hidden" name="username" value="'.$_POST['username'].'">
		<input type="hidden" name="host" value="'.$_POST['host'].'">
		<input type="hidden" name="database" value="'.$_POST['database'].'">

		<input type="submit" class="form-button" name="afronden" value="Installeren">
		</form><br><br>
		';
	}
} else {
	echo '
	<h3>Database Gegevens</h3><br>
	<form method="post">
	<h4>Database Host (meestal "localhost").</h4><br>
	<input type="text" class="form-veld" name="host" value="localhost"> <br>
	<h4>Gebruikersnaam</h4><br>
	<input type="text" class="form-veld" name="username" value=""><br>
	<h4>Wachtwoord</h4><br>
	<input type="text" class="form-veld" name="password" value=""><br>
	<h4>Database Naam</h4><br>
	<input type="text" class="form-veld" name="database" value=""><br>
	<input type="submit" class="form-button" name="checkdb" value="Volgende Stap">
	</form><br><br>
	</div>
	';
}
?>
</div>
</body>
</html>