window.addEventListener('load', function () {
	let selectedDeviceId;
	const codeReader = new ZXing.BrowserMultiFormatReader();
	console.log('ZXing code reader initialized');
	function startEnvironmentCamera() {
	codeReader.decodeFromVideoDevice(undefined, 'video', (result, err) => {
		if (result) {
		console.log(result);
		document.getElementById('ean').value = result.text;
		const form = document.getElementById('searchprod');
		if (form) {
			form.submit();
		}
		}
		if (err && !(err instanceof ZXing.NotFoundException)) {
		console.error(err);
		document.getElementById('result').textContent = err;
		}
	});
	console.log('Started continuous decode from environment camera.');
	document.getElementById('vidwrap').style.display = 'block';
	}
	document.getElementById('startButton').addEventListener('click', function () {
	startEnvironmentCamera();
	});
	document.getElementById('resetButton').addEventListener('click', () => {
		codeReader.reset()
		document.getElementById('vidwrap').style.display = "none";
		console.log('Reset.')
	})
});