<?php
include ('config.php');
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
    die("Connection failed: " . $connect->connect_error);
}
$zoekTerm = $_GET['term']; // Ontvang de zoekterm vanuit het JavaScript-verzoek
$query = "SELECT * FROM crediteuren 
          WHERE bedrijfsnaam LIKE ? OR afdeling LIKE ? OR adres LIKE ? OR postcode LIKE ? 
          OR land LIKE ? OR email LIKE ? OR telefoon LIKE ? OR kvk LIKE ?";
$stmt = $connect->prepare($query);
$param = "%{$zoekTerm}%";
$stmt->bind_param("ssssssss", $param, $param, $param, $param, $param, $param, $param, $param);
$stmt->execute();
$result = $stmt->get_result();
$gefilterdeResultaten = array();
while ($row = $result->fetch_assoc()) {
    $gefilterdeResultaten[] = $row;
}
echo json_encode($gefilterdeResultaten);
$stmt->close();
$connect->close();
?>
