<div id="preloader">
<img src="afbeeldingen/F4.png" id="faqturof" style="width: 80; height: 80;">
	<div class="spinner"></div>
</div>
<?php
session_start();
include 'includes/config.php';
include 'includes/functieskp.php';
if (file_exists('eerste-setup.php')){
	header("Location: eerste-setup.php");
	exit;
}
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
	die("Database Error: ".$connect->connect_error."");
}

?>
<html>
<head>
<title>Klantenpaneel</title>
	<link rel="apple-touch-icon" sizes="180x180" href="afbeeldingen/180x180cp.png">
	<link rel="icon" type="image/png" sizes="32x32" href="afbeeldingen/favicon-32x32cp.png">
	<link rel="icon" type="image/png" sizes="16x16" href="afbeeldingen/favicon-16x16cp.png">
	<link rel="manifest" href="includes/manifestcp.webmanifest">
	<link rel="mask-icon" href="afbeeldingen/192x192cp.png">
	<link href="includes/css/stylecp.css" rel="stylesheet" type="text/css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
	<script src="https://kit.fontawesome.com/bc0378345d.js" crossorigin="anonymous"></script>
	<script>
        function closeMelding() {
            document.querySelector(".meldingwrap").style.display = "none";
        }
    </script>
</head>
<body>
	<div class="bigwrapper">
	<div class="loginpage">
	<div align="center" style="box-sizing: border-box;">
<?php
if (kiesOptie('klantenpaneel') == '0') {
	echo '
	<img src="'.kiesOptie('site-url').'/afbeeldingen/upload/cplogo.png" class="headerimage" style="margin-top: 150px; margin-bottom: 50px;"><br>
	<h2>Klantenpaneel Uitgeschakeld.</h2><br>
	';
} else {
	echo '<img src="'.kiesOptie('site-url').'/afbeeldingen/upload/cplogo.png" class="headerimage" style="margin-top: 150px; margin-bottom: 50px;"><br>';	
	if(isset($_POST['loginSubmit'])){
		if(empty($_POST['emailAdres'])){
			melding('warning','Fout','Vul uw e-mailadres in.');
		} else {
			$sql = "SELECT * FROM klanten WHERE email='".$_POST['emailAdres']."' LIMIT 1";
			$result = $connect->query($sql);
			if ($result->num_rows > 0) {
				while($row = $result->fetch_assoc()) {
					stuurLogin($_POST['emailAdres']);
					melding('notice','Controleer Mail','Als uw e-mailadres bekend is ontvangt u binnen enkele ogenblikken een inloglink voor het klantenpaneel.');
				}
			} else {
				melding('notice','Controleer Mail','Als uw e-mailadres bekend is ontvangt u binnen enkele ogenblikken een inloglink voor het klantenpaneel');
			}
		}
	} 
	if (isset($_GET['token'])){
		$sql = $connect->prepare("SELECT * FROM klanten WHERE logintoken = ?");
		$sql->bind_param("s", $_GET['token']);
		$sql->execute();
		$result = $sql->get_result();
		if ($result->num_rows > 0) {
			while ($row = $result->fetch_assoc()) {
				$tokentime = $row['tokentime'];
				$timenow = date('Y-m-d H:i');
				$token_datetime = new DateTime($tokentime);
				$current_datetime = new DateTime($timenow);
				$interval = $token_datetime->diff($current_datetime);
				$minutes_diff = $interval->i + ($interval->h * 60) + ($interval->d * 1440);
				if ($minutes_diff <= 60) {
					$_SESSION['klantid'] = $row['id'];
					$_SESSION['lastActiveK'] = time();
					header("Location: kp.php?p=home");
					exit;
				} else {
					// Token is verlopen
					echo '
					<h2>Token geldig maar verlopen, vraag een nieuwe inloglink aan.</h2><br>
					<br>
					<form method="post">
						<input type="email" name="emailAdres" class="form-veld-login" placeholder="inloggen@faqturo.nl"/><br>
						<input type="submit" name="loginSubmit" value="Doorgaan" class="form-button-login"/>
					</form>
					';
				}
			}
		} else {
			echo '
			<h2>Token ongeldig, vul uw e-mailadres in om een nieuwe inloglink aan te vragen.</h2><br>
			<br>
			<form method="post">
				<input type="email" name="emailAdres" class="form-veld-login" placeholder="inloggen@faqturo.nl"/><br>
				<input type="submit" name="loginSubmit" value="Doorgaan" class="form-button-login"/>
			</form>
			';
		}
	} else {
		echo'<h2>Vul uw e-mailadres in om door te gaan</h2><br>
		<br>
		<form method="post">
			<input type="email" name="emailAdres" class="form-veld-login" placeholder="inloggen@faqturo.nl"/><br>
			<input type="submit" name="loginSubmit" value="Doorgaan" class="form-button-login"/>
		</form>
		';
	}
	$connect->close();
}
?>
</div>
</div>
</div>
</body>
</html>
<script>
	// Verwijder de preloader en toon de content met een vertraging
	window.addEventListener('load', function() {
		setTimeout(function() {
			document.getElementById('preloader').style.display = 'none';
		}, 100); // 1000 milliseconden = 1 seconde vertraging
	});
</script>