<div id="preloader">
<img src="afbeeldingen/F4.png" id="faqturof" style="width: 80; height: 80;">
	<div class="spinner"></div>
</div>
<?php
session_start();
if(!isset($_SESSION) || $_SESSION['lastActiveK'] <time()-60*60){
	unset($_SESSION);
	session_destroy();
	header("Location: index.php");
	exit;
} else {
	$_SESSION['lastActiveK']=time();
}
require ('includes/functieskp.php');
include 'includes/settings.php';
include 'includes/config.php';
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
    die("Database Error: ".$connect->connect_error."");
}
if (kiesOptie('klantenpaneel') == '0') {
    echo 'Klantenpaneel uitgeschakeld';
} else {
	$klantje = getKlant($_SESSION['klantid']);
?>
<!doctype html/css>
<html lang="nl">
<head>
<title>Klantenpaneel</title>
	<link rel="apple-touch-icon" sizes="180x180" href="afbeeldingen/180x180cp.png">
	<link rel="icon" type="image/png" sizes="32x32" href="afbeeldingen/favicon-32x32cp.png">
	<link rel="icon" type="image/png" sizes="16x16" href="afbeeldingen/favicon-16x16cp.png">
	<link rel="manifest" href="includes/manifestcp.webmanifest">
	<link rel="mask-icon" href="afbeeldingen/192x192cp.png">
	<link href="includes/css/stylecp.css" rel="stylesheet" type="text/css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
	<script src="https://kit.fontawesome.com/bc0378345d.js" crossorigin="anonymous"></script>
	<script>
        function closeMelding() {
            document.querySelector(".meldingwrap").style.display = "none";
        }
    </script>	
	<script type="text/javascript">
		function showMenu() {
		document.getElementById('menu_mob').style.display = "block";
		}	
		function hideMenu() {
		document.getElementById('menu_mob').style.display = "none";
		}	
		function showBut1() {
		document.getElementById('but1').style.display = "block";
		}	
		function hideBut1() {
		document.getElementById('but1').style.display = "none";
		}	
		function showBut2() {
		document.getElementById('but2').style.display = "block";
		}	
		function hideBut2() {
		document.getElementById('but2').style.display = "none";
		}
	</script>
</head>
<body>
	<div class="main">
		<div class="headerbar">
			<a href="?p=home"><img src="<?php echo kiesOptie('site-url'); ?>/afbeeldingen/upload/cplogo.png" class="headerimage"></a><p style="float:right"><a href="?p=uitloggen" style="font-weight: bold; font-size: 14px;">Uitloggen <i class="fa-solid fa-sign-out" style="min-width: 20px;"></i></a></p>
		</div>
		<div class="topbar">
			<?php echo'
			<a href="?p=home"><button class="menubutton';if ($_GET['p'] == 'home'){echo'sel';} echo'"><i class="fa-solid fa-house" style="min-width: 20px;"></i> Dashboard</button></a><a href="?p=facturen"><button class="menubutton';if ($_GET['p'] == 'facturen' || $_GET['p'] == 'bekijk-factuur'){echo'sel';} echo'"><i class="fa-solid fa-file-invoice" style="min-width: 20px;"></i> Facturen</button></a><a href="?p=offertes"><button class="menubutton';if ($_GET['p'] == 'offertes'){echo'sel';} echo'"><i class="fa-solid fa-receipt" style="min-width: 20px;"></i> Offertes</button></a><a href="?p=afspraken"><button class="menubutton';if ($_GET['p'] == 'afspraken'){echo'sel';} echo'"><i class="fa-solid fa-calendar-days" style="min-width: 20px;"></i> Afspraken</button></a><a href="?p=reparaties"><button class="menubutton';if ($_GET['p'] == 'reparaties'){echo'sel';} echo'"><i class="fa-solid fa-screwdriver-wrench" style="min-width: 20px;"></i> Reparaties</button></a>
			'; ?>
		</div>
		<div class="mobhead">
			<a href="?p=home"><img src="<?php echo kiesOptie('site-url'); ?>/afbeeldingen/upload/cplogo.png" class="headerimage"></a>
			<button class="menubuttonm" id="but1" onclick="showMenu();hideBut1();showBut2();"><i class="fas fa-bars"></i></button>
			<button class="menubuttonm" id="but2" onclick="hideMenu();showBut1();hideBut2();" style="display:none;"><i class="fas fa-times"></i></button>
		</div>
		<div class="menu_mob" id="menu_mob">
			<?php echo'
			<a href="?p=home"><button class="menubutton';if ($_GET['p'] == 'home'){echo'sel';} echo'"><i class="fa-solid fa-house" style="min-width: 20px;"></i> Dashboard</button></a>
			<a href="?p=facturen"><button class="menubutton';if ($_GET['p'] == 'facturen' || $_GET['p'] == 'bekijk-factuur'){echo'sel';} echo'"><i class="fa-solid fa-file-invoice" style="min-width: 20px;"></i> Facturen</button></a>
			<a href="?p=offertes"><button class="menubutton';if ($_GET['p'] == 'offertes'){echo'sel';} echo'"><i class="fa-solid fa-receipt" style="min-width: 20px;"></i> Offertes</button></a>
			<a href="?p=afspraken"><button class="menubutton';if ($_GET['p'] == 'afspraken'){echo'sel';} echo'"><i class="fa-solid fa-calendar-days" style="min-width: 20px;"></i> Afspraken</button></a>
			<a href="?p=reparaties"><button class="menubutton';if ($_GET['p'] == 'reparaties'){echo'sel';} echo'"><i class="fa-solid fa-screwdriver-wrench" style="min-width: 20px;"></i> Reparaties</button></a>
			<a href="?p=mijn-gegevens"><button class="menubutton';if ($_GET['p'] == 'mijn-gegeven'){echo'sel';} echo'"><i class="fa-solid fa-user" style="min-width: 20px;"></i> Gegevens</button></a>
			<a href="?p=uitloggen"><button class="menubutton"><i class="fa-solid fa-right-from-bracket" style="min-width: 20px;"></i> Uitloggen</button></a>
			'; ?>
		</div><br>
		<div class="content">
			<div class="maincontent">
				<?php
				if(empty($_GET['p'])) {
					$_GET['p'] = "home";
				} else{
					$p = "paginas/cp/".$_GET['p'].".php";
					if (!file_exists("$p")){
						$_GET['p'] = "home";
					}
				}
				$p = "paginas/cp/".$_GET['p'].".php";
				include "$p";
				?>
				<div class="version_box"><?php echo 'Powered by <a href="https://faqturo.nl" style="color: var(--kleur-1);" target="_blank">Faqturo</a>: v'.$version; ?></div>
			</div>
			<div class="subcontent"><?php echo '
				<h4>Uw Gegevens</h4><br>
				<b>Bedrijfsnaam:</b> ';if (!empty($klantje['bedrijfsnaam'])){echo $klantje['bedrijfsnaam'];}else{echo'onbekend';} echo'<br>
				<b>Naam/Voorletters:</b> '.$klantje['naam'].'<br>
				<b>Achternaam:</b> '.$klantje['achternaam'].'<br>
				<b>Straat:</b> '.$klantje['straat'].'<br>
				<b>Postcode:</b> '.$klantje['postcode'].'<br>
				<b>Woonplaats:</b> '.$klantje['woonplaats'].'<br>
				<b>Land:</b> '.$klantje['land'].'<br>
				<b>E-mail:</b> '.$klantje['email'].'<br>
				<b>Telefoon:</b> ';if (!empty($klantje['telefoon'])){echo $klantje['telefoon'];}else{echo'onbekend';} echo'<br>
				<b>Mobiel:</b> ';if (!empty($klantje['mobiel'])){echo $klantje['mobiel'];}else{echo'onbekend';} 
				?><br><br>
				<a href="?p=mijn-gegevens"><button class="form-button">AANPASSEN</button></a>
			</div>
		</div>
	</div>
<?php
}
$connect->close();
?>
</body>
</html>
<script>
	// Verwijder de preloader en toon de content met een vertraging
	window.addEventListener('load', function() {
		setTimeout(function() {
			document.getElementById('preloader').style.display = 'none';
		}, 100); // 1000 milliseconden = 1 seconde vertraging
	});
</script>