<div id="preloader">
<img src="afbeeldingen/F2.png" id="faqturof" style="width: 80; height: 80;">
	<div class="spinner"></div>
</div>
<?php
session_start();
if(!isset($_SESSION) || $_SESSION['lastActive'] <time()-60*240){
	unset($_SESSION);
	session_destroy();
	header("Location: login.php");
	exit;
} else {
	$_SESSION['lastActive']=time();
}
require ('includes/functies.php');
include 'includes/settings.php';
include 'includes/config.php';
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
    die("Database Error: ".$connect->connect_error."");
}
if ($_SESSION['user_id'] == 0) {
	$bedrijfready = '1';
	$mailready = '1';
} else {
	$bedrijfready = bedrijfReady();
	$mailready = mailReady();
}
if ((($bedrijfready == 0) || ($mailready == 0)) && ($_GET['p'] != 'instellingen-bedrijf' && $_GET['p'] != 'instellingen-mail')) {
	echo '<div class="setup-wrap">
		<div class="setup-box">
			<h3>Welkom bij Faqturo!</h3>
			<h4>Het lijkt er op dat er een aantal essentiële gegevens ontbreken. Deze gegevens zijn nodig voor het juist functioneren van Faqturo.</h4><br><br>
			';
			if ($bedrijfready == 0){
				echo'<h4 style="color: #882020;">Bedrijfsgegevens Ontbreken.</h4><br>
				Ga naar de pagina: <a style="color: #3F72AF;" href="?p=instellingen-bedrijf">Bedrijfsinformatie</a> en vul de gegevens aan. 
				Controleer hier ook of de facturatie nummering correct staat ingesteld.<br><br>';
			}
			if ($mailready == 0){
				echo'<h4 style="color: #882020;">E-mail instellingen ontbreken of zijn incorrect.</h4><br>
				Ga naar de pagina: <a style="color: #3F72AF;" href="?p=instellingen-mail">Mail Instellingen</a> en vul de gegevens aan. 
				Vergeet niet om de verbinding te testen, zonder deze test wordt e-mail NIET geactiveerd.';
			}
			echo '
		</div>
	</div>';
}
?>
<!doctype html/css>
<html lang="nl">
<head>
<title>Faqturo</title>
	<link rel="apple-touch-icon" sizes="180x180" href="afbeeldingen/180x180.png">
	<link rel="icon" type="image/png" sizes="32x32" href="afbeeldingen/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="afbeeldingen/favicon-16x16.png">
	<link rel="manifest" href="includes/manifest.webmanifest">
	<link rel="mask-icon" href="afbeeldingen/192x192.png">
	<link href="includes/css/style.css" rel="stylesheet" type="text/css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
	<script src="https://kit.fontawesome.com/bc0378345d.js" crossorigin="anonymous"></script>
	<script type="text/javascript" src="includes/js/nicEdit.js"></script>
	<script type="text/javascript" src="https://unpkg.com/@zxing/library@latest/umd/index.min.js"></script>
	<script>
        function closeMelding() {
            document.querySelector(".meldingwrap").style.display = "none";
        }
    </script>
</head>
<body>
	<script type="text/javascript">
	function showMenu() {
	document.getElementById('menu_mob').style.display = "block";
	}	
	function hideMenu() {
	document.getElementById('menu_mob').style.display = "none";
	}	
	function showBut1() {
	document.getElementById('but1').style.display = "block";
	}	
	function hideBut1() {
	document.getElementById('but1').style.display = "none";
	}	
	function showBut2() {
	document.getElementById('but2').style.display = "block";
	}	
	function hideBut2() {
	document.getElementById('but2').style.display = "none";
	}	
	function showCam() {
	document.getElementById('camwrap').style.display = "table-cell";
	}	
	function hideCam() {
	document.getElementById('camwrap').style.display = "none";
	}
	function showPersoonlijk() {
		document.getElementById('persoonlijk').style.display = "inline-block";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "none";
	}	
	function showBedrijf() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "inline-block";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "none";
	}
	function showVerkoop() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "inline-block";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "none";
	}
	function showCrediteuren() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "inline-block";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "none";
	}
	function showPlanner() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "inline-block";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "none";
	}
	function showReparatie() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "inline-block";
	}
	function showRittenreg() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "inline-block";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "none";
	}
	function showTijdreg() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "inline-block";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "none";
	}
	function showAdmin() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "inline-block";
		document.getElementById('ext').style.display = "none";
		document.getElementById('reparaties').style.display = "none";
	}
	function showExt() {
		document.getElementById('persoonlijk').style.display = "none";
		document.getElementById('bedrijf').style.display = "none";
		document.getElementById('verkoop').style.display = "none";
		document.getElementById('crediteuren').style.display = "none";
		document.getElementById('planner').style.display = "none";
		document.getElementById('rittenreg').style.display = "none";
		document.getElementById('tijdreg').style.display = "none";
		document.getElementById('admin').style.display = "none";
		document.getElementById('ext').style.display = "inline-block";
		document.getElementById('reparaties').style.display = "none";
	}
	</script>
	<div class="main">
		<div class="content">
		<?php
		$submenu = '';
		if ($_SESSION['user_id'] == 0) {
			if(isset($_POST['loginals'])){
				$_SESSION['user_id'] = $_POST['userid'];
				$_SESSION['lastActive'] = time();
				echo '<script type="text/javascript">';
				echo 'window.location.href="main.php?p=home";';
				echo '</script>';
			}
			echo '<div class="page_top"><h1>Welkom Superadmin!</h1><br><br>
			<svg class="editorial"
			xmlns="http://www.w3.org/2000/svg"
			xmlns:xlink="http://www.w3.org/1999/xlink"
			viewBox="0 24 150 28 "
			preserveAspectRatio="none">
			<defs>
			<path id="gentle-wave"
			d="M-160 44c30 0 
			58-18 88-18s
			58 18 88 18 
			58-18 88-18 
			58 18 88 18
			v44h-352z" />
			</defs>
			<g class="parallax1">
			<use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
			</g>
			<g class="parallax2">
			<use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
			</g>
			<g class="parallax3">
			<use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
			</g>
			<g class="parallax4">
			<use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
			</g>
			</svg></div><div class="page_frame">
			<div class="centerdiv">
			<h2>Kies een gebruiker om door te gaan.</h2><br><br>
			</div>
			';
			$gebruikers = alleGebruikers($zoekterm, $startFrom, $perPage);
			if ($gebruikers) {
				foreach ($gebruikers as $gebruiker) {
					echo '<form method="post" action="">
					<input type="hidden" name="userid" value="'.$gebruiker['id'].'">
					<button class="row" style="border:0; cursor: pointer;" type="submit" name="loginals"><i class="more_options_icon fas fa-sign-in-alt"></i> '.$gebruiker['weergavenaam'].'</button>
					</form>';
				}
			}
			echo '</div>';
		} else {
			if(empty($_GET['p'])) {
				$_GET['p'] = "home";
			} else{
				$p = "paginas/".$_GET['p'].".php";
				if (!file_exists("$p")){
					$_GET['p'] = "home";
				}
			}
			$p = "paginas/".$_GET['p'].".php";
			include "$p";
		}
		?>
		<div class="version_box"><?php echo 'v'.$version; ?></div>
		</div>
		<div class="mobhead">
			<a href="?p=home"><img src="afbeeldingen/logo-licht.png" class="menuimage-mob" style="margin:10px;"></a>
			<button class="menubuttonm" id="but1" onclick="showMenu();hideBut1();showBut2();"><i class="fas fa-bars"></i></button>
			<button class="menubuttonm" id="but2" onclick="hideMenu();showBut1();hideBut2();" style="display:none;"><i class="fas fa-times"></i></button>
		</div>
		<div class="menu_mob" id="menu_mob">
			<div class="menu_wrap" id="menu_wrap" style="padding-bottom:150px;">
			<a href="?p=home"><img src="afbeeldingen/logo-licht.png" class="menuimage"></a>
			<?php if ($_SESSION['user_id'] == 0) {
				echo '';
			} else {
			 	if (gebruikerOptie('is_admin') == '1' && $version<$latest_version) {
					echo '<br><br><a href="?p=updater"><span style="color:#efefef; animation: breathing3 3s infinite; font-size: 15px; margin-left:20px;">⦿&nbsp; Update Beschikbaar: v'.$latest_version.'</span></a>';
				}
				?>
				<button onclick="showPersoonlijk();" class="menubutton<?php if ($submenu == 'persoonlijk'){echo'sel';} ?>"><i class="fa-solid fa-user-tie" style="min-width: 30px;"></i> Persoonlijk</button>
				<?php if ($submenu == 'persoonlijk') { 
					echo'
					<div id="persoonlijk" class="submenu">
					<a href="?p=home"><button class="menubuttonsub';if ($_GET['p'] == 'home'){echo'sel';} echo'"><i class="fa-solid fa-house" style="min-width: 20px;"></i> Dashboard</button></a>
					<a href="?p=agenda"><button class="menubuttonsub';if ($_GET['p'] == 'agenda' || $_GET['p'] == 'agenda-text'){echo'sel';} echo'"><i class="fa-solid fa-calendar-days" style="min-width: 20px;"></i> Agenda</button></a>
					<a href="?p=todo"><button class="menubuttonsub';if ($_GET['p'] == 'todo'){echo'sel';} echo'"><i class="fa-solid fa-list-check" style="min-width: 20px;"></i> To-Do Lijst</button></a>
					<a href="?p=verdiensten"><button class="menubuttonsub';if ($_GET['p'] == 'verdiensten'){echo'sel';} echo'"><i class="fa-solid fa-euro-sign" style="min-width: 20px;"></i> Verdiensten</button></a>
					<a href="?p=profiel"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'profiel'){echo'sel';} echo'"><i class="fa-solid fa-user" style="min-width: 20px;"></i> Profiel</button></a>
					</div>
					';
				} else {
					echo'
					<div id="persoonlijk" style="display:none;" class="submenu">
					<a href="?p=home"><button class="menubuttonsub';if ($_GET['p'] == 'home'){echo'sel';} echo'"><i class="fa-solid fa-house" style="min-width: 20px;"></i> Dashboard</button></a>
					<a href="?p=agenda"><button class="menubuttonsub';if ($_GET['p'] == 'agenda' || $_GET['p'] == 'agenda-text'){echo'sel';} echo'"><i class="fa-solid fa-calendar-days" style="min-width: 20px;"></i> Agenda</button></a>
					<a href="?p=todo"><button class="menubuttonsub';if ($_GET['p'] == 'todo'){echo'sel';} echo'"><i class="fa-solid fa-list-check" style="min-width: 20px;"></i> To-Do Lijst</button></a>
					<a href="?p=verdiensten"><button class="menubuttonsub';if ($_GET['p'] == 'verdiensten'){echo'sel';} echo'"><i class="fa-solid fa-euro-sign" style="min-width: 20px;"></i> Verdiensten</button></a>
					<a href="?p=profiel"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'profiel'){echo'sel';} echo'"><i class="fa-solid fa-user" style="min-width: 20px;"></i> Profiel</button></a>
					</div>
					';
				}
				?>
				<?php if (gebruikerOptie('optie_bedrijfbeheer') == '1') {
					echo '<button onclick="showBedrijf();" class="menubutton';if ($submenu == 'bedrijf'){echo'sel';} echo'"><i class="fa-solid fa-building" style="min-width: 30px;"></i> Statistieken</button>';
					if ($submenu == 'bedrijf') { 
						echo '<div id="bedrijf" class="submenu">';
						echo'<a href="?p=bedrijf-resultaat"><button class="menubuttonsub';if ($_GET['p'] == 'bedrijf-resultaat'){echo'sel';} echo'"><i class="fa-solid fa-chart-column" style="min-width: 20px;"></i> Bedrijfsresultaat</button></a>';
						echo'<a href="?p=bedrijf-btw"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'bedrijf-btw'){echo'sel';} echo'"><i class="fa-solid fa-percent" style="min-width: 20px;"></i> BTW Overzicht</button></a>';
						echo'</div>';
					} else {
						echo '<div id="bedrijf" style="display:none;" class="submenu">';
						echo'<a href="?p=bedrijf-resultaat"><button class="menubuttonsub';if ($_GET['p'] == 'bedrijf-resultaat'){echo'sel';} echo'"><i class="fa-solid fa-chart-column" style="min-width: 20px;"></i> Bedrijfsresultaat</button></a>';
						echo'<a href="?p=bedrijf-btw"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'bedrijf-btw'){echo'sel';} echo'"><i class="fa-solid fa-percent" style="min-width: 20px;"></i> BTW Overzicht</button></a>';
						echo'</div>';
					}
				} else {
					echo '<div id="bedrijf" style="display:none;"></div>';
				}
				?>
				<?php 
				echo '<button onclick="showCrediteuren();" class="menubutton';if ($submenu == 'relaties'){echo'sel';} echo'"><i class="fas fa-users" style="min-width: 30px;"></i> Relaties</button>';
					if ($submenu == 'relaties') { 
						echo'
						<div id="crediteuren" class="submenu">';
						if (gebruikerOptie('optie_crediteuren') == '1') {
							echo '
							<a href="?p=alle-crediteuren"><button class="menubuttonsub';if (($_GET['p'] == 'alle-crediteuren') || ($_GET['p'] == 'bekijk-crediteur')){echo'sel';} echo'"><i class="fa-solid fa-building-user" style="min-width: 20px;"></i> Crediteuren</button></a>
							';
						}
						echo '<a href="?p=alle-klanten"><button style="border: none;" class="menubuttonsub';if (($_GET['p'] == 'alle-klanten') || ($_GET['p'] == 'bekijk-klant')){echo'sel';} echo'"><i class="fas fa-users" style="min-width: 20px;"></i> Klanten</button></a>
						</div>';
					} else {
						echo'
						<div id="crediteuren" style="display:none;" class="submenu">';
						if (gebruikerOptie('optie_crediteuren') == '1') {
							echo '
							<a href="?p=alle-crediteuren"><button class="menubuttonsub';if (($_GET['p'] == 'alle-crediteuren') || ($_GET['p'] == 'bekijk-crediteur')){echo'sel';} echo'"><i class="fa-solid fa-building-user" style="min-width: 20px;"></i> Crediteuren</button></a>
							';
						}
						echo '<a href="?p=alle-klanten"><button style="border: none;" class="menubuttonsub';if (($_GET['p'] == 'alle-klanten') || ($_GET['p'] == 'bekijk-klant')){echo'sel';} echo'"><i class="fas fa-users" style="min-width: 20px;"></i> Klanten</button></a>
						</div>';
					}
				?>
				<?php if ((gebruikerOptie('optie_crediteuren') == '1') || (gebruikerOptie('optie_facturatie') == '1')) {
					echo '<button onclick="showVerkoop();" class="menubutton'; if ($submenu == 'verkoop'){echo'sel';} echo'"><i class="fa-solid fa-money-bill-trend-up" style="min-width: 30px;"></i> Facturatie</button>';
					if ($submenu == 'facturatie') { 
						echo'<div id="verkoop" class="submenu">';
						if (gebruikerOptie('optie_facturatie') == '1') {
							echo'<a href="?p=alle-facturen"><button class="menubuttonsub';if ($_GET['p'] == 'alle-facturen'){echo'sel';} echo'"><i class="fa-solid fa-file-invoice" style="min-width: 20px;"></i> Facturen</button></a>';
						}
						if (gebruikerOptie('optie_crediteuren') == '1') {
							echo '<a href="?p=alle-inkoopfacturen"><button class="menubuttonsub';if (($_GET['p'] == 'alle-inkoopfacturen') || ($_GET['p'] == 'bekijk-inkoopfactuur')){echo'sel';} echo'"><i class="fa-solid fa-file-arrow-down" style="min-width: 20px;"></i> Inkoopfacturen</button></a>';
						}
						if (gebruikerOptie('optie_facturatie') == '1') {
							echo '<a href="?p=alle-offertes"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'alle-offertes'){echo'sel';} echo'"><i class="fa-solid fa-receipt" style="min-width: 20px;"></i> Offertes</button></a>';
						}
						echo '</div>';
					} else {
						echo'
						<div id="verkoop" style="display:none;" class="submenu">';
						if (gebruikerOptie('optie_facturatie') == '1') {
							echo'<a href="?p=alle-facturen"><button class="menubuttonsub';if ($_GET['p'] == 'alle-facturen'){echo'sel';} echo'"><i class="fa-solid fa-file-invoice" style="min-width: 20px;"></i> Facturen</button></a>';
						}
						if (gebruikerOptie('optie_crediteuren') == '1') {
							echo '<a href="?p=alle-inkoopfacturen"><button class="menubuttonsub';if (($_GET['p'] == 'alle-inkoopfacturen') || ($_GET['p'] == 'bekijk-inkoopfactuur')){echo'sel';} echo'"><i class="fa-solid fa-file-arrow-down" style="min-width: 20px;"></i> Inkoopfacturen</button></a>';
						}
						if (gebruikerOptie('optie_facturatie') == '1') {
							echo '<a href="?p=alle-offertes"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'alle-offertes'){echo'sel';} echo'"><i class="fa-solid fa-receipt" style="min-width: 20px;"></i> Offertes</button></a>';
						}
						echo '</div>';
					}
				} else {
					echo '<div id="verkoop" style="display:none;"></div>';
				}
				?>
				<?php if (gebruikerOptie('optie_plannen') == '1') {
					echo '<button onclick="showPlanner();" class="menubutton';if ($submenu == 'planner'){echo'sel';} echo'"><i class="fas fa-laptop-house" style="min-width: 30px;"></i> Planner</button>';
					if ($submenu == 'planner') { 
						echo'
						<div id="planner" class="submenu">';
						echo'<a href="?p=alle-afspraken"><button class="menubuttonsub';if (($_GET['p'] == 'alle-afspraken') || ($_GET['p'] == 'bekijk-afspraak')){echo'sel';} echo'"><i class="fa-solid fa-calendar-days" style="min-width: 20px;"></i> Afspraken</button></a>';
						echo '<a href="?p=plan-afspraak"><button class="menubuttonsub';if ($_GET['p'] == 'plan-afspraak'){echo'sel';} echo'"><i class="fa-solid fa-calendar-plus" style="min-width: 20px;"></i> Afspraak Plannen</button></a>';
						echo '<a href="?p=beschikbaarheid"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'beschikbaarheid'){echo'sel';} echo'"><i class="fa-solid fa-calendar-day" style="min-width: 20px;"></i> Beschikbaarheid</button></a>';
						echo '</div>';
					} else {
						echo'
						<div id="planner" style="display:none;" class="submenu">';
						echo'<a href="?p=alle-afspraken"><button class="menubuttonsub';if (($_GET['p'] == 'alle-afspraken') || ($_GET['p'] == 'bekijk-afspraak')){echo'sel';} echo'"><i class="fa-solid fa-calendar-days" style="min-width: 20px;"></i> Afspraken</button></a>';
						echo '<a href="?p=plan-afspraak"><button class="menubuttonsub';if ($_GET['p'] == 'plan-afspraak'){echo'sel';} echo'"><i class="fa-solid fa-calendar-plus" style="min-width: 20px;"></i> Afspraak Plannen</button></a>';
						echo '<a href="?p=beschikbaarheid"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'beschikbaarheid'){echo'sel';} echo'"><i class="fa-solid fa-calendar-day" style="min-width: 20px;"></i> Beschikbaarheid</button></a>';
						echo '</div>';
					}
				} else {
					echo '<div id="planner" style="display:none;"></div>';
				}
				?>
					<?php if (gebruikerOptie('optie_reparatie') == '1') {
					echo '<button onclick="showReparatie();" class="menubutton';if ($submenu == 'reparaties'){echo'sel';} echo'"><i class="fas fa-screwdriver-wrench" style="min-width: 30px;"></i> Reparaties</button>';
					if ($submenu == 'reparaties') { 
						echo'
						<div id="reparaties" class="submenu">';
						echo'<a href="?p=alle-reparaties"><button class="menubuttonsub';if (($_GET['p'] == 'alle-reparaties') || ($_GET['p'] == 'bekijk-reparatie')){echo'sel';} echo'"><i class="fa-solid fa-screwdriver-wrench" style="min-width: 20px;"></i> Reparaties</button></a>';
						echo '<a href="?p=plan-reparatie"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'plan-reparatie'){echo'sel';} echo'"><i class="fa-solid fa-screwdriver-wrench" style="min-width: 20px;"></i> Reparatie Aanmelden</button></a>';
						echo '</div>';
					} else {
						echo'
						<div id="reparaties" style="display:none;" class="submenu">';
						echo'<a href="?p=alle-reparaties"><button class="menubuttonsub';if (($_GET['p'] == 'alle-reparaties') || ($_GET['p'] == 'bekijk-reparatie')){echo'sel';} echo'"><i class="fa-solid fa-screwdriver-wrench" style="min-width: 20px;"></i> Reparaties</button></a>';
						echo '<a href="?p=plan-reparatie"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'plan-reparatie'){echo'sel';} echo'"><i class="fa-solid fa-screwdriver-wrench" style="min-width: 20px;"></i> Reparatie Aanmelden</button></a>';
						echo '</div>';
					}
				} else {
					echo '<div id="reparaties" style="display:none;"></div>';
				}
				?>

				<?php if (gebruikerOptie('optie_ritten') == '1') {
					echo '<button onclick="showRittenreg();" class="menubutton'; if ($submenu == 'rittenreg'){echo'sel';} echo '"><i class="fa-solid fa-car-side" style="min-width: 30px;"></i> Rittenregistratie</button>';
					if ($submenu == 'rittenreg') { 
						echo'
						<div id="rittenreg" class="submenu">';
						echo '<a href="?p=alle-ritten"><button class="menubuttonsub';if ($_GET['p'] == 'alle-ritten'){echo'sel';} echo'"><i class="fa-solid fa-car-side" style="min-width: 20px;"></i> Registreren</button></a>';
						echo '<a href="?p=rittenstat"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'rittenstat'){echo'sel';} echo'"><i class="fa-solid fa-file-excel" style="min-width: 20px;"></i> Exporteren</button></a>';
						echo '</div>';
					} else {
						echo'
						<div id="rittenreg" style="display:none;" class="submenu">';
						echo '<a href="?p=alle-ritten"><button class="menubuttonsub';if ($_GET['p'] == 'alle-ritten'){echo'sel';} echo'"><i class="fa-solid fa-car-side" style="min-width: 20px;"></i> Registreren</button></a>';
						echo '<a href="?p=rittenstat"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'rittenstat'){echo'sel';} echo'"><i class="fa-solid fa-file-excel" style="min-width: 20px;"></i> Exporteren</button></a>';
						echo '</div>';
					}
				} else {
					echo '<div id="rittenreg" style="display:none;"></div>';
				}
				?>
				<?php if (gebruikerOptie('optie_tijdreg') == '1') {
					echo '<button onclick="showTijdreg();" class="menubutton'; if ($submenu == 'tijdreg'){echo'sel';} echo'"><i class="fa-solid fa-clock" style="min-width: 30px;"></i> Tijdregistratie</button>';
					if ($submenu == 'tijdreg') { 
						echo'
						<div id="tijdreg" class="submenu">';
						echo '<a href="?p=tijdreg"><button class="menubuttonsub';if ($_GET['p'] == 'tijdreg'){echo'sel';} echo'"><i class="fa-solid fa-clock" style="min-width: 20px;"></i> Registreren</button></a>';
						echo '<a href="?p=tijdstat"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'tijdstat'){echo'sel';} echo'"><i class="fa-solid fa-timeline" style="min-width: 20px;"></i> Overzicht</button></a>';
						echo '</div>';
					} else {
						echo'
						<div id="tijdreg" style="display:none;" class="submenu">';
						echo '<a href="?p=tijdreg"><button class="menubuttonsub';if ($_GET['p'] == 'tijdreg'){echo'sel';} echo'"><i class="fa-solid fa-clock" style="min-width: 20px;"></i> Registreren</button></a>';
						echo '<a href="?p=tijdstat"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'tijdstat'){echo'sel';} echo'"><i class="fa-solid fa-timeline" style="min-width: 20px;"></i> Overzicht</button></a>';
						echo '</div>';
					}
				} else {
					echo '<div id="tijdreg" style="display:none;"></div>';
				}
				?>
				<?php if (gebruikerOptie('is_admin') == '1') {
					echo '<button onclick="showAdmin();" class="menubutton';if ($submenu == 'admin'){echo'sel';} echo'"><i class="fas fa-gears" style="min-width: 30px;"></i> Instellingen</button>
					';
					if ($submenu == 'admin') { 
						echo '<div id="admin" class="submenu">';
						echo'<a href="?p=instellingen-algemeen"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-algemeen'){echo'sel';} echo'"><i class="fa-solid fa-sliders" style="min-width: 20px;"></i> Algemeen</button></a>';
						echo'<a href="?p=instellingen-bedrijf"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-bedrijf'){echo'sel';} echo'"><i class="fa-solid fa-building" style="min-width: 20px;"></i> Bedrijfsgegevens</button></a>';
						echo'<a href="?p=instellingen-mail"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-mail'){echo'sel';} echo'"><i class="fa-solid fa-envelope" style="min-width: 20px;"></i> E-Mail / SMTP</button></a>';
						echo'<a href="?p=instellingen-factuur"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-factuur'){echo'sel';} echo'"><i class="fa-solid fa-file-invoice" style="min-width: 20px;"></i> Facturatie / Offertes</button></a>';
						echo'<a href="?p=instellingen-planner"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-planner'){echo'sel';} echo'"><i class="fa-solid fa-calendar-days" style="min-width: 20px;"></i> Afspraken Planner</button></a>';
						echo'<a href="?p=instellingen-reparaties"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-reparaties'){echo'sel';} echo'"><i class="fa-solid fa-screwdriver-wrench" style="min-width: 20px;"></i> Reparaties</button></a>';
						echo'<a href="?p=instellingen-nummering"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-nummering'){echo'sel';} echo'"><i class="fa-solid fa-list-ol" style="min-width: 20px;"></i> Nummering</button></a>';
						echo'<a href="?p=instellingen-betaalmethoden"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-betaalmethoden'){echo'sel';} echo'"><i class="fa-solid fa-money-bill-wave" style="min-width: 20px;"></i> iDeal / Mollie</button></a>';
						echo'<a href="?p=instellingen-templates"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-templates' || $_GET['p'] == 'instellingen-templates-bewerk' || $_GET['p'] == 'instellingen-templates-nieuw'){echo'sel';} echo'"><i class="fa-solid fa-wand-magic-sparkles" style="min-width: 20px;"></i> Templates</button></a>';
						echo'<a href="?p=instellingen-categorieen"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-categorieen'){echo'sel';} echo'"><i class="fa-solid fa-table-cells-large" style="min-width: 20px;"></i> Categorieen</button></a>';
						echo'<a href="?p=gebruikers"><button class="menubuttonsub';if ($_GET['p'] == 'gebruikers' || $_GET['p'] == 'bewerk-gebruiker'){echo'sel';} echo'"><i class="fa-solid fa-users" style="min-width: 20px;"></i> Gebruikers</button></a>';
						echo'<a href="?p=updater"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'updater'){echo'sel';} echo'"><i class="fa-solid fa-rocket" style="min-width: 20px;"></i> Updater</button></a>';
						echo '</div>';
					} else {
						echo '<div id="admin" style="display:none;" class="submenu">';
						echo'<a href="?p=instellingen-algemeen"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-algemeen'){echo'sel';} echo'"><i class="fa-solid fa-sliders" style="min-width: 20px;"></i> Algemeen</button></a>';
						echo'<a href="?p=instellingen-bedrijf"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-bedrijf'){echo'sel';} echo'"><i class="fa-solid fa-building" style="min-width: 20px;"></i> Bedrijfsgegevens</button></a>';
						echo'<a href="?p=instellingen-mail"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-mail'){echo'sel';} echo'"><i class="fa-solid fa-envelope" style="min-width: 20px;"></i> E-Mail / SMTP</button></a>';
						echo'<a href="?p=instellingen-factuur"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-factuur'){echo'sel';} echo'"><i class="fa-solid fa-file-invoice" style="min-width: 20px;"></i> Facturatie / Offertes</button></a>';
						echo'<a href="?p=instellingen-planner"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-planner'){echo'sel';} echo'"><i class="fa-solid fa-calendar-days" style="min-width: 20px;"></i> Afspraken Planner</button></a>';
						echo'<a href="?p=instellingen-reparaties"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-reparaties'){echo'sel';} echo'"><i class="fa-solid fa-screwdriver-wrench" style="min-width: 20px;"></i> Reparaties</button></a>';
						echo'<a href="?p=instellingen-nummering"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-nummering'){echo'sel';} echo'"><i class="fa-solid fa-list-ol" style="min-width: 20px;"></i> Nummering</button></a>';
						echo'<a href="?p=instellingen-betaalmethoden"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-betaalmethoden'){echo'sel';} echo'"><i class="fa-solid fa-money-bill-wave" style="min-width: 20px;"></i> iDeal / Mollie</button></a>';
						echo'<a href="?p=instellingen-templates"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-templates' || $_GET['p'] == 'instellingen-templates-bewerk' || $_GET['p'] == 'instellingen-templates-nieuw'){echo'sel';} echo'"><i class="fa-solid fa-wand-magic-sparkles" style="min-width: 20px;"></i> Templates</button></a>';
						echo'<a href="?p=instellingen-categorieen"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-categorieen'){echo'sel';} echo'"><i class="fa-solid fa-table-cells-large" style="min-width: 20px;"></i> Categorieen</button></a>';
						echo'<a href="?p=gebruikers"><button class="menubuttonsub';if ($_GET['p'] == 'gebruikers' || $_GET['p'] == 'bewerk-gebruiker'){echo'sel';} echo'"><i class="fa-solid fa-users" style="min-width: 20px;"></i> Gebruikers</button></a>';
						echo'<a href="?p=updater"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'updater'){echo'sel';} echo'"><i class="fa-solid fa-rocket" style="min-width: 20px;"></i> Updater</button></a>';
						echo '</div>';
					}
					echo '<button onclick="showExt();" class="menubutton';if ($submenu == 'ext'){echo'sel';} echo'"><i class="fa-solid fa-circle-plus" style="min-width: 30px;"></i> Extra</button>
					';
					if ($submenu == 'ext') { 
						echo '<div id="ext" class="submenu">';
						echo'<a href="?p=vergoedingen"><button class="menubuttonsub';if ($_GET['p'] == 'vergoedingen'){echo'sel';} echo'"><i class="fa-solid fa-euro" style="min-width: 20px;"></i> Vergoedingen</button></a>';
						echo'<a href="?p=instellingen-voorrijkosten"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-voorrijkosten'){echo'sel';} echo'"><i class="fa-solid fa-car-side" style="min-width: 20px;"></i> Voorrijkosten</button></a>';
						echo'<a href="?p=instellingen-sms"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-sms'){echo'sel';} echo'"><i class="fa-solid fa-comment-sms" style="min-width: 20px;"></i> SMS Instellingen</button></a>';
						echo'<a href="?p=producten"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'producten'){echo'sel';} echo'"><i class="fa-solid fa-tags" style="min-width: 20px;"></i> Producten</button></a>';
						echo'<a href="?p=instellingen-wordpress"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'instellingen-wordpress'){echo'sel';} echo'"><i class="fa-brands fa-wordpress" style="min-width: 20px;"></i> Wordpress Koppeling</button></a>';
						echo '</div>';
					} else {
						echo '<div id="ext" style="display:none;" class="submenu">';
						echo'<a href="?p=vergoedingen"><button class="menubuttonsub';if ($_GET['p'] == 'vergoedingen'){echo'sel';} echo'"><i class="fa-solid fa-euro" style="min-width: 20px;"></i> Vergoedingen</button></a>';
						echo'<a href="?p=instellingen-voorrijkosten"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-voorrijkosten'){echo'sel';} echo'"><i class="fa-solid fa-car-side" style="min-width: 20px;"></i> Voorrijkosten</button></a>';
						echo'<a href="?p=instellingen-sms"><button class="menubuttonsub';if ($_GET['p'] == 'instellingen-sms'){echo'sel';} echo'"><i class="fa-solid fa-comment-sms" style="min-width: 20px;"></i> SMS Instellingen</button></a>';
						echo'<a href="?p=producten"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'producten'){echo'sel';} echo'"><i class="fa-solid fa-tags" style="min-width: 20px;"></i> Producten</button></a>';
						echo'<a href="?p=instellingen-wordpress"><button style="border: none;" class="menubuttonsub';if ($_GET['p'] == 'instellingen-wordpress'){echo'sel';} echo'"><i class="fa-brands fa-wordpress" style="min-width: 20px;"></i> Wordpress Koppeling</button></a>';
						echo '</div>';
					}
				} else {
					echo '<div id="admin" style="display:none;"></div>';
					echo '<div id="ext" style="display:none;"></div>';
				}
				$addons = menuAddons();
				if ($addons !== null) {
					foreach ($addons as $addon) {
						$directory = $addon['directory'];
						$icon = $addon['icon'];
						$menutitle = $addon['menutitle'];
						echo '<a href="?p=addons/' . $directory . '/index">
								<button class="menubutton';
						if (isset($_GET['p']) && $_GET['p'] == 'addons/' . $directory . '/index') {
							echo ' sel';
						}
						echo '">
								<i class="' . htmlspecialchars($icon, ENT_QUOTES, 'UTF-8') . '" style="min-width: 30px;"></i> ' . 
								htmlspecialchars($menutitle, ENT_QUOTES, 'UTF-8') . 
							'</button>
						</a>';
					}
				}
				?>
			<?php } ?>
			<a href="?p=uitloggen"><button class="menubutton"><i class="fa-solid fa-right-from-bracket" style="min-width: 30px;"></i> Uitloggen</button></a>
			</div>
		</div>
		<div class="sidebar">
			<?php 
			omzetBelasting();
			sidebarSmsTegoed();
			if (sidebarRitten() > 0) {
				echo '
				<div class="sidebar-block">
					<div class="sidebarn">'.sidebarRitten().'</div>
					<div class="sidebarp">'; if (sidebarRitten() == 1){echo 'Openstaande Rit';}else{echo 'Openstaande Ritten';} echo '</div>
				</div>';
			}
			if (sidebarAfspraken() > 0) {
				echo '
				<div class="sidebar-block">
					<div class="sidebarn">'.sidebarAfspraken().'</div>
					<div class="sidebarp">'; if (sidebarAfspraken() == 1){echo 'Openstaande Afspraak';}else{echo 'Openstaande Afspraken';} echo '</div>
				</div>';
			}
			?>
		</div>
	</div>
	<?php if((gebruikerOptie('qb1') == '') && (gebruikerOptie('qb2') == '') && (gebruikerOptie('qb3') == '') && (gebruikerOptie('qb4') == '') && (gebruikerOptie('qb5') == '')){ ?>
		<div class="quickbutton-wrap">
			<?php echo quickbutton('dashboard'); ?>
		</div>
	<?php } else { ?>
		<div class="quickbutton-wrap">
			<?php echo quickbutton(gebruikerOptie('qb1')); ?>
			<?php echo quickbutton(gebruikerOptie('qb2')); ?>
			<?php echo quickbutton(gebruikerOptie('qb3')); ?>
			<?php echo quickbutton(gebruikerOptie('qb4')); ?>
			<?php echo quickbutton(gebruikerOptie('qb5')); ?>
		</div>
	<?php } ?>
</body>
</html>
<?php
$connect->close();
?>
<script>
	// Verwijder de preloader en toon de content met een vertraging
	window.addEventListener('load', function() {
		setTimeout(function() {
			document.getElementById('preloader').style.display = 'none';
		}, 100); // 1000 milliseconden = 1 seconde vertraging
	});
</script>