<script type="text/javascript">
    document.addEventListener('click', function(event) {
    var popUp = document.getElementById('popupbox');
    var form = document.getElementById('popupform');
    var plusBut = document.getElementById('popbutton');
    var inBut = document.getElementById('popbuttonin');
    // Controleer of de klik zich buiten het pop-up element bevindt en niet binnen het formulier
    if (event.target !== popUp && !popUp.contains(event.target) && (form && !form.contains(event.target))) {
        hideDiv();
    }
    if (event.target ==  plusBut || event.target ==  inBut) {
        showDiv();
    }

})
function showDiv() {
   document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
   document.getElementById('inviswrap').style.display = "none";
}		
</script>
<?php
$submenu = 'persoonlijk';
if (basename($_SERVER['PHP_SELF']) === 'agenda-text.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    if (isset($_POST['verwijderen'])) {
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Weet je zeker dat je dit agenda-item wilt verwijderen?
            <br><br><form method="post" action="">
                <input type="hidden" name="itemid" value="'.$_POST['itemid'].'">
                <button class="form-button" style="font-size:12px;" type="submit" name="verwijderItem">Verwijderen</button>
                <button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button>
            </form>
            </div></div>';
    }
    if (isset ($_POST['verwijderItem'])) {
        verwijderAgenda($_POST['itemid']);
    }
    if (isset($_POST['toevoegen'])) {
        if (empty($_POST['naam'])){
            melding('warning','Incompleet','Vul een naam in.');
        } else if (empty($_POST['datum'])){
            melding('warning','Incompleet','Kies een datum.');
        } else if (($_POST['starttijd'] == $_POST['eindtijd']) || ($_POST['starttijd'] > $_POST['eindtijd'])) {
            melding('warning','Incompleet','Starttijd moet eerder zijn dan de eindtijd.');
        } else {
            agendaToevoegen($_POST['naam'], $_POST['omschrijving'], $_POST['locatie'], $_POST['datum'], $_POST['starttijd'], $_POST['eindtijd']);
        }
    }
    if (isset($_POST['naam'])) {$naam = $_POST['naam'];}else{$naam='';}
    if (isset($_POST['datum'])) {$velddatum = $_POST['datum'];}else{$velddatum=date('Y-m-d');}
    if (isset($_POST['locatie'])) {$locatie = $_POST['locatie'];}else{$locatie='';}
    if (isset($_POST['omschrijving'])) {$omschrijving = $_POST['omschrijving'];}else{$omschrijving='';}
    if (empty($_GET['maand'])) {
        $maand = date('m');
    } else {
        $maand = $_GET['maand'];
    }
    if (empty($_GET['jaar'])) {
        $jaar = date('Y');
    } else {
        $jaar = $_GET['jaar'];
    }
    $jaarverder = $jaar + 1;
    $jaarterug = $jaar - 1;
    $eersteDag = new DateTime("$jaar-$maand-01");
    $aantalDagen = $eersteDag->format('t');
    $huidigeDag = 1;
    echo '<div class="page_top"><h1>Agenda Beheren</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div>
    <div class="page_frame">';
    $agendaItems = agendaItemsNoDate();
    $agendaAfspraken = agendaAfsprakenNoDate();
    if (!empty($agendaItems)) {     
        echo '<div class="centerdiv"><h3>Alle Agenda Items</h3></div>';
        foreach ($agendaItems as $ietom) {
            $datum = date('d-m-Y', strtotime($ietom['datum']));
            echo '<div class="row"><span class="row-inner-wrap"><b>'.$datum.' | </b>'.$ietom['start_tijd'].' - '.$ietom['eind_tijd'].' '.$ietom['naam'].'<br>
            <span class="subtext-row">'.$ietom['locatie'].': '.$ietom['omschrijving'].'</span></span>
            <form method="post" action="" style="float: right;">
                <input type="hidden" name="itemid" value="'.$ietom['id'].'">
                <button class="row-new-knop-sel" style="display:inline-block;" type="submit" name="verwijderen"><i class="fa-solid fa-xmark"></i></button>
            </form>
            </div>
            ';
        }
    }
    if (!empty($agendaAfspraken)) {
        echo '<div class="centerdiv"><h3>Alle Geplande Afspraken</h3></div>';
        foreach ($agendaAfspraken as $item) {
            $klantje = getKlant($item['klantid']);
            $datum = date('d-m-Y', strtotime($item['datum']));
            echo '<div class="row"><span class="row-inner-wrap"><b>'.$datum.' | </b>'.$item['start_tijd'].' - '.$item['eind_tijd'].' '.$klantje['naam'].' '.$klantje['achternaam'].'<br>
            <span class="subtext-row">'.$klantje['woonplaats'].': '.base64_decode($item['omschrijving']).'</span></span>
            </div>
            ';
        }
    }
    // Einde van de tabel
    echo '</div>';
    echo '<div id="inviswrap" class="pop-up-wrap"><div class="pop-up-box" id="popupbox">
    <button class="pop-up-box-kruis" onclick="hideDiv()" id="popupkruis"><i class="fas fa-times"></i></button>
    <h3 style="margin-top:0px;">Afspraak Toevoegen</h3>
    <form action="" method="post" autocomplete="off" id="popupform">
        <h4>Titel: *</h4><br>
        <input type="text" class="form-veld-s" name="naam" id="naam" value="'.$naam.'">
        <h4>Omschrijving:</h4><br>
        <input type="text" class="form-veld-s" name="omschrijving" id="omschrijving" value="'.$omschrijving.'">
        <h4>Locatie:</h4><br>
        <input type="text" class="form-veld-s" name="locatie" id="locatie" value="'.$locatie.'">
        <h4>Datum, Starttijd & Eindtijd</h4><br>
        <input type="date" class="form-veld-s" name="datum" id="datum" value="'.$velddatum.'">
        <select id="starttijd" name="starttijd" class="form-veld-s" style="width: 49%;">
        </select>
        <select id="eindtijd" name="eindtijd" class="form-veld-s" style="width: 49%;">
        </select>
        <input type="submit" class="form-button" style="margin-left:0px;" name="toevoegen" value="Toevoegen">
    </form>
    </div></div>
    </div>
    <div class="rightdiv"><button class="add_button" id="popbutton"><i class="fa-solid fa-plus" id="popbuttonin"></i></button></div>';
    echo "
    <script>
        function populateTimeOptions(selectId) {
            var selectElement = document.getElementById(selectId);
            for (var hours = 6; hours <= 23; hours++) {
                for (var minutes = 0; minutes < 60; minutes += 15) {
                    var formattedTime = ('0' + hours).slice(-2) + ':' + ('0' + minutes).slice(-2);
                    var optionElement = document.createElement('option');
                    optionElement.value = formattedTime;
                    optionElement.text = formattedTime;
                    selectElement.appendChild(optionElement);
                }
            }
        }
        populateTimeOptions('starttijd');
        populateTimeOptions('eindtijd');
    </script>";
}
?>