<?php
$submenu = 'reparaties';
if (basename($_SERVER['PHP_SELF']) === 'alle-reparaties.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_reparatie') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['verwijderReparatie'])) {
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Weet je zeker dat je deze reparatie wilt verwijderen?
            <br><br><form method="post" action="">
                <input type="hidden" name="repid" value="'.$_POST['repid'].'">
                <button class="form-button" style="font-size:12px;" type="submit" name="verwijderReparatie2">Verwijderen</button>
                <button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button>
            </form>
            </div></div>';
    }
    if (isset($_POST['verwijderReparatie2'])) {
        verwijderReparatie($_POST['repid']);
    }
    echo '<div class="page_top"><h1>Reparaties</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">';
    $query = "SELECT COUNT(*) AS total FROM reparaties WHERE userid=$user_id";
    $result = $connect->query($query);
    $row = $result->fetch_assoc();
    $total_rows = $row['total'];
    // Aantal resultaten per pagina
    $perPage = 25;
    $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
    $startFrom = ($sub - 1) * $perPage;
    $reparaties = alleReparaties('', $startFrom, $perPage);
    if ($reparaties) {
        foreach ($reparaties as $reparatie) {
            echo '<script type="text/javascript">
            document.addEventListener("click", function(event'.$reparatie['id'].') {
                var popUp'.$reparatie['id'].' = document.getElementById("pop-up'.$reparatie['id'].'");
                var form'.$reparatie['id'].' = document.getElementById("popupform'.$reparatie['id'].'");
                var plusBut'.$reparatie['id'].' = document.getElementById("plusbut'.$reparatie['id'].'");
                var inBut'.$reparatie['id'].' = document.getElementById("popbuttonin'.$reparatie['id'].'");
                if (event'.$reparatie['id'].'.target !== popUp'.$reparatie['id'].' && !popUp'.$reparatie['id'].'.contains(event'.$reparatie['id'].'.target) && (form'.$reparatie['id'].' && !form'.$reparatie['id'].'.contains(event'.$reparatie['id'].'.target))) {
                    hidePop'.$reparatie['id'].'();
                }
                if (event'.$reparatie['id'].'.target ==  plusBut'.$reparatie['id'].' || event'.$reparatie['id'].'.target ==  inBut'.$reparatie['id'].') {
                    showPop'.$reparatie['id'].'();
                }
            
            })
            function showPop'.$reparatie['id'].'() {
               document.getElementById("pop-up'.$reparatie['id'].'").style.display = "block";
               document.getElementById("kruisbut'.$reparatie['id'].'").style.display = "block";
               document.getElementById("plusbut'.$reparatie['id'].'").style.display = "none";
            }	
            function hidePop'.$reparatie['id'].'() {
                document.getElementById("pop-up'.$reparatie['id'].'").style.display = "none";
                document.getElementById("kruisbut'.$reparatie['id'].'").style.display = "none";
                document.getElementById("plusbut'.$reparatie['id'].'").style.display = "block";
            }	
            </script>';
            $klantdata = getKlant($reparatie['klantid']);
            $datum = date('d-m-Y', strtotime($reparatie['datum']));
            $dagVanDeWeek = date("D", strtotime($datum));
            $dag = vertaalDag($dagVanDeWeek);
            echo '<div class="row"><i class="row-icon fa-solid fa-screwdriver-wrench" style="background-color:'.$kleur.';"></i><a href="?p=bekijk-reparatie&id='.$reparatie['id'].'"><span class="row-inner-wrap">'.$datum.'&nbsp;&nbsp;&nbsp;<b>'.$reparatie['titel'].'</b>
            <br><span class="subtext-row">'; 
            echo ''.$klantdata['bedrijfsnaam'].' '.$klantdata['naam'].' '.$klantdata['achternaam'].'';
            echo'</span></span></a>
            '; 
            echo '<button id="plusbut'.$reparatie['id'].'" class="row-new-knop"><i class="fa-solid fa-ellipsis-vertical" id="popbuttonin'.$klant['id'].'"></i></button>
                <button id="kruisbut'.$reparatie['id'].'" class="row-new-knop-sel"><i class="fa-solid fa-xmark"></i></button>
                <div id="pop-up'.$reparatie['id'].'" class="more_options">';
                    echo '<form method="post" action="" id="popupform'.$reparatie['id'].'">
                    <input type="hidden" name="repid" value="'.$reparatie['id'].'">
                    <button class="more_options_button" type="submit" name="verwijderReparatie"><i class="more_options_icon fa-solid fa-xmark"></i> Verwijderen</button>
                </form>';
                echo '
                </div><button class="row-bedrag">'.$reparatie['arbeid'].' min.</button>
                ';
            echo '</div>';
        }
    } else {
        echo '<div align="center" width="100%"><img src="afbeeldingen/geen-reparaties.png" class="empty-page-img"></div>';
    }
    if ($total_rows > $perPage) {
        echo '<br><br><div class="centerdiv" style="display: inline-block;">';
        for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
            if ($sub == $i) {
                echo '<a href="?p=alle-reparaties&sub=' . $i . '"><button class="pagina-button-active">' . $i . '</button></a>';
            } else if ($sub != $i) {
                echo '<a href="?p=alle-reparaties&sub=' . $i . '"><button class="pagina-button">' . $i . '</button></a>';
            }
        }
        echo '</div>';
    }
    echo '</div><div class="rightdiv"><a href=?p=plan-reparatie><button class="add_button"><i class="fa-solid fa-plus"></i></button></a></div>';
}
?>