<script type="text/javascript">
    document.addEventListener('click', function(event) {
    var popUp = document.getElementById('popupbox');
    var form = document.getElementById('popupform');
    var plusBut = document.getElementById('popbutton');
    var inBut = document.getElementById('popbuttonin');
    // Controleer of de klik zich buiten het pop-up element bevindt en niet binnen het formulier
    if (event.target !== popUp && !popUp.contains(event.target) && (form && !form.contains(event.target))) {
        hideDiv();
    }
    if (event.target ==  plusBut || event.target ==  inBut) {
        showDiv();
    }

})
function showDiv() {
   document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
   document.getElementById('inviswrap').style.display = "none";
}		
</script>
<?php
$submenu = 'rittenreg';
if (basename($_SERVER['PHP_SELF']) === 'alle-ritten.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_ritten') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['verwijderRit'])) {
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Weet je zeker dat je deze rit wilt verwijderen?
            <br><br><form method="post" action="">
                <input type="hidden" name="ritid" value="'.$_POST['ritid'].'">
                <button class="form-button" style="font-size:12px;" type="submit" name="verwijderRit2">Verwijderen</button>
                <button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button>
            </form>
            </div></div>';
    }
    if (isset($_POST['verwijderRit2'])) {
        verwijderRit($_POST['ritid']);
    }
    if (isset($_POST['datum'])) {$datum = $_POST['datum'];}else{$datum=date('Y-m-d');}
    if (isset($_POST['startlocatie'])) {$startlocatie = $_POST['startlocatie'];}else{$startlocatie='';}
    if (isset($_POST['startpostcode'])) {$startpostcode = $_POST['startpostcode'];}else{$startpostcode='';}
    if (isset($_POST['startstand'])) {$startstand = $_POST['startstand'];}else{$startstand='';}
    if (isset($_POST['eindlocatie'])) {$eindlocatie = $_POST['eindlocatie'];}else{$eindlocatie='';}
    if (isset($_POST['eindpostcode'])) {$eindpostcode = $_POST['eindpostcode'];}else{$eindpostcode='';}
    if (isset($_POST['eindstand'])) {$eindstand = $_POST['eindstand'];}else{$eindstand='';}
    if (isset($_POST['privekm'])) {$privekm = $_POST['privekm'];}else{$privekm='';}
    if (isset($_POST['route'])) {$route = $_POST['route'];}else{$route='';}

    if (isset($_POST['toevoegen'])) {
        if (empty($_POST['datum'])) {
            melding('warning','Incompleet','Kies een datum.');
        } else if (empty($_POST['startlocatie'])) {
            melding('warning','Incompleet','Geef vertreklocatie op.');
        } else if (empty($_POST['startpostcode'])) {
            melding('warning','Incompleet','Vul de postcode in van de vertreklocatie.');
        } else if (empty($_POST['startstand'])) {
            melding('warning','Incompleet','Vul de k/m-stand bij vertrek in.');
        } else {
            ritToevoegen($datum, $privekm, $route, $startstand, $startlocatie, $startpostcode, $eindstand, $eindlocatie, $eindpostcode);
        }
    }
    if (isset($_POST['ritOpslaan'])) {
        ritBewerken($_POST['ritid'], $_POST['datum2'], $_POST['privekm2'], $_POST['route2'], $_POST['startstand2'], $_POST['startlocatie2'], $_POST['startpostcode2'], $_POST['eindstand2'], $_POST['eindlocatie2'], $_POST['eindpostcode2']);
    }
    $laatsterit = getLaatsterit();
    if ($laatsterit) {
        $startlocatie = $laatsterit['eindlocatie'];
        $startpostcode = $laatsterit['eindpostcode'];
        $startstand = $laatsterit['eindstand'];
    } 
    echo '<div class="page_top"><h1>Ritten</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">';
    $query = "SELECT COUNT(*) AS total FROM ritten WHERE userid=$user_id";
    $result = $connect->query($query);
    $row = $result->fetch_assoc();
    $total_rows = $row['total'];
    // Aantal resultaten per pagina
    $perPage = 25;
    $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
    $startFrom = ($sub - 1) * $perPage;
    $ritten = lijstRitten($user_id, $startFrom, $perPage);
    if ($ritten) {
        foreach ($ritten as $rit) {
            $kenteken = preg_replace('/([a-zA-Z])([0-9])|([0-9])([a-zA-Z])/', '$1$3-$2$4', strtoupper($rit['kenteken']));
            $kenteken = preg_replace('/([a-zA-Z]{2})([0-9]{2}|[a-zA-Z]{2})/', '$1-$2', $kenteken);
            $kenteken = preg_replace('/([0-9]{2})([a-zA-Z]{2}|[0-9]{2})/', '$1-$2', $kenteken);
            $timestamp = strtotime($rit['datum']);
            $datum2 = date("d-m-Y", $timestamp);
            echo '<script type="text/javascript">
            document.addEventListener("click", function(event'.$rit['id'].') {
                var popUp'.$rit['id'].' = document.getElementById("pop-up'.$rit['id'].'");
                var form'.$rit['id'].' = document.getElementById("popupform'.$rit['id'].'");
                var plusBut'.$rit['id'].' = document.getElementById("plusbut'.$rit['id'].'");
                var inBut'.$rit['id'].' = document.getElementById("popbuttonin'.$rit['id'].'");
                if (event'.$rit['id'].'.target !== popUp'.$rit['id'].' && !popUp'.$rit['id'].'.contains(event'.$rit['id'].'.target) && (form'.$rit['id'].' && !form'.$rit['id'].'.contains(event'.$rit['id'].'.target))) {
                    hidePop'.$rit['id'].'();
                }
                if (event'.$rit['id'].'.target ==  plusBut'.$rit['id'].' || event'.$rit['id'].'.target ==  inBut'.$rit['id'].') {
                    showPop'.$rit['id'].'();
                }
            
            })
            function showPop'.$rit['id'].'() {
               document.getElementById("pop-up'.$rit['id'].'").style.display = "block";
               document.getElementById("kruisbut'.$rit['id'].'").style.display = "block";
               document.getElementById("plusbut'.$rit['id'].'").style.display = "none";
            }	
            function hidePop'.$rit['id'].'() {
                document.getElementById("pop-up'.$rit['id'].'").style.display = "none";
                document.getElementById("kruisbut'.$rit['id'].'").style.display = "none";
                document.getElementById("plusbut'.$rit['id'].'").style.display = "block";
            }	
            </script>';
            if (!empty($rit['datum'] && $rit['startlocatie'] && $rit['startpostcode'] && $rit['startstand'] && $rit['eindlocatie'] && $rit['eindpostcode'] && $rit['eindstand'])) {
                if (!empty($rit['privekm'])){
                    $berekening = $rit['eindstand'] - $rit['startstand'] - $rit['privekm'];
                } else {
                    $berekening = $rit['eindstand'] - $rit['startstand'];
                }
                echo '<div class="row"><span class="rowspan-button" style="background-color:#e6b926; color: #112D4E; border: 2px solid #3F72AF; padding: 3px; float: left;"><b>'.$kenteken.'</b></span><span class="row-inner-wrap"><b>'.$datum2.'</b> '.$berekening.' k/m  ('.$rit['privekm'].' privé)<br><span class="subtext-row"><b>start:</b> '.$rit['startpostcode'].' <b>eind:</b> '.$rit['eindpostcode'].'</span></span></a>';
                echo '<button id="plusbut'.$rit['id'].'" class="row-new-knop"><i id="popbuttonin'.$rit['id'].'" class="fa-solid fa-ellipsis-vertical"></i></button>
                    <button id="kruisbut'.$rit['id'].'" class="row-new-knop-sel" ><i class="fa-solid fa-xmark"></i></button>
                    <div id="pop-up'.$rit['id'].'" class="more_options" style="width:100%; max-width: 300px; padding: 15px;">';
                    echo '
                    <form action="" method="post" autocomplete="off" id="popupform'.$rit['id'].'">
                        <input type="hidden" name="ritid" value="'.$rit['id'].'">
                        <input type="date" class="form-veld-s" name="datum2" id="datum2" value="'.$rit['datum'].'">
                        <input type="text" class="form-veld-s" placeholder="vertreklocatie" name="startlocatie2" id="startlocatie2" value="'.$rit['startlocatie'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="postcode vertrek" name="startpostcode2" id="startpostcode2" value="'.$rit['startpostcode'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="stand vertrek" name="startstand2" id="startstand2" value="'.$rit['startstand'].'">
                        <input type="text" class="form-veld-s" placeholder="bestemming" name="eindlocatie2" id="eindlocatie2" value="'.$rit['eindlocatie'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="postcode bestemming" name="eindpostcode2" id="eindpostcode2" value="'.$rit['eindpostcode'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="stand aankomst" name="eindstand2" id="eindstand2" value="'.$rit['eindstand'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;"  placeholder="Aantal privé k/m" name="privekm2" id="privekm2" value="'.$rit['privekm'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Afwijkende Route?" name="route2" id="route2" value="'.$rit['route'].'">
                        <input type="submit" class="form-button" style="margin-left:0;" name="ritOpslaan" value="Opslaan"><input type="submit" class="form-button-2" name="verwijderRit" value="Verwijderen">
                    </form>
                        </div>
                </div>';
            } else {
                echo '<div class="row"><span class="rowspan-button" style="background-color:#e6b926; color: #112D4E; border: 2px solid #3F72AF; padding: 3px; float: left;"><b>'.$kenteken.'</b></span><span class="row-inner-wrap"><b>'.$datum2.'</b> Rit Incompleet<br><span class="subtext-row"><b>start:</b> '.$rit['startpostcode'].' <b>eind:</b> '.$rit['eindpostcode'].'</span></span></a>';
                echo '<button id="plusbut'.$rit['id'].'" class="row-new-knop" style="background-color: var(--kleur-5);"><i id="popbuttonin'.$rit['id'].'" class="fa-solid fa-ellipsis-vertical"></i></button>
                    <button id="kruisbut'.$rit['id'].'" class="row-new-knop-sel"><i class="fa-solid fa-xmark"></i></button>
                    <div id="pop-up'.$rit['id'].'" class="more_options" style="width:100%; max-width: 300px; padding: 15px;">';
                    echo '
                    <form action="" method="post" autocomplete="off" id="popupform'.$rit['id'].'">
                        <input type="hidden" name="ritid" value="'.$rit['id'].'">
                        <input type="date" class="form-veld-s" name="datum2" id="datum2" value="'.$rit['datum'].'">
                        <input type="text" class="form-veld-s" placeholder="vertreklocatie" name="startlocatie2" id="startlocatie2" value="'.$rit['startlocatie'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="postcode vertrek" name="startpostcode2" id="startpostcode2" value="'.$rit['startpostcode'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="stand vertrek" name="startstand2" id="startstand2" value="'.$rit['startstand'].'">
                        <input type="text" class="form-veld-s" placeholder="bestemming" name="eindlocatie2" id="eindlocatie2" value="'.$rit['eindlocatie'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="postcode bestemming" name="eindpostcode2" id="eindpostcode2" value="'.$rit['eindpostcode'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="stand aankomst" name="eindstand2" id="eindstand2" value="'.$rit['eindstand'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;"  placeholder="Aantal privé k/m" name="privekm2" id="privekm2" value="'.$rit['privekm'].'">
                        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Afwijkende Route?" name="route2" id="route2" value="'.$rit['route'].'">
                        <input type="submit" class="form-button" style="margin-left:0;" name="ritOpslaan" value="Opslaan"><input type="submit" class="form-button-2" name="verwijderRit" value="Verwijderen">
                    </form>
                        </div>
                </div>';
            }
        }
    } else {
        echo '<div align="center" width="100%"><img src="afbeeldingen/geen-ritten.png" class="empty-page-img"></div>';
    }
    if ($total_rows > $perPage) {
        echo '<br><br><div class="centerdiv" style="display: inline-block;">';
        for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
            if ($sub == $i) {
                echo '<a href="?p=alle-ritten&sub=' . $i . '"><button class="pagina-button-active">' . $i . '</button></a>';
            } else if ($sub != $i) {
                echo '<a href="?p=alle-ritten&sub=' . $i . '"><button class="pagina-button">' . $i . '</button></a>';
            }
        }
        echo '</div>';
    }
    echo '<div id="inviswrap" class="pop-up-wrap" ';if($_GET['actie'] == 'nieuw'){echo'style="display:block;"';} echo '><div class="pop-up-box" id="popupbox">
    <button class="pop-up-box-kruis" onclick="hideDiv()" id="popupkruis"><i class="fas fa-times"></i></button>
    <h3 style="margin-top: 0px;">Rit Toevoegen</h3>
    <form action="" method="post" autocomplete="off" id="popupform">
        <input type="date" class="form-veld-s" name="datum" id="datum" value="'.$datum.'">
        <input type="text" class="form-veld-s" placeholder="vertreklocatie" name="startlocatie" id="startlocatie" value="'.$startlocatie.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="postcode vertrek" name="startpostcode" id="startpostcode" value="'.$startpostcode.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="stand vertrek" name="startstand" id="startstand" value="'.$startstand.'">
        <input type="text" class="form-veld-s" placeholder="bestemming" name="eindlocatie" id="eindlocatie" value="'.$eindlocatie.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="postcode bestemming" name="eindpostcode" id="eindpostcode" value="'.$eindpostcode.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="stand aankomst" name="eindstand" id="eindstand" value="'.$eindstand.'">
        <input type="text" class="form-veld-s" style="width: 49%;"  placeholder="Aantal privé k/m" name="privekm" id="privekm" value="'.$privekm.'">
        <input type="text" class="form-veld-s" style="width: 49%;" placeholder="Notities" name="route" id="route" value="'.$route.'">
        <input type="submit" class="form-button" name="toevoegen" value="Opslaan">
    </form>
    </div></div>
    </div><div class="rightdiv">
    ';
    if (empty(gebruikerOptie('kenteken'))) {
        echo '<a href="?p=profiel"><button class="add_button_dis" style="cursor: pointer; width: max-content; padding-left:10px; padding-right: 10px;">Geen Kenteken</button></a>';
    } else {
        echo '<button class="add_button" id="popbutton"><i class="fa-solid fa-plus" id="popbuttonin"></i></button>';
    }
    echo '</div>';
}
?>