<script type="text/javascript">
    document.addEventListener('click', function(event) {
    var popUp = document.getElementById('popupbox');
    var form = document.getElementById('popupform');
    var plusBut = document.getElementById('popbutton');
    var inBut = document.getElementById('popbuttonin');
    var editBut = document.getElementById('bewerkbutton');
    // Controleer of de klik zich buiten het pop-up element bevindt en niet binnen het formulier
    if (event.target !== popUp && !popUp.contains(event.target) && (form && !form.contains(event.target))) {
        hideDiv();
        hidePop();
    }
    if (event.target ==  plusBut || event.target ==  inBut) {
        showPop();
    }
    if (event.target ==  editBut) {
        showDiv();
        hidePop();
    }

})
function showDiv() {
document.getElementById('inviswrap').style.display = "block";
}	
function hideDiv() {
document.getElementById('inviswrap').style.display = "none";
}	
function showPop() {
    document.getElementById("pop-up").style.display = "inline-block";
    document.getElementById("kruisbut").style.display = "inline-block";
    document.getElementById("popbutton").style.display = "none";
}	
function hidePop() {
    document.getElementById("pop-up").style.display = "none";
    document.getElementById("kruisbut").style.display = "none";
    document.getElementById("popbutton").style.display = "inline-block";
}	

</script>

<?php
$submenu = 'relaties';
if (basename($_SERVER['PHP_SELF']) === 'bekijk-crediteur.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_crediteuren') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['aanpassen'])) {
        crediteurOpslaan($_POST['credid'],$_POST['bedrijfsnaam'],$_POST['afdeling'],$_POST['adres'],$_POST['postcode'],$_POST['plaats'],$_POST['email'],$_POST['telefoon'],$_POST['btw'],$_POST['kvk']);
    }
    $crediteur = getCrediteur($_GET['id']);
    if (isset($_POST['verwijderFactuur'])) {
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Weet je zeker dat je deze conceptfactuur wilt verwijderen?
            <br><br><form method="post" action="">
                <input type="hidden" name="factuurid" value="'.$_POST['factuurid'].'">
                <button class="form-button" style="font-size:12px;" type="submit" name="verwijderFactuur2">Verwijderen</button>
                <button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button>
            </form>
            </div></div>';
    }
    if (isset ($_POST['verwijderFactuur2'])) {
        verwijderInkoopFactuur($_POST['factuurid']);
    }
    if (isset($_POST['verwerkFactuur'])){
        $datum = date('Y-m-d');
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Op welke datum is de factuur voldaan?
        <br><br><form method="post" action="">
        <input type="hidden" name="factuurid" value="'.$_POST['factuurid'].'">
            <input type="date" class="form-veld-s" name="datum" id="datum" value="'.$datum.'">
            <button class="form-button" style="font-size:12px;" type="submit" name="registreerBetaling">Opslaan</button>
            <button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button>
        </form>
        </div></div>';
    }
    if (isset($_POST['registreerBetaling'])){
        factuurVerwerkt($_POST['factuurid'], $_POST['datum']);
    }
    $telinkfacturen = inkomendeFacturenTellen($crediteur['id']);
    if ($telinkfacturen > '0') {$addonfact='<span style="color:#ba3208; animation: breathing2 3s infinite; font-size:15px;">&nbsp;⦿</span>';}else{$addonfact='';}
    if ($crediteur) {
        echo '<div class="page_top"><h1>'.$crediteur['bedrijfsnaam'].'</h1><br><br>
        <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">
        <div class="box-sidebar">
            <h4>Bedrijfsnaam: </h4><br>'.$crediteur['bedrijfsnaam'].'<br>
            <h4>Afdeling/t.a.v.: </h4><br>'.$crediteur['afdeling'].'<br>
            <h4>Straat: </h4><br>'.$crediteur['adres'].'<br>
            <h4>Postcode: </h4><br>'.$crediteur['postcode'].'<br>
            <h4>Woonplaats: </h4><br>'.$crediteur['plaats'].'<br>
            <h4>Land: </h4><br>'.$crediteur['land'].'<br>
            <h4>E-mail: </h4><br>'.$crediteur['email'].'<br>
            <h4>Telefoon: </h4><br>'.$crediteur['telefoon'].'
        </div>
        <div class="box-page">
        <div class="tab-wrap">
            <div class="tab-bg">
            <a href="?p=bekijk-crediteur&tab=facturen&id='.$crediteur['id'].'"><button style="border-top-left-radius: 10px; border-top-right-radius: 10px;" class="tab-button';if(!isset($_GET['tab']) || (isset($_GET['tab']) && $_GET['tab'] == 'facturen')){echo'-active';} echo'">Inkoopfacturen'.$addonfact.'</button></a>
            </div><div class="tab-content">
        
        ';
        if(!isset($_GET['tab']) || ($_GET['tab'] == 'facturen')) {
            $query = "SELECT COUNT(*) AS total FROM inkoopfacturen WHERE credid=".$crediteur['id']."";
            $result = $connect->query($query);
            $row = $result->fetch_assoc();
            $total_rows = $row['total'];
            // Aantal resultaten per pagina
            $perPage = 25;
            $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
            $startFrom = ($sub - 1) * $perPage;        
            $facturen = inkoopfacturenLaden($crediteur['id'], $startFrom, $perPage);
            if ($facturen) {
                foreach ($facturen as $factuur) {
                    $timestamp = strtotime($factuur['factuurdatum']);
            $datum = date("d-m-Y", $timestamp);
            echo '<script type="text/javascript">
            document.addEventListener("click", function(event'.$factuur['id'].') {
                var popUp'.$factuur['id'].' = document.getElementById("pop-up'.$factuur['id'].'");
                var form'.$factuur['id'].' = document.getElementById("popupform'.$factuur['id'].'");
                var plusBut'.$factuur['id'].' = document.getElementById("plusbut'.$factuur['id'].'");
                var inBut'.$factuur['id'].' = document.getElementById("popbuttonin'.$factuur['id'].'");
                if (event'.$factuur['id'].'.target !== popUp'.$factuur['id'].' && !popUp'.$factuur['id'].'.contains(event'.$factuur['id'].'.target) && (form'.$factuur['id'].' && !form'.$factuur['id'].'.contains(event'.$factuur['id'].'.target))) {
                    hidePop'.$factuur['id'].'();
                }
                if (event'.$factuur['id'].'.target ==  plusBut'.$factuur['id'].' || event'.$factuur['id'].'.target ==  inBut'.$factuur['id'].') {
                    showPop'.$factuur['id'].'();
                }
                })
                function showPop'.$factuur['id'].'() {
                    document.getElementById("pop-up'.$factuur['id'].'").style.display = "block";
                    document.getElementById("kruisbut'.$factuur['id'].'").style.display = "block";
                    document.getElementById("plusbut'.$factuur['id'].'").style.display = "none";
                }	
                function hidePop'.$factuur['id'].'() {
                    document.getElementById("pop-up'.$factuur['id'].'").style.display = "none";
                    document.getElementById("kruisbut'.$factuur['id'].'").style.display = "none";
                    document.getElementById("plusbut'.$factuur['id'].'").style.display = "block";
                }	
                </script>';
                if ($factuur['status'] == '10'){$text = 'Concept'; $kleur='#3F72AF';}
                if ($factuur['status'] == '11'){$text = 'Ingeboekt'; $kleur='#ba9b08';}
                if ($factuur['status'] == '12'){$text = 'Betaald'; $kleur='#8b23c7';}
                $credid = $factuur['credid'];
                if (!empty($factuur['factuurdatum'])){
                    $datum = date('d-m-Y', strtotime($factuur['factuurdatum']));
                } else {
                    $datum = date('d-m-Y');
                }
                if (!empty($factuur['factuurnummer'])){
                    $factuurnummer = $factuur['factuurnummer'];
                } else {
                    $factuurnummer = 'Onbekend';
                }
                $crediteur = getCrediteur($credid);
                echo '<div class="row" style="background-color: var(--kleur-2); border: 1px solid var(--kleur-1); box-shadow: none;"><i class="row-icon fa-solid fa-file-arrow-down" style="background-color:'.$kleur.';"></i><a href="?p=bekijk-inkoopfactuur&id='.$factuur['id'].'"><span class="row-inner-wrap"><b>'.$factuurnummer.'</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$datum.'<br><span class="subtext-row">('.$text.') '.$crediteur['bedrijfsnaam'].'</span></span></a>';
                echo '<button id="plusbut'.$factuur['id'].'" class="row-new-knop"><i id="popbuttonin'.$factuur['id'].'" class="fa-solid fa-ellipsis-vertical"></i></button>
                <button id="kruisbut'.$factuur['id'].'" class="row-new-knop-sel"><i class="fa-solid fa-xmark"></i></button>
                <button class="row-bedrag">€'.number_format($factuur['totaalincl'],2, ',','.').'</button>
                <div id="pop-up'.$factuur['id'].'" class="more_options">';
                if ($factuur['status'] == '11') {
                    echo '<form method="post" action="" id="popupform'.$factuur['id'].'">
                            <input type="hidden" name="factuurid" value="'.$factuur['id'].'">
                            <button class="more_options_button" type="submit" name="verwerkFactuur">
                                <i class="more_options_icon fa-solid fa-euro"></i><span class="tooltip-text">&nbsp;Betaling Registreren
                            </button>
                        </form>';
                } 
                echo '
                <form method="post" action="" id="popupform'.$factuur['id'].'">
                <input type="hidden" name="factuurid" value="'.$factuur['id'].'">
                <button class="more_options_button" type="submit" name="verwijderFactuur">
                    <i class="more_options_icon fa-solid fa-xmark"></i><span class="tooltip-text">&nbsp;Verwijderen
                </button>
                </form>'; 
                        
                echo '
                </div></div>'; 
                } 
            } else {
                echo '<div align="center" width="100%"><img src="afbeeldingen/geen-facturen-kl.png" class="empty-page-img"></div>';
            }
        }
        if ($total_rows > $perPage) {
            echo '<br><br><div class="centerdiv" style="display: inline-block;">';
            for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
                if ($sub == $i) {
                    echo '<a href="?p=alle-inkoopfacturen&sub=' . $i . '"><button class="pagina-button-active">' . $i . '</button></a>';
                } else if ($sub != $i) {
                    echo '<a href="?p=alle-inkoopfacturen&sub=' . $i . '"><button class="pagina-button">' . $i . '</button></a>';
                }
            }
            echo '</div>';
        }
        echo '</div></div></div></div>';
        echo '<div id="inviswrap" class="pop-up-wrap"><div class="pop-up-box" id="popupbox">
        <button class="pop-up-box-kruis" onclick="hideDiv()" id="popupkruis"><i class="fas fa-times"></i></button>
    <h3 style="margin-top: 0px;">Crediteur Bewerken</h3>
    <form action="" method="post" autocomplete="off" id="popupform">
        <input type="hidden" name="credid" id="credid" value="'.$crediteur['id'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="bedrijfsnaam" id="bedrijfsnaam" placeholder="Bedrijfsnaam" value="'.$crediteur['bedrijfsnaam'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="kvk" id="kvk" placeholder="KVK Nummer" value="'.$crediteur['kvk'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="btw" id="btw" placeholder="BTW Nummer" value="'.$crediteur['btw'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="afdeling" id="afdeling" placeholder="t.a.v. / afdeling" value="'.$crediteur['afdeling'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="adres" id="adres" placeholder="Adres" value="'.$crediteur['adres'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="postcode" id="postcode" placeholder="Postcode" value="'.$crediteur['postcode'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="plaats" id="plaats" placeholder="Plaats" value="'.$crediteur['plaats'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="telefoon" id="telefoon" placeholder="Telefoon" value="'.$crediteur['telefoon'].'">
        <input type="text" class="form-veld-s" style="width: 49%;" name="email" id="email" placeholder="E-mailadres" value="'.$crediteur['email'].'">
        <input type="submit" class="form-button" name="aanpassen" value="Opslaan">
        </form>
        </div></div>
        <div class="rightdiv">

        <div id="pop-up" class="more_options" style="margin-right: 55px; float: unset; bottom:65">
        <form method="post" action="?p=bekijk-inkoopfactuur" id="popupform">
            <input type="hidden" name="credid" value="'.$crediteur['id'].'">
            <button class="more_options_button" type="submit" name="nieuweFactuur"><i class="more_options_icon fa-solid fa-file-arrow-down"></i> Inkoopfactuur</button>
        </form>
        <button class="more_options_button" id="bewerkbutton"><i class="more_options_icon fa-solid fa-pen-to-square"></i> Crediteur Bewerken</button>
        </div><br>
            <button class="row-edit-knop" id="popbutton"><i id="popbuttonin" class="fa-solid fa-bars"></i></button>
            <button id="kruisbut" class="row-edit-knop-sel"><i class="fa-solid fa-xmark"></i></button>
        </div>
        ';
    } else {
        header("Location: ?p=alle-crediteuren");
        exit;
    }
}
?>