<?php
if (basename($_SERVER['PHP_SELF']) === 'reparaties.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    $klant = getKlant($_SESSION['klantid']);
    if ($klant) {
        echo '<h3>Reparaties</h3><br>';
        // Aantal resultaten per pagina
        $perPage = 25;
        $query = "SELECT COUNT(*) AS total FROM reparaties WHERE klantid=".$klant['id']."";
        $result = $connect->query($query);
        $row = $result->fetch_assoc();
        $total_rows = $row['total'];
        $sub = isset($_GET['sub']) ? (int)$_GET['sub'] : 1;
        $startFrom = ($sub - 1) * $perPage;
        $reparaties = alleReparaties($klant['id'], $startFrom, $perPage);
        if ($reparaties) {
            foreach ($reparaties as $reparatie) {
                $datum = date('d-m-Y', strtotime($reparatie['datum']));
                $dagVanDeWeek = date("D", strtotime($datum));
                $dag = vertaalDag($dagVanDeWeek);
                echo '<div class="row"><i class="row-icon fa-solid fa-screwdriver-wrench" style="background-color:'.$kleur.';"></i><a href="?p=bekijk-reparatie&id='.$reparatie['id'].'"><span class="row-inner-wrap">'.$datum.'&nbsp;&nbsp;&nbsp;<b>'.$reparatie['titel'].'</b>
                <br><span class="subtext-row">'; 
                echo ''.$reparatie['status'].'</span></span></a>
                </div>';
            }
        } else {
            echo '<div align="center" width="100%"><img src="afbeeldingen/geen-reparaties-cp.png" class="empty-page-img"></div>';
        }
        if ($total_rows > $perPage) {
            echo '<br><br><div class="centerdiv" style="display: inline-block;">';
            for ($i = 1; $i <= ceil($total_rows / $perPage); $i++) {
                if ($sub == $i) {
                    echo '<a href="?p=reparaties&sub=' . $i . '"><button class="pagina-button-active">' . $i . '</button></a>';
                } else if ($sub != $i) {
                    echo '<a href="?p=reparaties&sub=' . $i . '"><button class="pagina-button">' . $i . '</button></a>';
                }
            }
            echo '</div>';
        }
    } else {
        header("Location: ?p=home");
        exit;
    }
}
?>