<script>
    document.addEventListener('click', function(event) {
    var popUp = document.getElementById('popupbox');
    var form = document.getElementById('popupform');
    var plusBut = document.getElementById('popbutton');
    var inBut = document.getElementById('popbuttonin');
    // Controleer of de klik zich buiten het pop-up element bevindt en niet binnen het formulier
    if (event.target !== popUp && !popUp.contains(event.target) && (form && !form.contains(event.target))) {
        hideTooltip();
    }
    if (event.target ==  plusBut || event.target ==  inBut) {
        showTooltip();
    }

})
function showTooltip() {
    document.getElementById("tooltip").style.display = "block";
}

function hideTooltip() {
    document.getElementById("tooltip").style.display = "none";
}
</script>
<?php
$submenu = 'persoonlijk';
if (basename($_SERVER['PHP_SELF']) === 'home.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    if (isset($_POST['opslaan-dash'])) {
        if (isset($_POST['db_auto'])) {$db_auto=1;}else{$db_auto=0;}
            optieUpdate('db_auto',$db_auto);
        if (isset($_POST['db_afspraken'])) {$db_afspraken=1;}else{$db_afspraken=0;}
            optieUpdate('db_afspraken',$db_afspraken);
        if (isset($_POST['db_resultaat'])) {$db_resultaat=1;}else{$db_resultaat=0;}
            optieUpdate('db_resultaat',$db_resultaat);
        if (isset($_POST['db_facturen'])) {$db_facturen=1;}else{$db_facturen=0;}
            optieUpdate('db_facturen',$db_facturen);
        if (isset($_POST['db_inkomend'])) {$db_inkomend=1;}else{$db_inkomend=0;}
            optieUpdate('db_inkomend',$db_inkomend);
    }
    echo '<div class="page_top"><h1>Welkom</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">';
    echo '<div class="centerdiv"><div class="zoek-container">
    <input type="text" id="klant-zoek" class="zoekklant" placeholder="Zoek in Faqturo" oninput="zoekAlles()">
    </div>
    <div id="resultaten-lijst"style="margin-top: 15px;"></div></div>
    ';
    echo "<script>
    function zoekAlles() {
        var zoekTerm = document.getElementById('klant-zoek').value.toLowerCase();
        var resultatenLijst = document.getElementById('resultaten-lijst');
        resultatenLijst.innerHTML = '';
    
        fetch('includes/zoekalles.php?term=' + zoekTerm)
            .then(response => response.json())
            .then(data => {



                // Check if there are results for 'klanten' table
                if (data.klanten && data.klanten.length > 0) {

                    var containerDiv = document.createElement('div');
                    containerDiv.className = 'result-container';
                    var header = document.createElement('h5');
                    header.textContent = 'Klanten';
                    containerDiv.appendChild(header);

                    var klantenResultaten = data.klanten;
                    klantenResultaten.forEach(function (klant) {
                        var div = document.createElement('div');
                        div.className = 'rowsearch';
                        var naamAchternaam = (klant.naam && klant.achternaam) ? klant.naam + ' ' + klant.achternaam : '';
                        var bedrijfsnaam = klant.bedrijfsnaam ? klant.bedrijfsnaam : '';
                        var straat = klant.straat ? klant.straat : '';
                        var klantnummer = klant.klantnummer ? klant.klantnummer : '';
                        var postcodeWoonplaats = (klant.postcode && klant.woonplaats) ? klant.postcode + ' ' + klant.woonplaats : '';
                        var email = klant.email ? klant.email : '';
                        div.innerHTML = '<a href=\"?p=bekijk-klant&id='+ klant.id +'\"><b>('+ klant.klantnummer +')</b> '+ klant.bedrijfsnaam +' '+ klant.naam +' '+ klant.achternaam +' '+ klant.woonplaats +'</a>';
                        containerDiv.appendChild(div);
                    });
                    resultatenLijst.appendChild(containerDiv);
                }



                // Check if there are results for 'facturen' table
                if (data.facturen && data.facturen.length > 0) {

                    var containerDiv = document.createElement('div');
                    containerDiv.className = 'result-container';
                    var header = document.createElement('h5');
                    header.textContent = 'Facturen/Offertes';
                    containerDiv.appendChild(header);

                    var facturenResultaten = data.facturen;
                    facturenResultaten.forEach(function (factuur) {
                        var div = document.createElement('div');
                        div.className = 'rowsearch';
                        var factuurnummer = factuur.factuurnummer ? factuur.factuurnummer : '';
                        var klantgegevens = factuur.klantgegevens ? factuur.klantgegevens : '';
                        div.innerHTML = '<a href=\"?p=bekijk-factuur&id='+ factuur.id +'\"><b>('+ factuur.factuurnummer +')</b> '+ factuur.klantgegevens +'</a>';
                        containerDiv.appendChild(div);
                    });
                    resultatenLijst.appendChild(containerDiv);
                }



                // Check if there are results for 'crediteuren' table
                if (data.crediteuren && data.crediteuren.length > 0) {

                    var containerDiv = document.createElement('div');
                    containerDiv.className = 'result-container';
                    var header = document.createElement('h5');
                    header.textContent = 'Crediteuren';
                    containerDiv.appendChild(header);

                    var crediteurenResultaten = data.crediteuren;
                    crediteurenResultaten.forEach(function (crediteur) {
                        
                        var div = document.createElement('div');
                        div.className = 'rowsearch';
                        var bedrijfsnaam = crediteur.bedrijfsnaam ? crediteur.bedrijfsnaam : '';
                        var adres = crediteur.adres ? crediteur.adres : '';
                        var afdeling = crediteur.afdeling ? crediteur.afdeling : '';
                        var postcodeWoonplaats = (crediteur.postcode && crediteur.plaats) ? crediteur.postcode + ' ' + crediteur.plaats : '';
                        var email = crediteur.email ? crediteur.email : '';
                        div.innerHTML = '<a href=\"?p=bekijk-crediteur&id='+ crediteur.id +'\"><b>'+ crediteur.bedrijfsnaam +' '+ crediteur.afdeling +'</b> '+ crediteur.plaats +'</a>';
                        containerDiv.appendChild(div);
                    });
                    resultatenLijst.appendChild(containerDiv);
                }



                // Check if there are results for 'inkoopfacturen' table
                if (data.inkoopfacturen && data.inkoopfacturen.length > 0) {

                    var containerDiv = document.createElement('div');
                    containerDiv.className = 'result-container';
                    var header = document.createElement('h5');
                    header.textContent = 'Inkoopfacturen';
                    containerDiv.appendChild(header);

                    var inkoopfacturenResultaten = data.inkoopfacturen;
                    inkoopfacturenResultaten.forEach(function (inkoopfactuur) {

                        var div = document.createElement('div');
                        div.className = 'rowsearch';
                        var nummer = inkoopfactuur.factuurnummer ? inkoopfactuur.factuurnummer : '';
                        div.innerHTML = '<a href=\"?p=bekijk-inkoopfactuur&id='+ inkoopfactuur.id +'\"><b>('+ inkoopfactuur.factuurnummer +') </b></a>';
                        containerDiv.appendChild(div);
                    });
                    resultatenLijst.appendChild(containerDiv);
                }
            })
            .catch(error => console.error('Fout bij het ophalen van zoekresultaten:', error));
    }
    </script>";

    // Autogegevens
    if ((gebruikerOptie('optie_ritten') == '1') && (gebruikerOptie('db_auto') == '1') && (!empty(gebruikerOptie('kenteken')))){
        $kenteken = preg_replace('/([a-zA-Z])([0-9])|([0-9])([a-zA-Z])/', '$1$3-$2$4', strtoupper(gebruikerOptie('kenteken')));
        $kenteken = preg_replace('/([a-zA-Z]{2})([0-9]{2}|[a-zA-Z]{2})/', '$1-$2', $kenteken);
        $kenteken = preg_replace('/([0-9]{2})([a-zA-Z]{2}|[0-9]{2})/', '$1-$2', $kenteken);

        $resultaat = kostenRitten();
        $brandstofprijs = $resultaat['totaalbedrag'];
        $geredenkm = $resultaat['totaalkm'];
        echo '<div class="centerdiv"><div class="car-wrapper">
        <i class="car-icon fa-solid fa-car"></i></div><br>
        <h3>'.$kenteken.'</h3><br>';
        echo '<div class="buttonbox-b">'.gebruikerOptie('auto_merk').'<br><span class="button_text-s">'.gebruikerOptie('auto_type').'</span><br></div>';
        if (gebruikerOptie('auto_brandstof') == 'Elektriciteit') {
            echo '<div class="buttonbox-b">Verbruik<br><span class="button_text-s">Elektrisch</span></div><br>';
        } else {
            echo '<div class="buttonbox-b">Verbruik<br><span class="button_text-s">'.round(gebruikerOptie('auto_verbruik'),1).'ℓ - 100 k/m</span></div><br>';
        }
        echo '<div class="buttonbox-b">Gereden deze week<br><span class="button_text-s">'.$geredenkm.' k/m</span></div>';
        if (gebruikerOptie('auto_brandstof') == 'Elektriciteit') {
            echo '<div class="buttonbox-b">Kosten deze week<br><span class="button_text-s">Onbekend</span></div></div>';
        } else {
            echo '<div class="buttonbox-b">Kosten deze week<br><span class="button_text-s">€'.$brandstofprijs.'</span></div></div>';
        }
    }
    // komende afspraken
    if ((gebruikerOptie('optie_plannen') == '1') && (gebruikerOptie('db_afspraken') == '1')){
        echo '<div class="centerdiv"><h3>Komende Afspraken</h3></div>
        <div class="horizontale-box" style="text-align: center; margin:0; padding:0;">
        <div class="inhoud" style="display: inline-block; margin:0; padding:0;">';    
        $afspraken = komendeAfspraken();
        if ($afspraken) {
            $counter = 0;
            foreach ($afspraken as $afspraak) {
                if ($afspraak['type'] == '1') {$icon='fa-building';}
                if ($afspraak['type'] == '2') {$icon='fa-home';}
                $datum = date('d-m-Y', strtotime($afspraak['datum']));
                $class = ($counter == 0) ? 'dash_row_left1' : 'dash_row_left';
                echo '
                <a href="?p=bekijk-afspraak&id='.$afspraak['id'].'">
                    <div class="dash_row_wrap">
                        <div class="'.$class.'">
                        <i class="fas '.$icon.'" style="font-size: 24px;"></i>
                        </div>
                        <div class="dash_row_right"><b>'.$datum.'</b><br>'.$afspraak['start_tijd'].' - '.$afspraak['eind_tijd'].'
                        </div>
                    </div>
                </a>
                ';
                $counter++;
            }
        }
        echo '
        <a href="?p=plan-afspraak">
            <div class="dash_row_wrap_alt">
                <i class="fa-solid fa-plus"></i><br>
                Plannen
            </div>
        </a>
        ';
        echo '</div></div>';
    }
    // Bedrijfsresultaat tonen
    if ((gebruikerOptie('optie_bedrijfbeheer') == '1') && (gebruikerOptie('db_resultaat') == '1')){
        echo'<div class="centerdiv"><h3>Resultaat dit jaar (netto)</h3></div>';
        $verkocht = totaalVerkocht();
        $ingekocht = totaalIngekocht();
        $resultaat = $verkocht - $ingekocht;
        if ($resultaat < 0) {
            $class = '_min';
        } else { 
            $class = '';
        }
        echo '<div class="centerdiv"><div class="buttonbox">Verkoop<br><span class="button_text">'.number_format($verkocht,2,',','.').'</span><br>EURO</div>';
        echo '<div class="buttonbox">Inkoop<br><span class="button_text">'.number_format($ingekocht,2,',','.').'</span><br>EURO</div>';
        echo '<div class="buttonbox_result'.$class.'">Resultaat<br><span class="button_text">'.number_format($resultaat,2,',','.').'</span><br>EURO</div></div>';
    }
    // facturen  tonen
    if ((gebruikerOptie('optie_facturatie') == '1') && (gebruikerOptie('db_facturen') == '1')){
        echo'<div class="centerdiv"><h3>Openstaande Facturen</h3></div>';
        $facturenopen = openstaandeFacturen();
        if ($facturenopen) {
            foreach ($facturenopen as $factuur) {
                echo '<script type="text/javascript">
                function showPop'.$factuur['id'].'() {
                   document.getElementById("pop-up'.$factuur['id'].'").style.display = "block";
                   document.getElementById("kruisbut'.$factuur['id'].'").style.display = "block";
                   document.getElementById("plusbut'.$factuur['id'].'").style.display = "none";
                }	
                function hidePop'.$factuur['id'].'() {
                    document.getElementById("pop-up'.$factuur['id'].'").style.display = "none";
                    document.getElementById("kruisbut'.$factuur['id'].'").style.display = "none";
                    document.getElementById("plusbut'.$factuur['id'].'").style.display = "block";
                }	
                </script>';
                $datum = $factuur['factuurdatum'];
                $datumvandaag = date('Y-m-d');
                $factuurDatum = new DateTime($datum);
                $vandaagDatum = new DateTime($datumvandaag);
                $verschil = $factuurDatum->diff($vandaagDatum);
                $aantalDagen = $verschil->days;
                $datumgoed = date('d-m-Y', strtotime($datum));
                if ($factuur['status'] == '12' && $aantalDagen >= kiesOptie('aanmaning')){$text = 'Aanmaning'; $kleur='#ba0808';} else
                if ($factuur['status'] == '12' && $aantalDagen >= kiesOptie('betaaltermijn')){$text = 'Herinnering'; $kleur='#8a08ba';} else
                if ($factuur['status'] == '12'){$text = 'Verstuurd'; $kleur='#087dba';}
                $klantdata = getKlant($factuur['klantid']);
                echo '<div class="row"><i class="row-icon fa-solid fa-file-invoice" style="background-color:'.$kleur.';"></i><a href="?p=bekijk-factuur&id='.$factuur['id'].'"><span class="row-inner-wrap"><b>'.$factuur['factuurnummer'].'</b> | '.$datumgoed.' ('.$text.')<br><span class="subtext-row">'.$klantdata['bedrijfsnaam'].' '.$klantdata['naam'].' '.$klantdata['achternaam'].'</span></span></a>';
                echo '<button class="row-bedrag">€'.number_format($factuur['totaalbedrag'],2,',','.').'</button>
                </div>            
                '; 
            }
        } else {
            echo '<div class="centerdiv"><img src="afbeeldingen/homepage-geen-facturen.png" class="empty-page-img"></div>';
        }
    }
    // Inkoopfacturen tonen
    if ((gebruikerOptie('optie_crediteuren') == '1') && (gebruikerOptie('db_inkomend') == '1')){
        echo'<div class="centerdiv"><h3>Inkomende Facturen</h3></div>';
        $facturen = openstaandeInkoopFacturen();
        if ($facturen) {
            foreach ($facturen as $factuur) {
                echo '<script type="text/javascript">
                function showPop'.$factuur['id'].'() {
                    document.getElementById("pop-up'.$factuur['id'].'").style.display = "block";
                    document.getElementById("kruisbut'.$factuur['id'].'").style.display = "block";
                    document.getElementById("plusbut'.$factuur['id'].'").style.display = "none";
                }	
                function hidePop'.$factuur['id'].'() {
                    document.getElementById("pop-up'.$factuur['id'].'").style.display = "none";
                    document.getElementById("kruisbut'.$factuur['id'].'").style.display = "none";
                    document.getElementById("plusbut'.$factuur['id'].'").style.display = "block";
                }	
                </script>';
                if ($factuur['status'] == '11'){$text = 'Ingeboekt'; $kleur='#ba9b08';}
                $credid = $factuur['credid'];
                $datum = date('d-m-Y', strtotime($factuur['factuurdatum']));
                $crediteur = getCrediteur($credid);
                echo '<div class="row"><i class="row-icon fa-solid fa-file-invoice" style="background-color:'.$kleur.';"></i><a href="?p=bekijk-inkoopfactuur&id='.$factuur['id'].'"><span class="row-inner-wrap"><b>'.$factuur['factuurdatum'].'</b> '.$factuur['factuurnummer'].'<br><span class="subtext-row">'.$crediteur['bedrijfsnaam'].'</span></span></a>';
                echo '<button class="row-bedrag">€'.number_format($factuur['totaalincl'],2,',','.').'</button>
                </div>'; 
            }
        } else {
            echo '<div class="centerdiv"><img src="afbeeldingen/homepage-geen-inkoopfacturen.png" class="empty-page-img"></div>';
        }
    }
    echo '</div>';
    echo '
    <div class="rightdiv">
    <div class="tooltip-container" id="popupbox">
    <button class="add_button" style="width:35px; height:35px;" id="popbutton"><i class="fa-solid fa-layer-group" id="popbuttonin"></i></button>
    <div class="tooltip" id="tooltip" align="left">
        <form action="" method="post" id="popupform">
        <input type="checkbox" id="db_auto" name="db_auto" value="1" ';if(gebruikerOptie('db_auto') == '1'){echo'checked';}echo'>&nbsp;Statistieken Auto<br>
        <input type="checkbox" id="db_afspraken" name="db_afspraken" value="1" ';if(gebruikerOptie('db_afspraken') == '1'){echo'checked';}echo'>&nbsp;Komende Afspraken<br>
        <input type="checkbox" id="db_resultaat" name="db_resultaat" value="1" ';if(gebruikerOptie('db_resultaat') == '1'){echo'checked';}echo'>&nbsp;Winstberekening<br>
        <input type="checkbox" id="db_facturen" name="db_facturen" value="1" ';if(gebruikerOptie('db_facturen') == '1'){echo'checked';}echo'>&nbsp;Openstaande Facturen<br>
        <input type="checkbox" id="db_inkomend" name="db_inkomend" value="1" ';if(gebruikerOptie('db_inkomend') == '1'){echo'checked';}echo'>&nbsp;Inkomende Facturen<br>
        <input class="form-button" style="margin-left:0; padding: 5px; margin-top:10;" type="submit" name="opslaan-dash" value="opslaan">
        </form>
    </div>
    </div>
    </div>
    '; 
}
?>