<?php
$submenu = 'admin';
if (basename($_SERVER['PHP_SELF']) === 'instellingen-bedrijf.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['opslaan-bedrijf'])) {
        updateOptie('bedrijfsnaam', $_POST['bedrijfsnaam']);
        updateOptie('bedrijfsadres', $_POST['adres']);
        updateOptie('bedrijfspostcode', $_POST['postcode']);
        updateOptie('bedrijfsplaats', $_POST['plaats']);
        updateOptie('bedrijfsbtw', $_POST['btw']);
        updateOptie('bedrijfskvk', $_POST['kvk']);
        updateOptie('bedrijfsiban', $_POST['iban']);
        updateOptie('bedrijfsemail', $_POST['email']);
        melding('notice','Opgeslagen','Instellingen opgeslagen.');
    }
    
    echo '<div class="page_top"><h1>Bedrijfsinformatie</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame" align="center">
    <form method="post" autocomplete="off">
    <h3>Bedrijfsgegevens</h3><br>
    <h4>Bedrijfsnaam:</h4><br>
    <input type="text" id="bedrijfsnaam" name="bedrijfsnaam" class="form-veld" value="'.kiesOptie('bedrijfsnaam').'"><br>
    <h4>Adres:</h4><br>
    <input type="text" id="adres" name="adres" class="form-veld" value="'.kiesOptie('bedrijfsadres').'"><br>
    <h4>Postcode:</h4><br>
    <input type="text" id="postcode" name="postcode" class="form-veld" value="'.kiesOptie('bedrijfspostcode').'"><br>
    <h4>Vestigingsplaats:</h4><br>
    <input type="text" id="plaats" name="plaats" class="form-veld" value="'.kiesOptie('bedrijfsplaats').'"><br>
    <h4>BTW-Nummer:</h4><br>
    <input type="text" id="btw" name="btw" class="form-veld" value="'.kiesOptie('bedrijfsbtw').'"><br>
    <h4>KVK-Nummer:</h4><br>
    <input type="text" id="kvk" name="kvk" class="form-veld" value="'.kiesOptie('bedrijfskvk').'"><br>
    <h4>IBAN:</h4><br>
    <input type="text" id="iban" name="iban" class="form-veld" value="'.kiesOptie('bedrijfsiban').'"><br>
    <h4>E-mailadres:</h4><br>
    <input type="text" id="email" name="email" class="form-veld" value="'.kiesOptie('bedrijfsemail').'"><br>
    <input type="submit" class="form-button" name="opslaan-bedrijf" value="Opslaan">
    </form>
    ';
    echo '</div>';
}
?>