<?php
$submenu = 'admin';
$target_dir = "afbeeldingen/upload";
$target_file = $target_dir."/factuurlogo.png";
$uploadOk = 1;
$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));
if(isset($_POST["uploadavatar"])) {
    if (!empty($_FILES["fileToUpload"]["tmp_name"])) {
        $check = getimagesize($_FILES["fileToUpload"]["tmp_name"]); 
        if($check["mime"] == 'image/png') {
            $uploadOk = 1;
        } else {
            melding('warning','Bestand niet geldig','Alleen PNG-bestanden toegestaan.');
            $uploadOk = 0;
        }
        if ($uploadOk == 0) {
            melding('error','Onbekende fout','Er is iets mis gegaan bij het uploaden.');
        } else {
                unlink ("afbeeldingen/upload/factuurlogo.png");
            if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $target_file)) {
                melding('notice','Aangepast','Nieuwe logo geupload.');
            } else {
                melding('error','Onbekende fout','Er ging iets mis met het updaten van het bestand.');
            }
        }
    } else {
        melding('warning','Kies afbeelding','Je hebt geen bestand gekozen.');
    }
}
if (basename($_SERVER['PHP_SELF']) === 'instellingen-factuur.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['opslaan'])) {
        updateOptie('template_factuur', $_POST['template_factuur']);
        updateOptie('template_herinnering', $_POST['template_herinnering']);
        updateOptie('template_aanmaning', $_POST['template_aanmaning']);
        updateOptie('template_offerte', $_POST['template_offerte']);
        updateOptie('template_updateof', $_POST['template_updateof']);
        updateOptie('template_creditfactuur', $_POST['template_creditfactuur']);

        updateOptie('offerte_geldigheid', $_POST['offerte_geldigheid']);
        updateOptie('bedrijfsoverigeinfo', $_POST['extrainfo']);
        updateOptie('text_onder_factuur', $_POST['betaalconditie']);
        updateOptie('text_onder_offerte', $_POST['offerteconditie']);
        updateOptie('betaaltermijn', $_POST['betaaltermijn']);
        updateOptie('aanmaning', $_POST['aanmaning']);
        melding('notice','Opgeslagen','Instellingen opgeslagen.');
    }
    echo '<div class="page_top"><h1>Factuur/Offerte Instellingen</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame" align="center">
    <img style="width: 100%; height: auto; max-width: 250px; margin-bottom: 25px;" src="afbeeldingen/upload/factuurlogo.png"><br>
    <h3>Logo Aanpassen</h3><br>
    <form action="" method="post" enctype="multipart/form-data">
        <label for="fileToUpload" class="form-button-2">Kies Logo</label>
        <input type="submit" value="Uploaden" name="uploadavatar" class="form-button">
		<input type="file" name="fileToUpload" id="fileToUpload" hidden/>
	</form><br>
    <h3>Factuur Instellingen</h3><br>
    <form method="post" autocomplete="off">
        <h4>Extra informatie onder de standaard bedrijfsinformatie. bijvoorbeeld: Paypal of andere informatie.</h4><br>
            <input type="text" maxlength="250" id="extrainfo" name="extrainfo" class="form-veld" value="'.kiesOptie('bedrijfsoverigeinfo').'"><br>
        <h4>Betaalinformatie onder op de factuur</h4><br>
            <input type="text" maxlength="250" id="betaalconditie" name="betaalconditie" class="form-veld" value="'.kiesOptie('text_onder_factuur').'"><br>
            <h4>Template voor Factuur:</h4><br>
        <select id="template_factuur" name="template_factuur" class="form-veld">';
        $templates = alleTemplates('factuur');
            if ($templates) {
                foreach ($templates as $template) { 
                    echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_factuur')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
                }
            }
            echo '</select><br>
            <h4>Template voor Creditfactuur:</h4><br>
            <select id="template_creditfactuur" name="template_creditfactuur" class="form-veld">';
            $templates = alleTemplates('factuur');
            if ($templates) {
                foreach ($templates as $template) { 
                    echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_creditfactuur')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
                }
            }
            echo '</select><br>
        <h4>Betaaltermijn in dagen.</h4><br>
            <input type="text" maxlength="2" id="betaaltermijn" name="betaaltermijn" class="form-veld" value="'.kiesOptie('betaaltermijn').'"><br>
            <h4>Template voor Herinnering:</h4><br>
            <select id="template_herinnering" name="template_herinnering" class="form-veld">';
            $templates = alleTemplates('factuur');
            if ($templates) {
                foreach ($templates as $template) { 
                    echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_herinnering')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
                }
            }
            echo '</select><br>
        <h4>Aanmaning na aantal dagen</h4><br>
            <input type="text" maxlength="2" id="aanmaning" name="aanmaning" class="form-veld" value="'.kiesOptie('aanmaning').'"><br>
            <h4>Template voor Aanmaning:</h4><br>
            <select id="template_aanmaning" name="template_aanmaning" class="form-veld">';
            $templates = alleTemplates('factuur');
            if ($templates) {
                foreach ($templates as $template) { 
                    echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_aanmaning')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
                }
            }
            echo '</select><br>
    <h3>Offerte Instellingen</h3><br>
        <h4>Extra informatie onder op de offerte</h4><br>
            <input type="text" maxlength="250" id="offerteconditie" name="offerteconditie" class="form-veld" value="'.kiesOptie('text_onder_offerte').'"><br>
        <h4>Geldigheid Offerte (in dagen)</h4><br>
            <input type="text" maxlength="2" id="offerte_geldigheid" name="offerte_geldigheid" class="form-veld" value="'.kiesOptie('offerte_geldigheid').'"><br>
            <h4>Template voor Offerte:</h4><br>
            <select id="template_offerte" name="template_offerte" class="form-veld">';
            $templates = alleTemplates('offerte');
            if ($templates) {
                foreach ($templates as $template) { 
                    echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_offerte')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
                }
            }
            echo '</select><br>
            <h4>Mail naar de beheerder na het accorderen of afwijzen van een offerte:</h4><br>
            <select id="template_updateof" name="template_updateof" class="form-veld">';
            $templates = alleTemplates('offerte');
            if ($templates) {
                foreach ($templates as $template) { 
                    echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_updateof')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
                }
            }
            echo '</select><br>
            <input type="submit" class="form-button" name="opslaan" value="Opslaan">
    </form>
    ';
    echo '</div>';
}
?>