<?php
$submenu = 'admin';
if (basename($_SERVER['PHP_SELF']) === 'instellingen-mail.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['opslaan'])) {
        updateOptie('smtp_namefrom', $_POST['afzender']);
        updateOptie('smtp_email', $_POST['email']);
        updateOptie('smtp_host', $_POST['server']);
        updateOptie('smtp_username', $_POST['username']);
        if (!empty($_POST['password'])){
            $pass = base64_encode($_POST['password']);
            updateOptie('smtp_password', $pass);
        }
        updateOptie('smtp_auth', $_POST['auth']);
        updateOptie('smtp_port', $_POST['poort']);
        $resultaat = testSMTPConnection();
        if ($resultaat === '1') {
            updateOptie('smtp_ok', '1');
            melding('notice','Opgeslagen','Instellingen opgeslagen en getest: SUCCES.');
        } else {
            updateOptie('smtp_ok', '0');
            melding('warning','Opgeslagen','Instellingen opgeslagen en getest: MISLUKT');
        }
    }
    echo '<div class="page_top"><h1>E-mail Instellingen</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame" align="center">
    <form method="post" autocomplete="off">
    <h3>Afzender</h3><br>
    <h4>Naam Afzender:</h4><br>
    <input type="text" id="afzender" name="afzender" class="form-veld" value="'.kiesOptie('smtp_namefrom').'"><br>
    <h4>E-mailadres Afzender:</h4><br>
    Gebruik het mailadres dat is gekoppeld aan onderstaande instellingen.<br>
    <input type="text" id="email" name="email" class="form-veld" value="'.kiesOptie('smtp_email').'"><br>
    <h3>Server Instellingen (SMTP)</h3><br>
    <h4>Serveradres:</h4><br>
    <input type="text" id="server" name="server" class="form-veld" value="'.kiesOptie('smtp_host').'"><br>
    <h4>Gebruikersnaam:</h4><br>
    <input type="text" id="username" name="username" class="form-veld" value="'.kiesOptie('smtp_username').'"><br>
    <h4>Wachtwoord:</h4><br>
    <input type="password" id="password" name="password" class="form-veld"><br>
    <h4>Beveiligingstype:</h4><br>
    <label>
        <input type="radio" name="auth" value="tls" '; if(kiesOptie('smtp_auth') == 'tls'){echo'checked';} echo'>
        TLS
    </label>
    <label>
        <input type="radio" name="auth" value="ssl" '; if(kiesOptie('smtp_auth') == 'ssl'){echo'checked';} echo'>
        SSL
    </label>
    <br><br>
    <h4>Poort:</h4><br>
    <input type="text" id="poort" name="poort" class="form-veld" value="'.kiesOptie('smtp_port').'"><br>
    <input type="submit" class="form-button" name="opslaan" value="Opslaan">
    </form>
    ';
    echo '</div>';
}
?>