<?php
$submenu = 'admin';
if (basename($_SERVER['PHP_SELF']) === 'instellingen-nummering.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['opslaan-nummers'])) {
        updateOptie('factuur_laatste', $_POST['factuurnummer']);
        updateOptie('factuur_voorvoegsel', $_POST['factuurvoor']);
        updateOptie('offerte_laatste', $_POST['offertenummer']);
        updateOptie('offerte_voorvoegsel', $_POST['offertevoor']);
        updateOptie('klant_laatste', $_POST['klantnummer']);
        updateOptie('klant_voorvoegsel', $_POST['klantvoor']);
        melding('notice','Opgeslagen','Instellingen opgeslagen.');
    }
    echo '<div class="page_top"><h1>Nummering</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame" align="center">
    <h3>Nummering</h3><br>
    Omdat een oplopende nummering verplicht is pas alleen het voorvoegsel of jaartal aan.<br><br>
    <form method="post" autocomplete="off">
        <h4>Eerst volgende klantnummer:</h4><br>
        <input type="text" maxlength="10" id="klantvoor" name="klantvoor" class="form-veld" style="display: inline-block; width: 80px;" value="'.kiesOptie('klant_voorvoegsel').'">&nbsp;<input type="number" maxlength="20" id="klantnummer" name="klantnummer" class="form-veld" style="display: inline-block; width: 150px;" value="'.kiesOptie('klant_laatste').'"><br>
        <h4>Eerst volgende factuurnummer:</h4><br>
        <input type="text" maxlength="10" id="factuurvoor" name="factuurvoor" class="form-veld" style="display: inline-block; width: 80px;" value="'.kiesOptie('factuur_voorvoegsel').'">&nbsp;<input type="number" maxlength="20" id="factuurnummer" name="factuurnummer" class="form-veld" style="display: inline-block; width: 150px;" value="'.kiesOptie('factuur_laatste').'"><br>
        <h4>Eerst volgende offertenummer:</h4><br>
        <input type="text" maxlength="10" id="offertevoor" name="offertevoor" class="form-veld" style="display: inline-block; width: 80px;" value="'.kiesOptie('offerte_voorvoegsel').'">&nbsp;<input type="number" maxlength="20" id="offertenummer" name="offertenummer" class="form-veld" style="display: inline-block; width: 150px;" value="'.kiesOptie('offerte_laatste').'"><br>
        <input type="submit" class="form-button" name="opslaan-nummers" value="Opslaan">
    </form>
    ';
    echo '</div>';
}
?>