<?php
$submenu = 'admin';
if (basename($_SERVER['PHP_SELF']) === 'instellingen-reparaties.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    if (isset($_POST['opslaan'])) {
        updateOptie('template_ingenomen', $_POST['template_ingenomen']);
        updateOptie('template_afgerond', $_POST['template_afgerond']);
        if (kiesOptie('sms_ingeschakeld') == 1) {
            updateOptie('template_smsrep', $_POST['template_smsrep']);
        }
        melding('notice','Opgeslagen','Instellingen opgeslagen.');
    }
    echo '<div class="page_top"><h1>Reparatie Instellingen</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame" align="center">
    <form method="post" autocomplete="off">
    
    <h3>Templates</h3><br>
    <h4>Wanneer een reparatie in het systeem wordt ingevoerd stuur de volgende mail naar de klant(innamebewijs):</h4><br>
        <select id="template_ingenomen" name="template_ingenomen" class="form-veld">';
        $templates = alleTemplates('reparatie');
        if ($templates) {
            foreach ($templates as $template) { 
                echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_ingenomen')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
            }
        }
        echo '</select><br>
        <h4>Als de reparatie is afgerond stuur de volgende mail naar de klant:</h4><br>
        <select id="template_afgerond" name="template_afgerond" class="form-veld">';
        $templates = alleTemplates('reparatie');
        if ($templates) {
            foreach ($templates as $template) { 
                echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_afgerond')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
            }
        }
        echo '</select><br>
        ';
        if (kiesOptie('sms_ingeschakeld') == 1) {
            echo '
            <h4>Als de reparatie is afgerond stuur de volgende SMS naar de klant:</h4><br>
            <select id="template_smsrep" name="template_smsrep" class="form-veld">';
            $templates = alleTemplates('sms');
            if ($templates) {
                foreach ($templates as $template) { 
                    echo'<option value="'.$template['id'].'" '; if($template['id'] == kiesOptie('template_smsrep')) {echo 'selected';} echo'>'.$template['naam'].'</option>';
                }
            }
            echo '</select><br>';
        }
    echo '
        <input type="submit" class="form-button" name="opslaan" value="Opslaan">
    </form>
    ';
    echo '</div>';
}
?>