<?php
require ('includes/google_api.php');
$login_url = 'https://accounts.google.com/o/oauth2/auth?scope=' . urlencode('https://www.googleapis.com/auth/calendar') . '&redirect_uri=' . kiesOptie('site-url').'/main.php?p=profiel&response_type=code&client_id=' . gebruikerOptie('clientid') . '&access_type=offline&prompt=consent';
if(isset($_GET['code'])) {
    try {
        $capi = new GoogleCalendarApi();
        $data = $capi->GetAccessToken($_GET['code']);
        $tokentie = $data['refresh_token'];
        $sql = "UPDATE gebruikers SET token='$tokentie' WHERE id='$user_id'";
        if ($connect->query($sql) === TRUE) {
            melding('notice','Ingelogd','Ingelogd bij Google en token opgeslagen.');
        } else {
            melding('error','Mislukt','Inloggen bij Google mislukt.');
        }
    }
    catch(Exception $e) {
        melding('error','Mislukt','Geen token ontvangen van Google.');
    }
}
$submenu = 'persoonlijk';
$target_dir = "data/avatars";
$target_file = $target_dir."/".$user_id.".jpg";
$uploadOk = 1;
$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));
if(isset($_POST["uploadavatar"])) {
    if (!empty($_FILES["fileToUpload"]["tmp_name"])) {
        $check = getimagesize($_FILES["fileToUpload"]["tmp_name"]); 
        if($check["mime"] == 'image/jpeg') {
            $uploadOk = 1;
        } else {
            melding('warning','Bestand niet geldig','Alleen JPEG-bestanden toegestaan.');
            $uploadOk = 0;
        }
        if ($uploadOk == 0) {
            melding('error','Onbekende fout','Er is iets mis gegaan bij het uploaden.');
        } else {
                unlink ("afbeeldingen/upload/factuurlogo.png");
            if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $target_file)) {
                echo '<div class="noticewrap"><p class="notice">Logo Aangepast.<br><br><button class="form-button-2" style="font-size:12px; border:0;" type="button" name="niks" onclick="closeMelding2()">Sluiten</button></p></div>';
            } else {
                melding('error','Onbekende fout','Er ging iets mis met het updaten van het bestand.');
            }
        }
    } else {
        melding('warning','Kies afbeelding','Je hebt geen bestand gekozen.');
    }
}
if (isset($_POST['changecolor'])){
    $theme=$_POST['color'];
    optieUpdate('theme', $theme);
    echo '<script type="text/javascript">';
    echo 'window.location.href="main.php?p=profiel";';
    echo '</script>';
}
if (isset($_POST['savebuttons'])){
    optieUpdate('qb1', $_POST['qb1']);
    optieUpdate('qb2', $_POST['qb2']);
    optieUpdate('qb3', $_POST['qb3']);
    optieUpdate('qb4', $_POST['qb4']);
    optieUpdate('qb5', $_POST['qb5']);
    melding('notice','Opgeslagen','Instellingen opgeslagen.');
}
if (isset($_POST['opslaan'])) {
    if (!empty($_POST['email'])) {
        gebruikerUpdate($_POST['naam'],$_POST['email']);
        melding('notice','Opgeslagen','Instellingen opgeslagen.');
        if (gebruikerOptie('kenteken') != $_POST['kenteken']) {
            $resultaat = merkType($_POST['kenteken']);
            if (!empty($resultaat['merk'])){$merk = $resultaat['merk'];} else {$merk='onbekend';}
            if (!empty($resultaat['type'])){$type = $resultaat['type'];} else {$type='onbekend';}
            if (!empty($resultaat['brandstof'])){$brandstof = $resultaat['brandstof'];} else {$brandstof='onbekend';}
            if (!empty($resultaat['verbruik'])){$verbruik = $resultaat['verbruik'];} else {$verbruik='6';}
            optieUpdate('kenteken', $_POST['kenteken']);
            optieUpdate('auto_merk', $merk);
            optieUpdate('auto_type', $type);
            optieUpdate('auto_brandstof', $brandstof);
            optieUpdate('auto_verbruik', $verbruik);
        }
    } else {
        melding('warning','Ongeldig','E-mailadres is leeg of ongeldig.');
    }
}
if (isset($_POST['google_agenda'])) {
    if (!empty($_POST['agendaan'])) {
        $agendaan = 1;
        optieUpdate('agendaan', $agendaan);
        optieUpdate('clientid', $_POST['clientid']);
        optieUpdate('clientsecret', $_POST['clientsecret']);
        echo '<div class="verwijder-wrap"><div class="verwijder">
        Instellingen opgeslagen! Klik op de Inloggen knop om in te loggen bij Google Agenda.
        <br><br>
            <a href="'.$login_url.'"><button class="form-button" style="font-size:12px;" type="submit" name="inloggen">Inloggen</button></a>
            <form><button class="form-button-2" style="font-size:12px;" type="submit" name="annuleren">Annuleren</button></form>
        </div></div>';
    } else {
        $agendaan = 0;
        optieUpdate('agendaan', $agendaan);
        optieUpdate('clientid', $_POST['clientid']);
        optieUpdate('clientsecret', $_POST['clientsecret']);
        melding('notice','Opgeslagen','Instellingen opgeslagen.');
    }
}
if (isset($_POST['wijzigww'])) {
    if (($_POST['ww1'] == $_POST['ww2']) && (!empty($_POST['ww1']))) {
        updateWachtwoord(md5($_POST['ww2']));
        melding('notice','Opgeslagen','Nieuw wachtwoord opgeslagen.');
    } else {
        melding('warning','Fout','Wachtwoorden komen niet overeen.');
    }
} 
if (isset($_POST['verwijderAvatar'])) {
    unlink('data/avatars/'.$user_id.'.jpg');
} 
if (basename($_SERVER['PHP_SELF']) === 'profiel.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else {
    if (file_exists('data/avatars/'.$user_id.'.jpg')) {
		$avatarfile = 'data/avatars/'.$user_id.'.jpg';
        $button= '1';
	} else {
		$avatarfile = 'data/avatars/default.jpg';
        $button= '0';
	}
    echo '<div class="page_top"><h1>Profiel</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">
    <div class="centerdiv">
    <img class="avatar" src="'.$avatarfile.'"><br>
    <form action="" method="post" enctype="multipart/form-data" id="uploadForm">';
    if ($button == '0'){ echo'
        <label for="fileToUpload" class="form-button-2">Kies Avatar</label>
        <input type="submit" value="Uploaden" name="uploadavatar" class="form-button">';
    }
        if ($button == '1'){ echo'
        <input type="submit" value="Verwijderen" name="verwijderAvatar" class="form-button-2">
        ';
    }
    echo '
		<input type="file" name="fileToUpload" id="fileToUpload" hidden/>
	</form>
    <h3>Persoonlijke Gegevens</h3>
    <form method="post" autocomplete="off">
        <div>
            <h4>Weergavenaam:</h4><br>
            <input type="text" id="naam" name="naam" class="form-veld" value="'.gebruikerOptie('weergavenaam').'"><br>
            <h4>E-mailadres:</h4><br>
            <input type="email" id="email" name="email" class="form-veld" value="'.gebruikerOptie('email').'"><br>
            ';
            if(gebruikerOptie('optie_ritten')==1){
                echo '
                <h4>Kenteken:</h4><br>
                Kenteken zonder streepjes, Faqturo voegt streepjes toe indien nodig.<br>
                <input type="text" id="kenteken" name="kenteken" maxlength="6" class="form-veld" value="'.gebruikerOptie('kenteken').'"><br>
                ';
            } else {
                echo '<input type="hidden" id="kenteken" name="kenteken" value="'.gebruikerOptie('kenteken').'">';
            }
            echo '
            <input type="submit" class="form-button" name="opslaan" value="Opslaan">
        </div>
    </form>
    <h3>Wachtwoord Wijzigen</h3>
    <form method="post" autocomplete="off">
        <div>
            <h4>Nieuw Wachtwoord:</h4><br>
            minimaal 8 tekens, één hoofdletter, <br>één kleine letter en een cijfer of speciaal teken.<br>
            <input type="password" id="ww1" name="ww1" pattern="(?=^.{8,}$)((?=.*\d)|(?=.*\W+))(?![.\n])(?=.*[A-Z])(?=.*[a-z]).*$" class="form-veld"><br>
            <h4>Herhaal Wachtwoord:</h4><br>
            <input type="password" id="ww2" name="ww2" pattern="(?=^.{8,}$)((?=.*\d)|(?=.*\W+))(?![.\n])(?=.*[A-Z])(?=.*[a-z]).*$" class="form-veld"><br>
            <input type="submit" class="form-button" name="wijzigww" value="Wijzigen">
        </div>
    </form>
    <h3>Google Kalender Koppeling</h3>
    <form action="" method="post">
        Benodigd voor de Google API (redirect URL): <br>'.kiesOptie('site-url').'/main.php?p=profiel<br><br>
        <h4>Agenda ingeschakeld</h4><br>
        <input type="checkbox" class="toggle" style="display:none;" id="agendaan" name="agendaan" value="1" ';if(gebruikerOptie('agendaan') == '1'){echo 'checked';} echo'/>
        <label for="agendaan" class="label"></label><br><br>
            <h4>Client ID</h4><br>
        <input type="text" name="clientid" id="clientid" class="form-veld" placeholder="ClientId" value="'.gebruikerOptie('clientid').'"><br>
        <h4>Client Secret</h4><br>
        <input type="text" name="clientsecret" id="clientsecret" class="form-veld" placeholder="ClientSecret" value="'.gebruikerOptie('clientsecret').'"><br>
        <br><input type="submit" class="form-button" name="google_agenda" value="Opslaan" />
    </form>
    <h3>Thema</h3><br>
    <div style="display: inline-block;">
	<form action="" method="post" autocomplete="off" style="display: inline-block; width:max-content;">
		<input type="hidden" name="color" value="">
		<button type="submit" name="changecolor" value="Submit" style="color: #efefef; float: left; margin-right: 10px; background-color: #112D4E; border-radius: 10px; border: 0px; cursor: pointer; padding: 10px;">Standaard</button>
	</form>
	<form action="" method="post" autocomplete="off" style="display: inline-block; width:max-content;">
		<input type="hidden" name="color" value="-fresh">
		<button type="submit" name="changecolor" value="Submit" style="color: #efefef; float: left; margin-right: 10px; background-color: #0d718a; border-radius: 10px; border: 0px; cursor: pointer; padding: 10px;">Fris</button>
	</form>
	<form action="" method="post" autocomplete="off" style="display: inline-block; width:max-content;">
		<input type="hidden" name="color" value="-greytone">
		<button type="submit" name="changecolor" value="Submit" style="color: #efefef; float: left; margin-right: 10px; background-color: #303030; border-radius: 10px; border: 0px; cursor: pointer; padding: 10px;">Grijstinten</button>
	</form>
	<form action="" method="post" autocomplete="off" style="display: inline-block; width:max-content;">
		<input type="hidden" name="color" value="-natural">
		<button type="submit" name="changecolor" value="Submit" style="color: #efefef; float: left; margin-right: 10px; background-color: #495c05; border-radius: 10px; border: 0px; cursor: pointer; padding: 10px;">Natuur</button>
	</form>
    <form action="" method="post" autocomplete="off" style="display: inline-block; width:max-content;">
		<input type="hidden" name="color" value="-sunny">
		<button type="submit" name="changecolor" value="Submit" style="color: #efefef; float: left; margin-right: 10px; background-color: #b9621b; border-radius: 10px; border: 0px; cursor: pointer; padding: 10px;">Zonnig</button>
	</form>
    <form action="" method="post" autocomplete="off" style="display: inline-block; width:max-content;">
		<input type="hidden" name="color" value="-any">
		<button type="submit" name="changecolor" value="Submit" style="color: #efefef; float: left; margin-right: 10px; background-color: #655ca5; border-radius: 10px; border: 0px; cursor: pointer; padding: 10px;">AnY</button>
	</form>
    <form action="" method="post" autocomplete="off" style="display: inline-block; width:max-content;">
		<input type="hidden" name="color" value="-tune">
		<button type="submit" name="changecolor" value="Submit" style="color: #efefef; float: left; margin-right: 10px; background-color: #800406; border-radius: 10px; border: 0px; cursor: pointer; padding: 10px;">Tune</button>
	</form>
    </div><br>
    <h3>Snelknoppen (Mobiele versie)</h3><br>
    <form action="" method="post" autocomplete="off">';
    $qb1 = gebruikerOptie('qb1');
    $qb2 = gebruikerOptie('qb2');
    $qb3 = gebruikerOptie('qb3');
    $qb4 = gebruikerOptie('qb4');
    $qb5 = gebruikerOptie('qb5');
    echo '<h4>Snelknop 1:</h4><br>
        <select class="form-veld" name="qb1">
            <option value="" ';if ($qb1  == ''){ echo 'selected';} echo '>Geen/Uitgeschakeld</option>';
            if (gebruikerOptie('optie_planbaar') == '1') {
                echo '<option value="alle-tijdsloten" ';if ($qb1  == 'alle-tijdsloten'){ echo 'selected';} echo '>Beschikbaarheid</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="alle-afspraken" ';if ($qb1  == 'alle-afspraken'){ echo 'selected';} echo '>Alle Afspraken</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="nieuwe-afspraak" ';if ($qb1  == 'nieuwe-afspraak'){ echo 'selected';} echo '>Nieuwe Afspraak</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-crediteuren" ';if ($qb1  == 'alle-crediteuren'){ echo 'selected';} echo '>Alle Crediteuren</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-crediteur" ';if ($qb1  == 'nieuwe-crediteur'){ echo 'selected';} echo '>Nieuwe Crediteur</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-facturen" ';if ($qb1  == 'alle-facturen'){ echo 'selected';} echo '>Alle Facturen</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-factuur" ';if ($qb1  == 'nieuwe-factuur'){ echo 'selected';} echo '>Nieuwe Factuur</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-inkoopfacturen" ';if ($qb1  == 'alle-inkoopfacturen'){ echo 'selected';} echo '>Alle Inkoopfacturen</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-inkoopfactuur" ';if ($qb1  == 'nieuwe-inkoopfactuur'){ echo 'selected';} echo '>Nieuwe Inkoopfactuur</option>';
            }
            echo '<option value="alle-klanten" ';if ($qb1  == 'alle-klanten'){ echo 'selected';} echo '>Alle Klanten</option>';
            echo '<option value="nieuwe-klant" ';if ($qb1  == 'nieuwe-klant'){ echo 'selected';} echo '>Nieuwe Klant</option>';
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-offertes" ';if ($qb1  == 'alle-offertes'){ echo 'selected';} echo '>Alle Offertes</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-offerte" ';if ($qb1  == 'nieuwe-offerte'){ echo 'selected';} echo '>Nieuwe Offerte</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="alle-reparaties" ';if ($qb1  == 'alle-reparaties'){ echo 'selected';} echo '>Alle Reparaties</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="nieuwe-reparatie" ';if ($qb1  == 'nieuwe-reparatie'){ echo 'selected';} echo '>Nieuwe Reparatie</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="alle-ritten" ';if ($qb1  == 'alle-ritten'){ echo 'selected';} echo '>Alle Ritten</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="nieuwe-rit" ';if ($qb1  == 'nieuwe-rit'){ echo 'selected';} echo '>Nieuwe Rit</option>';
            }
            echo '<option value="todo" ';if ($qb1  == 'todo'){ echo 'selected';} echo '>To-Do</option>';
            echo '<option value="dashboard" ';if ($qb1  == 'dashboard'){ echo 'selected';} echo '>Dashboard</option>';
        echo '    
        </select><br>
        <h4>Snelknop 2:</h4><br>
        <select class="form-veld" name="qb2">
            <option value="" ';if ($qb2  == ''){ echo 'selected';} echo '>Geen/Uitgeschakeld</option>';
            if (gebruikerOptie('optie_planbaar') == '1') {
                echo '<option value="alle-tijdsloten" ';if ($qb2  == 'alle-tijdsloten'){ echo 'selected';} echo '>Beschikbaarheid</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="alle-afspraken" ';if ($qb2  == 'alle-afspraken'){ echo 'selected';} echo '>Alle Afspraken</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="nieuwe-afspraak" ';if ($qb2  == 'nieuwe-afspraak'){ echo 'selected';} echo '>Nieuwe Afspraak</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-crediteuren" ';if ($qb2  == 'alle-crediteuren'){ echo 'selected';} echo '>Alle Crediteuren</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-crediteur" ';if ($qb2  == 'nieuwe-crediteur'){ echo 'selected';} echo '>Nieuwe Crediteur</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-facturen" ';if ($qb2  == 'alle-facturen'){ echo 'selected';} echo '>Alle Facturen</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-factuur" ';if ($qb2  == 'nieuwe-factuur'){ echo 'selected';} echo '>Nieuwe Factuur</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-inkoopfacturen" ';if ($qb2  == 'alle-inkoopfacturen'){ echo 'selected';} echo '>Alle Inkoopfacturen</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-inkoopfactuur" ';if ($qb2  == 'nieuwe-inkoopfactuur'){ echo 'selected';} echo '>Nieuwe Inkoopfactuur</option>';
            }
            echo '<option value="alle-klanten" ';if ($qb2  == 'alle-klanten'){ echo 'selected';} echo '>Alle Klanten</option>';
            echo '<option value="nieuwe-klant" ';if ($qb2  == 'nieuwe-klant'){ echo 'selected';} echo '>Nieuwe Klant</option>';
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-offertes" ';if ($qb2  == 'alle-offertes'){ echo 'selected';} echo '>Alle Offertes</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-offerte" ';if ($qb2  == 'nieuwe-offerte'){ echo 'selected';} echo '>Nieuwe Offerte</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="alle-reparaties" ';if ($qb2  == 'alle-reparaties'){ echo 'selected';} echo '>Alle Reparaties</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="nieuwe-reparatie" ';if ($qb2  == 'nieuwe-reparatie'){ echo 'selected';} echo '>Nieuwe Reparatie</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="alle-ritten" ';if ($qb2  == 'alle-ritten'){ echo 'selected';} echo '>Alle Ritten</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="nieuwe-rit" ';if ($qb2  == 'nieuwe-rit'){ echo 'selected';} echo '>Nieuwe Rit</option>';
            }
            echo '<option value="todo" ';if ($qb2 == 'todo'){ echo 'selected';} echo '>To-Do</option>';
            echo '<option value="dashboard" ';if ($qb2  == 'dashboard'){ echo 'selected';} echo '>Dashboard</option>';
        echo '    
        </select><br>
        <h4>Snelknop 3:</h4><br>
        <select class="form-veld" name="qb3">
            <option value="" ';if ($qb3  == ''){ echo 'selected';} echo '>Geen/Uitgeschakeld</option>';
            if (gebruikerOptie('optie_planbaar') == '1') {
                echo '<option value="alle-tijdsloten" ';if ($qb3  == 'alle-tijdsloten'){ echo 'selected';} echo '>Beschikbaarheid</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="alle-afspraken" ';if ($qb3  == 'alle-afspraken'){ echo 'selected';} echo '>Alle Afspraken</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="nieuwe-afspraak" ';if ($qb3  == 'nieuwe-afspraak'){ echo 'selected';} echo '>Nieuwe Afspraak</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-crediteuren" ';if ($qb3  == 'alle-crediteuren'){ echo 'selected';} echo '>Alle Crediteuren</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-crediteur" ';if ($qb3  == 'nieuwe-crediteur'){ echo 'selected';} echo '>Nieuwe Crediteur</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-facturen" ';if ($qb3  == 'alle-facturen'){ echo 'selected';} echo '>Alle Facturen</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-factuur" ';if ($qb3  == 'nieuwe-factuur'){ echo 'selected';} echo '>Nieuwe Factuur</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-inkoopfacturen" ';if ($qb3  == 'alle-inkoopfacturen'){ echo 'selected';} echo '>Alle Inkoopfacturen</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-inkoopfactuur" ';if ($qb3  == 'nieuwe-inkoopfactuur'){ echo 'selected';} echo '>Nieuwe Inkoopfactuur</option>';
            }
            echo '<option value="alle-klanten" ';if ($qb3  == 'alle-klanten'){ echo 'selected';} echo '>Alle Klanten</option>';
            echo '<option value="nieuwe-klant" ';if ($qb3  == 'nieuwe-klant'){ echo 'selected';} echo '>Nieuwe Klant</option>';
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-offertes" ';if ($qb3  == 'alle-offertes'){ echo 'selected';} echo '>Alle Offertes</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-offerte" ';if ($qb3  == 'nieuwe-offerte'){ echo 'selected';} echo '>Nieuwe Offerte</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="alle-reparaties" ';if ($qb3  == 'alle-reparaties'){ echo 'selected';} echo '>Alle Reparaties</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="nieuwe-reparatie" ';if ($qb3  == 'nieuwe-reparatie'){ echo 'selected';} echo '>Nieuwe Reparatie</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="alle-ritten" ';if ($qb3  == 'alle-ritten'){ echo 'selected';} echo '>Alle Ritten</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="nieuwe-rit" ';if ($qb3  == 'nieuwe-rit'){ echo 'selected';} echo '>Nieuwe Rit</option>';
            }
            echo '<option value="todo" ';if ($qb3  == 'todo'){ echo 'selected';} echo '>To-Do</option>';
            echo '<option value="dashboard" ';if ($qb3  == 'dashboard'){ echo 'selected';} echo '>Dashboard</option>';
        echo '    
        </select><br>
        <h4>Snelknop 4:</h4><br>
        <select class="form-veld" name="qb4">
            <option value="" ';if ($qb4  == ''){ echo 'selected';} echo '>Geen/Uitgeschakeld</option>';
            if (gebruikerOptie('optie_planbaar') == '1') {
                echo '<option value="alle-tijdsloten" ';if ($qb4  == 'alle-tijdsloten'){ echo 'selected';} echo '>Beschikbaarheid</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="alle-afspraken" ';if ($qb4  == 'alle-afspraken'){ echo 'selected';} echo '>Alle Afspraken</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="nieuwe-afspraak" ';if ($qb4  == 'nieuwe-afspraak'){ echo 'selected';} echo '>Nieuwe Afspraak</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-crediteuren" ';if ($qb4  == 'alle-crediteuren'){ echo 'selected';} echo '>Alle Crediteuren</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-crediteur" ';if ($qb4  == 'nieuwe-crediteur'){ echo 'selected';} echo '>Nieuwe Crediteur</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-facturen" ';if ($qb4  == 'alle-facturen'){ echo 'selected';} echo '>Alle Facturen</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-factuur" ';if ($qb4  == 'nieuwe-factuur'){ echo 'selected';} echo '>Nieuwe Factuur</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-inkoopfacturen" ';if ($qb4  == 'alle-inkoopfacturen'){ echo 'selected';} echo '>Alle Inkoopfacturen</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-inkoopfactuur" ';if ($qb4  == 'nieuwe-inkoopfactuur'){ echo 'selected';} echo '>Nieuwe Inkoopfactuur</option>';
            }
            echo '<option value="alle-klanten" ';if ($qb4  == 'alle-klanten'){ echo 'selected';} echo '>Alle Klanten</option>';
            echo '<option value="nieuwe-klant" ';if ($qb4  == 'nieuwe-klant'){ echo 'selected';} echo '>Nieuwe Klant</option>';
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-offertes" ';if ($qb4  == 'alle-offertes'){ echo 'selected';} echo '>Alle Offertes</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-offerte" ';if ($qb4  == 'nieuwe-offerte'){ echo 'selected';} echo '>Nieuwe Offerte</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="alle-reparaties" ';if ($qb4  == 'alle-reparaties'){ echo 'selected';} echo '>Alle Reparaties</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="nieuwe-reparatie" ';if ($qb4  == 'nieuwe-reparatie'){ echo 'selected';} echo '>Nieuwe Reparatie</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="alle-ritten" ';if ($qb4  == 'alle-ritten'){ echo 'selected';} echo '>Alle Ritten</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="nieuwe-rit" ';if ($qb4  == 'nieuwe-rit'){ echo 'selected';} echo '>Nieuwe Rit</option>';
            }
            echo '<option value="todo" ';if ($qb4  == 'todo'){ echo 'selected';} echo '>To-Do</option>';
            echo '<option value="dashboard" ';if ($qb4  == 'dashboard'){ echo 'selected';} echo '>Dashboard</option>';
        echo '    
        </select><br>
        <h4>Snelknop 5:</h4><br>
        <select class="form-veld" name="qb5">
            <option value="" ';if ($qb5  == ''){ echo 'selected';} echo '>Geen/Uitgeschakeld</option>';
            if (gebruikerOptie('optie_planbaar') == '1') {
                echo '<option value="alle-tijdsloten" ';if ($qb5  == 'alle-tijdsloten'){ echo 'selected';} echo '>Beschikbaarheid</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="alle-afspraken" ';if ($qb5  == 'alle-afspraken'){ echo 'selected';} echo '>Alle Afspraken</option>';
            }
            if (gebruikerOptie('optie_plannen') == '1') {
                echo '<option value="nieuwe-afspraak" ';if ($qb5  == 'nieuwe-afspraak'){ echo 'selected';} echo '>Nieuwe Afspraak</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-crediteuren" ';if ($qb5  == 'alle-crediteuren'){ echo 'selected';} echo '>Alle Crediteuren</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-crediteur" ';if ($qb5  == 'nieuwe-crediteur'){ echo 'selected';} echo '>Nieuwe Crediteur</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-facturen" ';if ($qb5  == 'alle-facturen'){ echo 'selected';} echo '>Alle Facturen</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-factuur" ';if ($qb5  == 'nieuwe-factuur'){ echo 'selected';} echo '>Nieuwe Factuur</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="alle-inkoopfacturen" ';if ($qb5  == 'alle-inkoopfacturen'){ echo 'selected';} echo '>Alle Inkoopfacturen</option>';
            }
            if (gebruikerOptie('optie_crediteuren') == '1') {
                echo '<option value="nieuwe-inkoopfactuur" ';if ($qb5  == 'nieuwe-inkoopfactuur'){ echo 'selected';} echo '>Nieuwe Inkoopfactuur</option>';
            }
            echo '<option value="alle-klanten" ';if ($qb5  == 'alle-klanten'){ echo 'selected';} echo '>Alle Klanten</option>';
            echo '<option value="nieuwe-klant" ';if ($qb5  == 'nieuwe-klant'){ echo 'selected';} echo '>Nieuwe Klant</option>';
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="alle-offertes" ';if ($qb5  == 'alle-offertes'){ echo 'selected';} echo '>Alle Offertes</option>';
            }
            if (gebruikerOptie('optie_facturatie') == '1') {
                echo '<option value="nieuwe-offerte" ';if ($qb5  == 'nieuwe-offerte'){ echo 'selected';} echo '>Nieuwe Offerte</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="alle-reparaties" ';if ($qb5  == 'alle-reparaties'){ echo 'selected';} echo '>Alle Reparaties</option>';
            }
            if (gebruikerOptie('optie_reparatie') == '1') {
                echo '<option value="nieuwe-reparatie" ';if ($qb5  == 'nieuwe-reparatie'){ echo 'selected';} echo '>Nieuwe Reparatie</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="alle-ritten" ';if ($qb5  == 'alle-ritten'){ echo 'selected';} echo '>Alle Ritten</option>';
            }
            if (gebruikerOptie('optie_ritten') == '1') {
                echo '<option value="nieuwe-rit" ';if ($qb5  == 'nieuwe-rit'){ echo 'selected';} echo '>Nieuwe Rit</option>';
            }
            echo '<option value="todo" ';if ($qb5  == 'todo'){ echo 'selected';} echo '>To-Do</option>';
            echo '<option value="dashboard" ';if ($qb5  == 'dashboard'){ echo 'selected';} echo '>Dashboard</option>';
        echo '    
        </select>
        <br><input type="submit" class="form-button" name="savebuttons" value="Opslaan" />
    </form>
    <h3>Functies</h3>
    </div>
    <div align="center" width="100%">
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_bedrijfbeheer')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-building" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Bedrijfsresultaten bekijken
        </div>
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_facturatie')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-file-invoice" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Facturen&Offertes maken en versturen
        </div>
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_crediteuren')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-building-user" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Crediteurenbeheer en facturen inboeken
        </div>
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_plannen')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-calendar-days" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Afspraken plannen
        </div>
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_reparatie')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-screwdriver-wrench" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Reparatie beheer
        </div>
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_planbaar')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-calendar-plus" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Tijdsloten toevoegen en ingepland worden
        </div>
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_ritten')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-car-side" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Rittenregistratie
        </div>
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_tijdreg')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-clock" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Tijdregistratie
        </div>
        <div class="functie">
            <div class="functie-head" style="background-color:';if(gebruikerOptie('optie_categorieen')==1){echo'#1f4e11';}else{echo'#4e1111';}echo';"><i class="fa-solid fa-table-cells-large" style="font-size: 18px;"></i></div>&nbsp;&nbsp;Categorieën aanmaken voor (inkoop)facturen
        </div>
    </div>
    ';
    echo'</div>';
}
?>