<?php
$submenu = 'tijdreg';
if (basename($_SERVER['PHP_SELF']) === 'tijdstat.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('optie_tijdreg') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    echo '<div class="page_top"><h1>Uren Overzicht</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">';
    if (empty($_GET['maand'])) {
        $maand = date('m');
    } else {
        $maand = $_GET['maand'];
    }
    if (empty($_GET['jaar'])) {
        $jaar = date('Y');
    } else {
        $jaar = $_GET['jaar'];
    }
    $eersteDag = new DateTime("$jaar-$maand-01");
    $aantalDagen = $eersteDag->format('t');
    if (empty($_POST['startdatum'])) {
        $startdatum = ''.$jaar.'-'.$maand.'-01';
    } else {
        $startdatum = $_POST['startdatum'];
    }
    if (empty($_POST['einddatum'])) {
        $einddatum = ''.$jaar.'-'.$maand.'-'.$aantalDagen.'';
    } else {
        $einddatum = $_POST['einddatum'];
    }
    $jaarverder = $jaar + 1;
    $jaarterug = $jaar - 1;
    $vandatum_timestamp = strtotime($startdatum);
    $totdatum_timestamp = strtotime($einddatum);
    $vandatum_conv = date('d-m-Y', $vandatum_timestamp);
    $totdatum_conv = date('d-m-Y', $totdatum_timestamp);
    $tijden = afsprakenOverzicht($startdatum, $einddatum);
    $tijdencustom = urenOverzicht($startdatum, $einddatum);
    $reparaties = reparatiesOverzicht($startdatum, $einddatum);
    echo '<div class="centerdiv">
    <form method="post">
    <input type="date" class="form-veld-s" name="startdatum" id="startdatum" style="max-width: 135px; display: inline-block; margin-right: 5px;" value="'.$startdatum.'">
    <input type="date" class="form-veld-s" name="einddatum" id="einddatum" style="max-width: 135px; display: inline-block;" value="'.$einddatum.'">
    <button type="submit" name="voeg_regel_toe" class="trash-button"><i class="fa-solid fa-search"></i></button>
    </form></div>';
    if ($tijdencustom) {
        echo '<div class="centerdiv"><h3>Handmatig</h3></div>';
        $totaalSeconden = 0;
        foreach ($tijdencustom as $tijd) {
            $datoem = date('d-m-Y', strtotime($tijd['datum']));
            $begintijd = new DateTime($tijd['begintijd']);
            $eindtijd = new DateTime($tijd['eindtijd']);
            $pauze = new DateInterval("PT{$tijd['pauze']}M");
            $verschil = $begintijd->diff($eindtijd);
            $verschilInSeconden = ($verschil->h * 3600) + ($verschil->i * 60) + $verschil->s;
            $pauzeInSeconden = ($pauze->h * 3600) + ($pauze->i * 60) + $pauze->s;
            $verschilInSeconden -= $pauzeInSeconden;
            $totaalSeconden += $verschilInSeconden;
            $formattedVerschil = gmdate('H:i', $verschilInSeconden);
            echo '<div class="row" style="margin-bottom: 5px; padding: 5px; height:auto;"><b>' . $datoem . '</b> ' . $tijd['begintijd'] . ' - ' . $tijd['eindtijd'] . ' (' . $formattedVerschil . ') ' . $tijd['pauze'] . 'min pauze</div>';
        }
        $totalHours = floor($totaalSeconden / 3600);
        $totalMinutes = floor(($totaalSeconden % 3600) / 60);
        $totaal = sprintf('%02d:%02d', $totalHours, $totalMinutes);
    } else {
        $totaal = '00:00';
    }
    if ($tijden) {
        echo '<div class="centerdiv"><h3>Afspraken</h3></div>';
        $totaalSeconden2 = 0;
        foreach ($tijden as $tijd2) {
            $datoem2 = date('d-m-Y', strtotime($tijd2['datum']));
            $begintijd2 = new DateTime($tijd2['begintijd']);
            $eindtijd2 = new DateTime($tijd2['eindtijd']);
            $verschil2 = $begintijd2->diff($eindtijd2);
            $verschilInSeconden2 = ($verschil2->h * 3600) + ($verschil2->i * 60) + $verschil2->s;
            $totaalSeconden2 += $verschilInSeconden2;
            $formattedVerschil2 = gmdate('H:i', $verschilInSeconden2);
            echo '<div class="row" style="margin-bottom: 5px; padding: 5px; height:auto;"><b>' . $datoem2 . '</b> ' . $tijd2['begintijd'] . ' - ' . $tijd2['eindtijd'] . ' (' . $formattedVerschil2 . ')</div>';
        }
        $totalHours2 = floor($totaalSeconden2 / 3600);
        $totalMinutes2 = floor(($totaalSeconden2 % 3600) / 60);
        $totaal2 = sprintf('%02d:%02d', $totalHours2, $totalMinutes2);
    } else {
        $totaal2 = '00:00';
    }
    if ($reparaties) {
        echo '<div class="centerdiv"><h3>Reparaties</h3></div>';
        $totaalMinuten3 = 0;
        foreach ($reparaties as $tijd3) {
            $datum3 = date('d-m-Y', strtotime($tijd3['datum']));
            $arbeidInMinuten3 = $tijd3['arbeid'];
            $totaalMinuten3 += $arbeidInMinuten3;
            $formattedArbeid3 = gmdate('H:i', $arbeidInMinuten3 * 60);
            echo '<div class="row" style="margin-bottom: 5px; padding: 5px; height:auto;"><b>' . $datum3 . '</b> | '.$tijd3['titel'].' (' . $formattedArbeid3 . ')</div>';
        }
        $totalHours3 = floor($totaalMinuten3 / 60);
        $totalMinutes3 = $totaalMinuten3 % 60;
        $totaal3 = sprintf('%02d:%02d', $totalHours3, $totalMinutes3);
    } else {
        $totaal3 = '00:00';
    }
    if ($tijden || $tijdencustom || $reparaties) {
        list($uren1, $minuten1) = explode(':', $totaal);
        list($uren2, $minuten2) = explode(':', $totaal2);
        list($uren3, $minuten3) = explode(':', $totaal3);
        $totaalInMinuten = ($uren1 * 60 + $minuten1) + ($uren2 * 60 + $minuten2) + ($uren3 * 60 + $minuten3);
        $totaalUren = floor($totaalInMinuten / 60);
        $totaalMinuten = $totaalInMinuten % 60;
        $totaal3 = sprintf('%02d:%02d', $totaalUren, $totaalMinuten);
        echo '<div style="width: 100%; display:block; text-align: right; margin-top: 15px;"><h4>Totaal: '.$totaal3.'</h4></div>';
    } else {
        echo '<div align="center" width="100%"><img src="afbeeldingen/geen-tijden.png" class="empty-page-img"></div>';
    }
    echo '</div>';
}
?>