<?php
$submenu = 'admin';
if (basename($_SERVER['PHP_SELF']) === 'updater.php') {
    die('Directe toegang tot dit bestand is niet toegestaan.');
} else if (gebruikerOptie('is_admin') != '1') {
    echo '<div align="center" width="100%"><img src="afbeeldingen/geen-functie.png" class="empty-page-img"></div>';
} else {
    echo '<div class="page_top"><h1>Updater</h1><br><br>
    <svg class="editorial"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    viewBox="0 24 150 28 "
    preserveAspectRatio="none">
    <defs>
    <path id="gentle-wave"
    d="M-160 44c30 0 
    58-18 88-18s
    58 18 88 18 
    58-18 88-18 
    58 18 88 18
    v44h-352z" />
    </defs>
    <g class="parallax1">
    <use xlink:href="#gentle-wave" x="50" y="3" fill="var(--kleur-h4)"/>
    </g>
    <g class="parallax2">
    <use xlink:href="#gentle-wave" x="50" y="0" fill="var(--kleur-h3)"/>
    </g>
    <g class="parallax3">
    <use xlink:href="#gentle-wave" x="50" y="9" fill="var(--kleur-h2)"/>
    </g>
    <g class="parallax4">
    <use xlink:href="#gentle-wave" x="50" y="6" fill="var(--kleur-h1)"/>  
    </g>
    </svg></div><div class="page_frame">';
    if($version<$latest_version) { 
		echo '<div class="centerdiv"><h3>Update beschikbaar: v'.$latest_version.'</h3><br>
		Voordat je de update installeert is het belangrijk om eerst een back-up te downloaden van de database.<br><br>
		<form method="post" action="paginas/backupdb.php" style="display: inline-block;">
			<input type="submit" name="backupdb" value="Back-Up Downloaden" class="form-button"/>
		</form>
		<form method="post" style="display: inline-block;">
			<input type="submit" name="updaten" value="Updaten naar '.$latest_version.'" class="form-button-2"/><br>
		</form>
	</div>	
		';
	} else {
		echo '<div class="centerdiv"><h3>Je hebt de laatste versie: v'.$version.'</h3></div>';
		echo '<div class="centerdiv"><h4>Wat is er nieuw in v'.$version.'</h4></div>';
		include ('includes/changelog.php');
	}
	if(isset($_POST['updaten'])) { 
		$url = ''.$update_url.'faqturo-'.$latest_version.'.zip';
		$newfile = 'update.zip';
		if (!copy($url, $newfile)) {
            melding('error','Fout','Downloaden update-bestand mislukt.');
		} else {
            echo '<div class="row" style="height:auto;"><span class="row-inner-wrap"><img src="afbeeldingen/vink.gif"> Update gedownload.</span></div>';
            $file = 'update.zip';
            $path = pathinfo(realpath($file), PATHINFO_DIRNAME);
            $zip = new ZipArchive;
            $res = $zip->open($file);
            echo '<div class="row" style="height:auto;"><span class="row-inner-wrap"><img src="afbeeldingen/vink.gif"> Update geopend.</span></div>';
            if ($res === TRUE) {
                $zip->extractTo($path);
                $zip->close();
                echo '<div class="row" style="height:auto;"><span class="row-inner-wrap"><img src="afbeeldingen/vink.gif"> Update uitgepakt.</span></div>';
                echo '<div class="row" style="height:auto;"><span class="row-inner-wrap"><img src="afbeeldingen/vink.gif"> Bestanden geupdate.</span></div>';
                echo '<h4>Update afronden, een ogenblik geduld.</h4>';
                echo '<script type="text/javascript">';
                echo "setTimeout (\"window.location='?p=finish-update'\", 500);";
                echo '</script>';
            }
            else {
                melding('error','Fout','Kan bestand niet uitpakken.');
            }
        }
		
	}
    echo '</div>';
}
?>