<div id="preloader">
<img src="afbeeldingen/F2.png" id="faqturof" style="width: 80; height: 80;">
	<div class="spinner"></div>
</div>
<?php
session_start();
include 'includes/config.php';
include 'includes/functies.php';
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
    die("Database Error: ".$connect->connect_error."");
}
if(isset($_POST['resetWW'])){
	resetWW($_POST['emailadres']);
} 
if (isset($_POST['WWopslaan'])) {
    if (($_POST['ww'] == $_POST['ww2']) && (!empty($_POST['ww']))) {
        updateWachtwoordToken(md5($_POST['ww2']), $_POST['userid']);
		$randomstring = 0;
		$token = $_GET['token'];
		$updateSql = $connect->prepare("UPDATE gebruikers SET passtoken = ? WHERE passtoken = ?");
		$updateSql->bind_param("ss", $randomstring, $token);
		$updateSql->execute();
        echo '<script type="text/javascript">';
		echo 'window.location.href="login.php";';
		echo '</script>';
    } else {
        melding('warning','Fout','Wachtwoorden komen niet overeen.');
    }
} 
?>
<html>
<head>
<title>Faqturo - Wachtwoord Resetten</title>
	<link rel="apple-touch-icon" sizes="180x180" href="afbeeldingen/180x180.png">
	<link rel="icon" type="image/png" sizes="32x32" href="afbeeldingen/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="afbeeldingen/favicon-16x16.png">
	<link rel="manifest" href="includes/manifest.webmanifest">
	<link rel="mask-icon" href="afbeeldingen/192x192.png">
	<link href="includes/css/style.css" rel="stylesheet" type="text/css">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<script src="https://kit.fontawesome.com/bc0378345d.js" crossorigin="anonymous"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
	<script type="text/javascript" src="includes/js/nicEdit.js"></script> 
</head>
<body>
<div class="bigwrapper">
<?php
echo '
<div class="loginpage">
<div align="center" style="box-sizing: border-box;">
<img src="afbeeldingen/F.png" style="width: auto; height: auto; margin-top: 100px; margin-bottom: 25px;"><br>
<h3 style="color:#F9F7F7;">Wachtwoordherstel</h3>';
if(isset($_GET['token'])){
	$token = $_GET['token'];
	$sql = $connect->prepare("SELECT * FROM gebruikers WHERE passtoken = ?");
    $sql->bind_param("s", $token);
    $sql->execute();
    $result = $sql->get_result();
    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
			echo'
			<form method="post">
				<input type="hidden" name="userid" value="'.$row['id'].'">
				<input type="password" name="ww" class="form-veld-login" placeholder="Wachtwoord"/><br>
				<input type="password" name="ww2" class="form-veld-login" placeholder="Wachtwoord herhalen"/><br>
				<input type="submit" name="WWopslaan" value="Opslaan" class="form-button-login"/>
			</form>
			';
		}
	} else {
        melding('warning','Ongeldig','Token ongeldig.');
	}
} else {
	echo'
	<form method="post">
		<input type="email" name="emailadres" class="form-veld-login" placeholder="E-mailadres"/><br>
		<input type="submit" name="resetWW" value="Nieuw Wachtwoord Aanvragen" class="form-button-login"/>
	</form>
	';
}
echo '
</div>
</div>
';
?>
</div>
<?php
$connect->close();
?>
</body>
</html>
<script>
	// Verwijder de preloader en toon de content met een vertraging
	window.addEventListener('load', function() {
		setTimeout(function() {
			document.getElementById('preloader').style.display = 'none';
		}, 100); // 1000 milliseconden = 1 seconde vertraging
	});
</script>